[![logo](https://raw.githubusercontent.com/Remix-Design/RemixIcon/master/.github/files/logo-github.svg)](https://remixicon.com)

[![remixicon](https://img.shields.io/npm/v/remixicon.svg?labelColor=4A4A4A&color=006AFF&style=flat-square&label=remixicon)](https://www.npmjs.com/package/remixicon)
[![npm](https://img.shields.io/npm/v/@remixicon/react.svg?labelColor=4A4A4A&color=006AFF&style=flat-square)](https://www.npmjs.com/package/@remixicon/react)
[![downloads](https://img.shields.io/npm/dt/@remixicon/react.svg?labelColor=4A4A4A&color=23AF5F&style=flat-square)](https://www.npmjs.com/package/@remixicon/react)
[![](https://data.jsdelivr.com/v1/package/npm/@remixicon/react/badge)](https://www.jsdelivr.com/package/npm/@remixicon/react)
[![donate](https://img.shields.io/badge/-赞助-DA6429.svg?style=flat-square)](https://remixicon.com/support-us)

English | [简体中文](./README_CN.md)

Remix Icon For React

Remix Icon is a set of open-source neutral-style system symbols for designers and developers. Unlike a patchwork icon library, 2600+ icons are all elaborately crafted so that they are born with the gene of readability, consistency and perfect pixels. Each icon was designed in "Outlined" and "Filled" styles based on a 24x24 grid. Of course, all the icons are free for both personal and commercial use.

[![icon demo](https://raw.githubusercontent.com/Remix-Design/RemixIcon/master/.github/files/preview.svg)](https://remixicon.com)
View the full set of Remix Icons at [remixicon.com](https://remixicon.com).

## Installation

```bash
npm install @remixicon/react
# or
yarn add @remixicon/react
# or
pnpm install @remixicon/react
```

## Usage

```jsx
import { RiHeartFill } from '@remixicon/react'

const MyComponent = () => {
    return (
        <RiHeartFill
            size={36} // set custom `width` and `height`
            color="red" // set `fill` color
            className="my-icon" // add custom class name
        />
    )
}
```
