/**
 * @remixicon/react v4.1.0 - Apache-2.0
 */

import { ComponentType, SVGProps } from 'react';

type AllSVGProps = SVGProps<SVGSVGElement>
type ReservedProps = 'color' | 'size' | 'width' | 'height' | 'fill' | 'viewBox'
interface RemixiconProps extends Pick<AllSVGProps, Exclude<keyof AllSVGProps, ReservedProps>> {
  color?: string;
  size?: number | string;
  children?: never;
}
type RemixiconComponentType = ComponentType<RemixiconProps>;

declare const Ri24HoursFill: RemixiconComponentType;

declare const Ri24HoursLine: RemixiconComponentType;

declare const Ri4kFill: RemixiconComponentType;

declare const Ri4kLine: RemixiconComponentType;

declare const RiAB: RemixiconComponentType;

declare const RiAccountBoxFill: RemixiconComponentType;

declare const RiAccountBoxLine: RemixiconComponentType;

declare const RiAccountCircleFill: RemixiconComponentType;

declare const RiAccountCircleLine: RemixiconComponentType;

declare const RiAccountPinBoxFill: RemixiconComponentType;

declare const RiAccountPinBoxLine: RemixiconComponentType;

declare const RiAccountPinCircleFill: RemixiconComponentType;

declare const RiAccountPinCircleLine: RemixiconComponentType;

declare const RiAddBoxFill: RemixiconComponentType;

declare const RiAddBoxLine: RemixiconComponentType;

declare const RiAddCircleFill: RemixiconComponentType;

declare const RiAddCircleLine: RemixiconComponentType;

declare const RiAddFill: RemixiconComponentType;

declare const RiAddLine: RemixiconComponentType;

declare const RiAdminFill: RemixiconComponentType;

declare const RiAdminLine: RemixiconComponentType;

declare const RiAdvertisementFill: RemixiconComponentType;

declare const RiAdvertisementLine: RemixiconComponentType;

declare const RiAirplayFill: RemixiconComponentType;

declare const RiAirplayLine: RemixiconComponentType;

declare const RiAlarmFill: RemixiconComponentType;

declare const RiAlarmLine: RemixiconComponentType;

declare const RiAlarmWarningFill: RemixiconComponentType;

declare const RiAlarmWarningLine: RemixiconComponentType;

declare const RiAlbumFill: RemixiconComponentType;

declare const RiAlbumLine: RemixiconComponentType;

declare const RiAlertFill: RemixiconComponentType;

declare const RiAlertLine: RemixiconComponentType;

declare const RiAliensFill: RemixiconComponentType;

declare const RiAliensLine: RemixiconComponentType;

declare const RiAlignBottom: RemixiconComponentType;

declare const RiAlignCenter: RemixiconComponentType;

declare const RiAlignJustify: RemixiconComponentType;

declare const RiAlignLeft: RemixiconComponentType;

declare const RiAlignRight: RemixiconComponentType;

declare const RiAlignTop: RemixiconComponentType;

declare const RiAlignVertically: RemixiconComponentType;

declare const RiAlipayFill: RemixiconComponentType;

declare const RiAlipayLine: RemixiconComponentType;

declare const RiAmazonFill: RemixiconComponentType;

declare const RiAmazonLine: RemixiconComponentType;

declare const RiAnchorFill: RemixiconComponentType;

declare const RiAnchorLine: RemixiconComponentType;

declare const RiAncientGateFill: RemixiconComponentType;

declare const RiAncientGateLine: RemixiconComponentType;

declare const RiAncientPavilionFill: RemixiconComponentType;

declare const RiAncientPavilionLine: RemixiconComponentType;

declare const RiAndroidFill: RemixiconComponentType;

declare const RiAndroidLine: RemixiconComponentType;

declare const RiAngularjsFill: RemixiconComponentType;

declare const RiAngularjsLine: RemixiconComponentType;

declare const RiAnticlockwise2Fill: RemixiconComponentType;

declare const RiAnticlockwise2Line: RemixiconComponentType;

declare const RiAnticlockwiseFill: RemixiconComponentType;

declare const RiAnticlockwiseLine: RemixiconComponentType;

declare const RiAppStoreFill: RemixiconComponentType;

declare const RiAppStoreLine: RemixiconComponentType;

declare const RiAppleFill: RemixiconComponentType;

declare const RiAppleLine: RemixiconComponentType;

declare const RiApps2Fill: RemixiconComponentType;

declare const RiApps2Line: RemixiconComponentType;

declare const RiAppsFill: RemixiconComponentType;

declare const RiAppsLine: RemixiconComponentType;

declare const RiArchiveDrawerFill: RemixiconComponentType;

declare const RiArchiveDrawerLine: RemixiconComponentType;

declare const RiArchiveFill: RemixiconComponentType;

declare const RiArchiveLine: RemixiconComponentType;

declare const RiArrowDownCircleFill: RemixiconComponentType;

declare const RiArrowDownCircleLine: RemixiconComponentType;

declare const RiArrowDownFill: RemixiconComponentType;

declare const RiArrowDownLine: RemixiconComponentType;

declare const RiArrowDownSFill: RemixiconComponentType;

declare const RiArrowDownSLine: RemixiconComponentType;

declare const RiArrowDropDownFill: RemixiconComponentType;

declare const RiArrowDropDownLine: RemixiconComponentType;

declare const RiArrowDropLeftFill: RemixiconComponentType;

declare const RiArrowDropLeftLine: RemixiconComponentType;

declare const RiArrowDropRightFill: RemixiconComponentType;

declare const RiArrowDropRightLine: RemixiconComponentType;

declare const RiArrowDropUpFill: RemixiconComponentType;

declare const RiArrowDropUpLine: RemixiconComponentType;

declare const RiArrowGoBackFill: RemixiconComponentType;

declare const RiArrowGoBackLine: RemixiconComponentType;

declare const RiArrowGoForwardFill: RemixiconComponentType;

declare const RiArrowGoForwardLine: RemixiconComponentType;

declare const RiArrowLeftCircleFill: RemixiconComponentType;

declare const RiArrowLeftCircleLine: RemixiconComponentType;

declare const RiArrowLeftDownFill: RemixiconComponentType;

declare const RiArrowLeftDownLine: RemixiconComponentType;

declare const RiArrowLeftFill: RemixiconComponentType;

declare const RiArrowLeftLine: RemixiconComponentType;

declare const RiArrowLeftRightFill: RemixiconComponentType;

declare const RiArrowLeftRightLine: RemixiconComponentType;

declare const RiArrowLeftSFill: RemixiconComponentType;

declare const RiArrowLeftSLine: RemixiconComponentType;

declare const RiArrowLeftUpFill: RemixiconComponentType;

declare const RiArrowLeftUpLine: RemixiconComponentType;

declare const RiArrowRightCircleFill: RemixiconComponentType;

declare const RiArrowRightCircleLine: RemixiconComponentType;

declare const RiArrowRightDownFill: RemixiconComponentType;

declare const RiArrowRightDownLine: RemixiconComponentType;

declare const RiArrowRightFill: RemixiconComponentType;

declare const RiArrowRightLine: RemixiconComponentType;

declare const RiArrowRightSFill: RemixiconComponentType;

declare const RiArrowRightSLine: RemixiconComponentType;

declare const RiArrowRightUpFill: RemixiconComponentType;

declare const RiArrowRightUpLine: RemixiconComponentType;

declare const RiArrowUpCircleFill: RemixiconComponentType;

declare const RiArrowUpCircleLine: RemixiconComponentType;

declare const RiArrowUpDownFill: RemixiconComponentType;

declare const RiArrowUpDownLine: RemixiconComponentType;

declare const RiArrowUpFill: RemixiconComponentType;

declare const RiArrowUpLine: RemixiconComponentType;

declare const RiArrowUpSFill: RemixiconComponentType;

declare const RiArrowUpSLine: RemixiconComponentType;

declare const RiArtboard2Fill: RemixiconComponentType;

declare const RiArtboard2Line: RemixiconComponentType;

declare const RiArtboardFill: RemixiconComponentType;

declare const RiArtboardLine: RemixiconComponentType;

declare const RiArticleFill: RemixiconComponentType;

declare const RiArticleLine: RemixiconComponentType;

declare const RiAspectRatioFill: RemixiconComponentType;

declare const RiAspectRatioLine: RemixiconComponentType;

declare const RiAsterisk: RemixiconComponentType;

declare const RiAtFill: RemixiconComponentType;

declare const RiAtLine: RemixiconComponentType;

declare const RiAttachment2: RemixiconComponentType;

declare const RiAttachmentFill: RemixiconComponentType;

declare const RiAttachmentLine: RemixiconComponentType;

declare const RiAuctionFill: RemixiconComponentType;

declare const RiAuctionLine: RemixiconComponentType;

declare const RiAwardFill: RemixiconComponentType;

declare const RiAwardLine: RemixiconComponentType;

declare const RiBaiduFill: RemixiconComponentType;

declare const RiBaiduLine: RemixiconComponentType;

declare const RiBallPenFill: RemixiconComponentType;

declare const RiBallPenLine: RemixiconComponentType;

declare const RiBankCard2Fill: RemixiconComponentType;

declare const RiBankCard2Line: RemixiconComponentType;

declare const RiBankCardFill: RemixiconComponentType;

declare const RiBankCardLine: RemixiconComponentType;

declare const RiBankFill: RemixiconComponentType;

declare const RiBankLine: RemixiconComponentType;

declare const RiBarChart2Fill: RemixiconComponentType;

declare const RiBarChart2Line: RemixiconComponentType;

declare const RiBarChartBoxFill: RemixiconComponentType;

declare const RiBarChartBoxLine: RemixiconComponentType;

declare const RiBarChartFill: RemixiconComponentType;

declare const RiBarChartGroupedFill: RemixiconComponentType;

declare const RiBarChartGroupedLine: RemixiconComponentType;

declare const RiBarChartHorizontalFill: RemixiconComponentType;

declare const RiBarChartHorizontalLine: RemixiconComponentType;

declare const RiBarChartLine: RemixiconComponentType;

declare const RiBarcodeBoxFill: RemixiconComponentType;

declare const RiBarcodeBoxLine: RemixiconComponentType;

declare const RiBarcodeFill: RemixiconComponentType;

declare const RiBarcodeLine: RemixiconComponentType;

declare const RiBarricadeFill: RemixiconComponentType;

declare const RiBarricadeLine: RemixiconComponentType;

declare const RiBaseStationFill: RemixiconComponentType;

declare const RiBaseStationLine: RemixiconComponentType;

declare const RiBasketballFill: RemixiconComponentType;

declare const RiBasketballLine: RemixiconComponentType;

declare const RiBattery2ChargeFill: RemixiconComponentType;

declare const RiBattery2ChargeLine: RemixiconComponentType;

declare const RiBattery2Fill: RemixiconComponentType;

declare const RiBattery2Line: RemixiconComponentType;

declare const RiBatteryChargeFill: RemixiconComponentType;

declare const RiBatteryChargeLine: RemixiconComponentType;

declare const RiBatteryFill: RemixiconComponentType;

declare const RiBatteryLine: RemixiconComponentType;

declare const RiBatteryLowFill: RemixiconComponentType;

declare const RiBatteryLowLine: RemixiconComponentType;

declare const RiBatterySaverFill: RemixiconComponentType;

declare const RiBatterySaverLine: RemixiconComponentType;

declare const RiBatteryShareFill: RemixiconComponentType;

declare const RiBatteryShareLine: RemixiconComponentType;

declare const RiBearSmileFill: RemixiconComponentType;

declare const RiBearSmileLine: RemixiconComponentType;

declare const RiBehanceFill: RemixiconComponentType;

declare const RiBehanceLine: RemixiconComponentType;

declare const RiBellFill: RemixiconComponentType;

declare const RiBellLine: RemixiconComponentType;

declare const RiBikeFill: RemixiconComponentType;

declare const RiBikeLine: RemixiconComponentType;

declare const RiBilibiliFill: RemixiconComponentType;

declare const RiBilibiliLine: RemixiconComponentType;

declare const RiBillFill: RemixiconComponentType;

declare const RiBillLine: RemixiconComponentType;

declare const RiBilliardsFill: RemixiconComponentType;

declare const RiBilliardsLine: RemixiconComponentType;

declare const RiBitCoinFill: RemixiconComponentType;

declare const RiBitCoinLine: RemixiconComponentType;

declare const RiBlazeFill: RemixiconComponentType;

declare const RiBlazeLine: RemixiconComponentType;

declare const RiBluetoothConnectFill: RemixiconComponentType;

declare const RiBluetoothConnectLine: RemixiconComponentType;

declare const RiBluetoothFill: RemixiconComponentType;

declare const RiBluetoothLine: RemixiconComponentType;

declare const RiBlurOffFill: RemixiconComponentType;

declare const RiBlurOffLine: RemixiconComponentType;

declare const RiBodyScanFill: RemixiconComponentType;

declare const RiBodyScanLine: RemixiconComponentType;

declare const RiBold: RemixiconComponentType;

declare const RiBook2Fill: RemixiconComponentType;

declare const RiBook2Line: RemixiconComponentType;

declare const RiBook3Fill: RemixiconComponentType;

declare const RiBook3Line: RemixiconComponentType;

declare const RiBookFill: RemixiconComponentType;

declare const RiBookLine: RemixiconComponentType;

declare const RiBookMarkedFill: RemixiconComponentType;

declare const RiBookMarkedLine: RemixiconComponentType;

declare const RiBookOpenFill: RemixiconComponentType;

declare const RiBookOpenLine: RemixiconComponentType;

declare const RiBookReadFill: RemixiconComponentType;

declare const RiBookReadLine: RemixiconComponentType;

declare const RiBookletFill: RemixiconComponentType;

declare const RiBookletLine: RemixiconComponentType;

declare const RiBookmark2Fill: RemixiconComponentType;

declare const RiBookmark2Line: RemixiconComponentType;

declare const RiBookmark3Fill: RemixiconComponentType;

declare const RiBookmark3Line: RemixiconComponentType;

declare const RiBookmarkFill: RemixiconComponentType;

declare const RiBookmarkLine: RemixiconComponentType;

declare const RiBoxingFill: RemixiconComponentType;

declare const RiBoxingLine: RemixiconComponentType;

declare const RiBracesFill: RemixiconComponentType;

declare const RiBracesLine: RemixiconComponentType;

declare const RiBracketsFill: RemixiconComponentType;

declare const RiBracketsLine: RemixiconComponentType;

declare const RiBriefcase2Fill: RemixiconComponentType;

declare const RiBriefcase2Line: RemixiconComponentType;

declare const RiBriefcase3Fill: RemixiconComponentType;

declare const RiBriefcase3Line: RemixiconComponentType;

declare const RiBriefcase4Fill: RemixiconComponentType;

declare const RiBriefcase4Line: RemixiconComponentType;

declare const RiBriefcase5Fill: RemixiconComponentType;

declare const RiBriefcase5Line: RemixiconComponentType;

declare const RiBriefcaseFill: RemixiconComponentType;

declare const RiBriefcaseLine: RemixiconComponentType;

declare const RiBringForward: RemixiconComponentType;

declare const RiBringToFront: RemixiconComponentType;

declare const RiBroadcastFill: RemixiconComponentType;

declare const RiBroadcastLine: RemixiconComponentType;

declare const RiBrush2Fill: RemixiconComponentType;

declare const RiBrush2Line: RemixiconComponentType;

declare const RiBrush3Fill: RemixiconComponentType;

declare const RiBrush3Line: RemixiconComponentType;

declare const RiBrush4Fill: RemixiconComponentType;

declare const RiBrush4Line: RemixiconComponentType;

declare const RiBrushFill: RemixiconComponentType;

declare const RiBrushLine: RemixiconComponentType;

declare const RiBubbleChartFill: RemixiconComponentType;

declare const RiBubbleChartLine: RemixiconComponentType;

declare const RiBug2Fill: RemixiconComponentType;

declare const RiBug2Line: RemixiconComponentType;

declare const RiBugFill: RemixiconComponentType;

declare const RiBugLine: RemixiconComponentType;

declare const RiBuilding2Fill: RemixiconComponentType;

declare const RiBuilding2Line: RemixiconComponentType;

declare const RiBuilding3Fill: RemixiconComponentType;

declare const RiBuilding3Line: RemixiconComponentType;

declare const RiBuilding4Fill: RemixiconComponentType;

declare const RiBuilding4Line: RemixiconComponentType;

declare const RiBuildingFill: RemixiconComponentType;

declare const RiBuildingLine: RemixiconComponentType;

declare const RiBus2Fill: RemixiconComponentType;

declare const RiBus2Line: RemixiconComponentType;

declare const RiBusFill: RemixiconComponentType;

declare const RiBusLine: RemixiconComponentType;

declare const RiBusWifiFill: RemixiconComponentType;

declare const RiBusWifiLine: RemixiconComponentType;

declare const RiCactusFill: RemixiconComponentType;

declare const RiCactusLine: RemixiconComponentType;

declare const RiCake2Fill: RemixiconComponentType;

declare const RiCake2Line: RemixiconComponentType;

declare const RiCake3Fill: RemixiconComponentType;

declare const RiCake3Line: RemixiconComponentType;

declare const RiCakeFill: RemixiconComponentType;

declare const RiCakeLine: RemixiconComponentType;

declare const RiCalculatorFill: RemixiconComponentType;

declare const RiCalculatorLine: RemixiconComponentType;

declare const RiCalendar2Fill: RemixiconComponentType;

declare const RiCalendar2Line: RemixiconComponentType;

declare const RiCalendarCheckFill: RemixiconComponentType;

declare const RiCalendarCheckLine: RemixiconComponentType;

declare const RiCalendarEventFill: RemixiconComponentType;

declare const RiCalendarEventLine: RemixiconComponentType;

declare const RiCalendarFill: RemixiconComponentType;

declare const RiCalendarLine: RemixiconComponentType;

declare const RiCalendarTodoFill: RemixiconComponentType;

declare const RiCalendarTodoLine: RemixiconComponentType;

declare const RiCamera2Fill: RemixiconComponentType;

declare const RiCamera2Line: RemixiconComponentType;

declare const RiCamera3Fill: RemixiconComponentType;

declare const RiCamera3Line: RemixiconComponentType;

declare const RiCameraFill: RemixiconComponentType;

declare const RiCameraLensFill: RemixiconComponentType;

declare const RiCameraLensLine: RemixiconComponentType;

declare const RiCameraLine: RemixiconComponentType;

declare const RiCameraOffFill: RemixiconComponentType;

declare const RiCameraOffLine: RemixiconComponentType;

declare const RiCameraSwitchFill: RemixiconComponentType;

declare const RiCameraSwitchLine: RemixiconComponentType;

declare const RiCapsuleFill: RemixiconComponentType;

declare const RiCapsuleLine: RemixiconComponentType;

declare const RiCarFill: RemixiconComponentType;

declare const RiCarLine: RemixiconComponentType;

declare const RiCarWashingFill: RemixiconComponentType;

declare const RiCarWashingLine: RemixiconComponentType;

declare const RiCaravanFill: RemixiconComponentType;

declare const RiCaravanLine: RemixiconComponentType;

declare const RiCastFill: RemixiconComponentType;

declare const RiCastLine: RemixiconComponentType;

declare const RiCellphoneFill: RemixiconComponentType;

declare const RiCellphoneLine: RemixiconComponentType;

declare const RiCelsiusFill: RemixiconComponentType;

declare const RiCelsiusLine: RemixiconComponentType;

declare const RiCentosFill: RemixiconComponentType;

declare const RiCentosLine: RemixiconComponentType;

declare const RiCharacterRecognitionFill: RemixiconComponentType;

declare const RiCharacterRecognitionLine: RemixiconComponentType;

declare const RiChargingPile2Fill: RemixiconComponentType;

declare const RiChargingPile2Line: RemixiconComponentType;

declare const RiChargingPileFill: RemixiconComponentType;

declare const RiChargingPileLine: RemixiconComponentType;

declare const RiChat1Fill: RemixiconComponentType;

declare const RiChat1Line: RemixiconComponentType;

declare const RiChat2Fill: RemixiconComponentType;

declare const RiChat2Line: RemixiconComponentType;

declare const RiChat3Fill: RemixiconComponentType;

declare const RiChat3Line: RemixiconComponentType;

declare const RiChat4Fill: RemixiconComponentType;

declare const RiChat4Line: RemixiconComponentType;

declare const RiChatCheckFill: RemixiconComponentType;

declare const RiChatCheckLine: RemixiconComponentType;

declare const RiChatDeleteFill: RemixiconComponentType;

declare const RiChatDeleteLine: RemixiconComponentType;

declare const RiChatDownloadFill: RemixiconComponentType;

declare const RiChatDownloadLine: RemixiconComponentType;

declare const RiChatFollowUpFill: RemixiconComponentType;

declare const RiChatFollowUpLine: RemixiconComponentType;

declare const RiChatForwardFill: RemixiconComponentType;

declare const RiChatForwardLine: RemixiconComponentType;

declare const RiChatHeartFill: RemixiconComponentType;

declare const RiChatHeartLine: RemixiconComponentType;

declare const RiChatHistoryFill: RemixiconComponentType;

declare const RiChatHistoryLine: RemixiconComponentType;

declare const RiChatNewFill: RemixiconComponentType;

declare const RiChatNewLine: RemixiconComponentType;

declare const RiChatOffFill: RemixiconComponentType;

declare const RiChatOffLine: RemixiconComponentType;

declare const RiChatPollFill: RemixiconComponentType;

declare const RiChatPollLine: RemixiconComponentType;

declare const RiChatPrivateFill: RemixiconComponentType;

declare const RiChatPrivateLine: RemixiconComponentType;

declare const RiChatQuoteFill: RemixiconComponentType;

declare const RiChatQuoteLine: RemixiconComponentType;

declare const RiChatSettingsFill: RemixiconComponentType;

declare const RiChatSettingsLine: RemixiconComponentType;

declare const RiChatSmile2Fill: RemixiconComponentType;

declare const RiChatSmile2Line: RemixiconComponentType;

declare const RiChatSmile3Fill: RemixiconComponentType;

declare const RiChatSmile3Line: RemixiconComponentType;

declare const RiChatSmileFill: RemixiconComponentType;

declare const RiChatSmileLine: RemixiconComponentType;

declare const RiChatUploadFill: RemixiconComponentType;

declare const RiChatUploadLine: RemixiconComponentType;

declare const RiChatVoiceFill: RemixiconComponentType;

declare const RiChatVoiceLine: RemixiconComponentType;

declare const RiCheckDoubleFill: RemixiconComponentType;

declare const RiCheckDoubleLine: RemixiconComponentType;

declare const RiCheckFill: RemixiconComponentType;

declare const RiCheckLine: RemixiconComponentType;

declare const RiCheckboxBlankCircleFill: RemixiconComponentType;

declare const RiCheckboxBlankCircleLine: RemixiconComponentType;

declare const RiCheckboxBlankFill: RemixiconComponentType;

declare const RiCheckboxBlankLine: RemixiconComponentType;

declare const RiCheckboxCircleFill: RemixiconComponentType;

declare const RiCheckboxCircleLine: RemixiconComponentType;

declare const RiCheckboxFill: RemixiconComponentType;

declare const RiCheckboxIndeterminateFill: RemixiconComponentType;

declare const RiCheckboxIndeterminateLine: RemixiconComponentType;

declare const RiCheckboxLine: RemixiconComponentType;

declare const RiCheckboxMultipleBlankFill: RemixiconComponentType;

declare const RiCheckboxMultipleBlankLine: RemixiconComponentType;

declare const RiCheckboxMultipleFill: RemixiconComponentType;

declare const RiCheckboxMultipleLine: RemixiconComponentType;

declare const RiChinaRailwayFill: RemixiconComponentType;

declare const RiChinaRailwayLine: RemixiconComponentType;

declare const RiChromeFill: RemixiconComponentType;

declare const RiChromeLine: RemixiconComponentType;

declare const RiClapperboardFill: RemixiconComponentType;

declare const RiClapperboardLine: RemixiconComponentType;

declare const RiClipboardFill: RemixiconComponentType;

declare const RiClipboardLine: RemixiconComponentType;

declare const RiClockwise2Fill: RemixiconComponentType;

declare const RiClockwise2Line: RemixiconComponentType;

declare const RiClockwiseFill: RemixiconComponentType;

declare const RiClockwiseLine: RemixiconComponentType;

declare const RiCloseCircleFill: RemixiconComponentType;

declare const RiCloseCircleLine: RemixiconComponentType;

declare const RiCloseFill: RemixiconComponentType;

declare const RiCloseLine: RemixiconComponentType;

declare const RiClosedCaptioningFill: RemixiconComponentType;

declare const RiClosedCaptioningLine: RemixiconComponentType;

declare const RiCloudFill: RemixiconComponentType;

declare const RiCloudLine: RemixiconComponentType;

declare const RiCloudOffFill: RemixiconComponentType;

declare const RiCloudOffLine: RemixiconComponentType;

declare const RiCloudWindyFill: RemixiconComponentType;

declare const RiCloudWindyLine: RemixiconComponentType;

declare const RiCloudy2Fill: RemixiconComponentType;

declare const RiCloudy2Line: RemixiconComponentType;

declare const RiCloudyFill: RemixiconComponentType;

declare const RiCloudyLine: RemixiconComponentType;

declare const RiCodeBoxFill: RemixiconComponentType;

declare const RiCodeBoxLine: RemixiconComponentType;

declare const RiCodeFill: RemixiconComponentType;

declare const RiCodeLine: RemixiconComponentType;

declare const RiCodeSFill: RemixiconComponentType;

declare const RiCodeSLine: RemixiconComponentType;

declare const RiCodeSSlashFill: RemixiconComponentType;

declare const RiCodeSSlashLine: RemixiconComponentType;

declare const RiCodeView: RemixiconComponentType;

declare const RiCodepenFill: RemixiconComponentType;

declare const RiCodepenLine: RemixiconComponentType;

declare const RiCoinFill: RemixiconComponentType;

declare const RiCoinLine: RemixiconComponentType;

declare const RiCoinsFill: RemixiconComponentType;

declare const RiCoinsLine: RemixiconComponentType;

declare const RiCollageFill: RemixiconComponentType;

declare const RiCollageLine: RemixiconComponentType;

declare const RiCommandFill: RemixiconComponentType;

declare const RiCommandLine: RemixiconComponentType;

declare const RiCommunityFill: RemixiconComponentType;

declare const RiCommunityLine: RemixiconComponentType;

declare const RiCompass2Fill: RemixiconComponentType;

declare const RiCompass2Line: RemixiconComponentType;

declare const RiCompass3Fill: RemixiconComponentType;

declare const RiCompass3Line: RemixiconComponentType;

declare const RiCompass4Fill: RemixiconComponentType;

declare const RiCompass4Line: RemixiconComponentType;

declare const RiCompassDiscoverFill: RemixiconComponentType;

declare const RiCompassDiscoverLine: RemixiconComponentType;

declare const RiCompassFill: RemixiconComponentType;

declare const RiCompassLine: RemixiconComponentType;

declare const RiCompasses2Fill: RemixiconComponentType;

declare const RiCompasses2Line: RemixiconComponentType;

declare const RiCompassesFill: RemixiconComponentType;

declare const RiCompassesLine: RemixiconComponentType;

declare const RiComputerFill: RemixiconComponentType;

declare const RiComputerLine: RemixiconComponentType;

declare const RiContactsBook2Fill: RemixiconComponentType;

declare const RiContactsBook2Line: RemixiconComponentType;

declare const RiContactsBookFill: RemixiconComponentType;

declare const RiContactsBookLine: RemixiconComponentType;

declare const RiContactsBookUploadFill: RemixiconComponentType;

declare const RiContactsBookUploadLine: RemixiconComponentType;

declare const RiContactsFill: RemixiconComponentType;

declare const RiContactsLine: RemixiconComponentType;

declare const RiContrast2Fill: RemixiconComponentType;

declare const RiContrast2Line: RemixiconComponentType;

declare const RiContrastDrop2Fill: RemixiconComponentType;

declare const RiContrastDrop2Line: RemixiconComponentType;

declare const RiContrastDropFill: RemixiconComponentType;

declare const RiContrastDropLine: RemixiconComponentType;

declare const RiContrastFill: RemixiconComponentType;

declare const RiContrastLine: RemixiconComponentType;

declare const RiCopperCoinFill: RemixiconComponentType;

declare const RiCopperCoinLine: RemixiconComponentType;

declare const RiCopperDiamondFill: RemixiconComponentType;

declare const RiCopperDiamondLine: RemixiconComponentType;

declare const RiCopyleftFill: RemixiconComponentType;

declare const RiCopyleftLine: RemixiconComponentType;

declare const RiCopyrightFill: RemixiconComponentType;

declare const RiCopyrightLine: RemixiconComponentType;

declare const RiCoreosFill: RemixiconComponentType;

declare const RiCoreosLine: RemixiconComponentType;

declare const RiCoupon2Fill: RemixiconComponentType;

declare const RiCoupon2Line: RemixiconComponentType;

declare const RiCoupon3Fill: RemixiconComponentType;

declare const RiCoupon3Line: RemixiconComponentType;

declare const RiCoupon4Fill: RemixiconComponentType;

declare const RiCoupon4Line: RemixiconComponentType;

declare const RiCoupon5Fill: RemixiconComponentType;

declare const RiCoupon5Line: RemixiconComponentType;

declare const RiCouponFill: RemixiconComponentType;

declare const RiCouponLine: RemixiconComponentType;

declare const RiCpuFill: RemixiconComponentType;

declare const RiCpuLine: RemixiconComponentType;

declare const RiCreativeCommonsByFill: RemixiconComponentType;

declare const RiCreativeCommonsByLine: RemixiconComponentType;

declare const RiCreativeCommonsFill: RemixiconComponentType;

declare const RiCreativeCommonsLine: RemixiconComponentType;

declare const RiCreativeCommonsNcFill: RemixiconComponentType;

declare const RiCreativeCommonsNcLine: RemixiconComponentType;

declare const RiCreativeCommonsNdFill: RemixiconComponentType;

declare const RiCreativeCommonsNdLine: RemixiconComponentType;

declare const RiCreativeCommonsSaFill: RemixiconComponentType;

declare const RiCreativeCommonsSaLine: RemixiconComponentType;

declare const RiCreativeCommonsZeroFill: RemixiconComponentType;

declare const RiCreativeCommonsZeroLine: RemixiconComponentType;

declare const RiCriminalFill: RemixiconComponentType;

declare const RiCriminalLine: RemixiconComponentType;

declare const RiCrop2Fill: RemixiconComponentType;

declare const RiCrop2Line: RemixiconComponentType;

declare const RiCropFill: RemixiconComponentType;

declare const RiCropLine: RemixiconComponentType;

declare const RiCss3Fill: RemixiconComponentType;

declare const RiCss3Line: RemixiconComponentType;

declare const RiCupFill: RemixiconComponentType;

declare const RiCupLine: RemixiconComponentType;

declare const RiCurrencyFill: RemixiconComponentType;

declare const RiCurrencyLine: RemixiconComponentType;

declare const RiCursorFill: RemixiconComponentType;

declare const RiCursorLine: RemixiconComponentType;

declare const RiCustomerService2Fill: RemixiconComponentType;

declare const RiCustomerService2Line: RemixiconComponentType;

declare const RiCustomerServiceFill: RemixiconComponentType;

declare const RiCustomerServiceLine: RemixiconComponentType;

declare const RiDashboard2Fill: RemixiconComponentType;

declare const RiDashboard2Line: RemixiconComponentType;

declare const RiDashboard3Fill: RemixiconComponentType;

declare const RiDashboard3Line: RemixiconComponentType;

declare const RiDashboardFill: RemixiconComponentType;

declare const RiDashboardLine: RemixiconComponentType;

declare const RiDatabase2Fill: RemixiconComponentType;

declare const RiDatabase2Line: RemixiconComponentType;

declare const RiDatabaseFill: RemixiconComponentType;

declare const RiDatabaseLine: RemixiconComponentType;

declare const RiDeleteBack2Fill: RemixiconComponentType;

declare const RiDeleteBack2Line: RemixiconComponentType;

declare const RiDeleteBackFill: RemixiconComponentType;

declare const RiDeleteBackLine: RemixiconComponentType;

declare const RiDeleteBin2Fill: RemixiconComponentType;

declare const RiDeleteBin2Line: RemixiconComponentType;

declare const RiDeleteBin3Fill: RemixiconComponentType;

declare const RiDeleteBin3Line: RemixiconComponentType;

declare const RiDeleteBin4Fill: RemixiconComponentType;

declare const RiDeleteBin4Line: RemixiconComponentType;

declare const RiDeleteBin5Fill: RemixiconComponentType;

declare const RiDeleteBin5Line: RemixiconComponentType;

declare const RiDeleteBin6Fill: RemixiconComponentType;

declare const RiDeleteBin6Line: RemixiconComponentType;

declare const RiDeleteBin7Fill: RemixiconComponentType;

declare const RiDeleteBin7Line: RemixiconComponentType;

declare const RiDeleteBinFill: RemixiconComponentType;

declare const RiDeleteBinLine: RemixiconComponentType;

declare const RiDeleteColumn: RemixiconComponentType;

declare const RiDeleteRow: RemixiconComponentType;

declare const RiDeviceFill: RemixiconComponentType;

declare const RiDeviceLine: RemixiconComponentType;

declare const RiDeviceRecoverFill: RemixiconComponentType;

declare const RiDeviceRecoverLine: RemixiconComponentType;

declare const RiDingdingFill: RemixiconComponentType;

declare const RiDingdingLine: RemixiconComponentType;

declare const RiDirectionFill: RemixiconComponentType;

declare const RiDirectionLine: RemixiconComponentType;

declare const RiDiscFill: RemixiconComponentType;

declare const RiDiscLine: RemixiconComponentType;

declare const RiDiscordFill: RemixiconComponentType;

declare const RiDiscordLine: RemixiconComponentType;

declare const RiDiscussFill: RemixiconComponentType;

declare const RiDiscussLine: RemixiconComponentType;

declare const RiDislikeFill: RemixiconComponentType;

declare const RiDislikeLine: RemixiconComponentType;

declare const RiDisqusFill: RemixiconComponentType;

declare const RiDisqusLine: RemixiconComponentType;

declare const RiDivideFill: RemixiconComponentType;

declare const RiDivideLine: RemixiconComponentType;

declare const RiDonutChartFill: RemixiconComponentType;

declare const RiDonutChartLine: RemixiconComponentType;

declare const RiDoorClosedFill: RemixiconComponentType;

declare const RiDoorClosedLine: RemixiconComponentType;

declare const RiDoorFill: RemixiconComponentType;

declare const RiDoorLine: RemixiconComponentType;

declare const RiDoorLockBoxFill: RemixiconComponentType;

declare const RiDoorLockBoxLine: RemixiconComponentType;

declare const RiDoorLockFill: RemixiconComponentType;

declare const RiDoorLockLine: RemixiconComponentType;

declare const RiDoorOpenFill: RemixiconComponentType;

declare const RiDoorOpenLine: RemixiconComponentType;

declare const RiDossierFill: RemixiconComponentType;

declare const RiDossierLine: RemixiconComponentType;

declare const RiDoubanFill: RemixiconComponentType;

declare const RiDoubanLine: RemixiconComponentType;

declare const RiDoubleQuotesL: RemixiconComponentType;

declare const RiDoubleQuotesR: RemixiconComponentType;

declare const RiDownload2Fill: RemixiconComponentType;

declare const RiDownload2Line: RemixiconComponentType;

declare const RiDownloadCloud2Fill: RemixiconComponentType;

declare const RiDownloadCloud2Line: RemixiconComponentType;

declare const RiDownloadCloudFill: RemixiconComponentType;

declare const RiDownloadCloudLine: RemixiconComponentType;

declare const RiDownloadFill: RemixiconComponentType;

declare const RiDownloadLine: RemixiconComponentType;

declare const RiDraftFill: RemixiconComponentType;

declare const RiDraftLine: RemixiconComponentType;

declare const RiDragDropFill: RemixiconComponentType;

declare const RiDragDropLine: RemixiconComponentType;

declare const RiDragMove2Fill: RemixiconComponentType;

declare const RiDragMove2Line: RemixiconComponentType;

declare const RiDragMoveFill: RemixiconComponentType;

declare const RiDragMoveLine: RemixiconComponentType;

declare const RiDribbbleFill: RemixiconComponentType;

declare const RiDribbbleLine: RemixiconComponentType;

declare const RiDriveFill: RemixiconComponentType;

declare const RiDriveLine: RemixiconComponentType;

declare const RiDrizzleFill: RemixiconComponentType;

declare const RiDrizzleLine: RemixiconComponentType;

declare const RiDropFill: RemixiconComponentType;

declare const RiDropLine: RemixiconComponentType;

declare const RiDropboxFill: RemixiconComponentType;

declare const RiDropboxLine: RemixiconComponentType;

declare const RiDualSim1Fill: RemixiconComponentType;

declare const RiDualSim1Line: RemixiconComponentType;

declare const RiDualSim2Fill: RemixiconComponentType;

declare const RiDualSim2Line: RemixiconComponentType;

declare const RiDvFill: RemixiconComponentType;

declare const RiDvLine: RemixiconComponentType;

declare const RiDvdFill: RemixiconComponentType;

declare const RiDvdLine: RemixiconComponentType;

declare const RiEBike2Fill: RemixiconComponentType;

declare const RiEBike2Line: RemixiconComponentType;

declare const RiEBikeFill: RemixiconComponentType;

declare const RiEBikeLine: RemixiconComponentType;

declare const RiEarthFill: RemixiconComponentType;

declare const RiEarthLine: RemixiconComponentType;

declare const RiEarthquakeFill: RemixiconComponentType;

declare const RiEarthquakeLine: RemixiconComponentType;

declare const RiEdgeFill: RemixiconComponentType;

declare const RiEdgeLine: RemixiconComponentType;

declare const RiEdit2Fill: RemixiconComponentType;

declare const RiEdit2Line: RemixiconComponentType;

declare const RiEditBoxFill: RemixiconComponentType;

declare const RiEditBoxLine: RemixiconComponentType;

declare const RiEditCircleFill: RemixiconComponentType;

declare const RiEditCircleLine: RemixiconComponentType;

declare const RiEditFill: RemixiconComponentType;

declare const RiEditLine: RemixiconComponentType;

declare const RiEjectFill: RemixiconComponentType;

declare const RiEjectLine: RemixiconComponentType;

declare const RiEmotion2Fill: RemixiconComponentType;

declare const RiEmotion2Line: RemixiconComponentType;

declare const RiEmotionFill: RemixiconComponentType;

declare const RiEmotionHappyFill: RemixiconComponentType;

declare const RiEmotionHappyLine: RemixiconComponentType;

declare const RiEmotionLaughFill: RemixiconComponentType;

declare const RiEmotionLaughLine: RemixiconComponentType;

declare const RiEmotionLine: RemixiconComponentType;

declare const RiEmotionNormalFill: RemixiconComponentType;

declare const RiEmotionNormalLine: RemixiconComponentType;

declare const RiEmotionSadFill: RemixiconComponentType;

declare const RiEmotionSadLine: RemixiconComponentType;

declare const RiEmotionUnhappyFill: RemixiconComponentType;

declare const RiEmotionUnhappyLine: RemixiconComponentType;

declare const RiEmpathizeFill: RemixiconComponentType;

declare const RiEmpathizeLine: RemixiconComponentType;

declare const RiEmphasisCn: RemixiconComponentType;

declare const RiEmphasis: RemixiconComponentType;

declare const RiEnglishInput: RemixiconComponentType;

declare const RiEqualizerFill: RemixiconComponentType;

declare const RiEqualizerLine: RemixiconComponentType;

declare const RiEraserFill: RemixiconComponentType;

declare const RiEraserLine: RemixiconComponentType;

declare const RiErrorWarningFill: RemixiconComponentType;

declare const RiErrorWarningLine: RemixiconComponentType;

declare const RiEvernoteFill: RemixiconComponentType;

declare const RiEvernoteLine: RemixiconComponentType;

declare const RiExchangeBoxFill: RemixiconComponentType;

declare const RiExchangeBoxLine: RemixiconComponentType;

declare const RiExchangeCnyFill: RemixiconComponentType;

declare const RiExchangeCnyLine: RemixiconComponentType;

declare const RiExchangeDollarFill: RemixiconComponentType;

declare const RiExchangeDollarLine: RemixiconComponentType;

declare const RiExchangeFill: RemixiconComponentType;

declare const RiExchangeFundsFill: RemixiconComponentType;

declare const RiExchangeFundsLine: RemixiconComponentType;

declare const RiExchangeLine: RemixiconComponentType;

declare const RiExternalLinkFill: RemixiconComponentType;

declare const RiExternalLinkLine: RemixiconComponentType;

declare const RiEye2Fill: RemixiconComponentType;

declare const RiEye2Line: RemixiconComponentType;

declare const RiEyeCloseFill: RemixiconComponentType;

declare const RiEyeCloseLine: RemixiconComponentType;

declare const RiEyeFill: RemixiconComponentType;

declare const RiEyeLine: RemixiconComponentType;

declare const RiEyeOffFill: RemixiconComponentType;

declare const RiEyeOffLine: RemixiconComponentType;

declare const RiFacebookBoxFill: RemixiconComponentType;

declare const RiFacebookBoxLine: RemixiconComponentType;

declare const RiFacebookCircleFill: RemixiconComponentType;

declare const RiFacebookCircleLine: RemixiconComponentType;

declare const RiFacebookFill: RemixiconComponentType;

declare const RiFacebookLine: RemixiconComponentType;

declare const RiFahrenheitFill: RemixiconComponentType;

declare const RiFahrenheitLine: RemixiconComponentType;

declare const RiFeedbackFill: RemixiconComponentType;

declare const RiFeedbackLine: RemixiconComponentType;

declare const RiFile2Fill: RemixiconComponentType;

declare const RiFile2Line: RemixiconComponentType;

declare const RiFile3Fill: RemixiconComponentType;

declare const RiFile3Line: RemixiconComponentType;

declare const RiFile4Fill: RemixiconComponentType;

declare const RiFile4Line: RemixiconComponentType;

declare const RiFileAddFill: RemixiconComponentType;

declare const RiFileAddLine: RemixiconComponentType;

declare const RiFileChart2Fill: RemixiconComponentType;

declare const RiFileChart2Line: RemixiconComponentType;

declare const RiFileChartFill: RemixiconComponentType;

declare const RiFileChartLine: RemixiconComponentType;

declare const RiFileCloudFill: RemixiconComponentType;

declare const RiFileCloudLine: RemixiconComponentType;

declare const RiFileCodeFill: RemixiconComponentType;

declare const RiFileCodeLine: RemixiconComponentType;

declare const RiFileCopy2Fill: RemixiconComponentType;

declare const RiFileCopy2Line: RemixiconComponentType;

declare const RiFileCopyFill: RemixiconComponentType;

declare const RiFileCopyLine: RemixiconComponentType;

declare const RiFileDamageFill: RemixiconComponentType;

declare const RiFileDamageLine: RemixiconComponentType;

declare const RiFileDownloadFill: RemixiconComponentType;

declare const RiFileDownloadLine: RemixiconComponentType;

declare const RiFileEditFill: RemixiconComponentType;

declare const RiFileEditLine: RemixiconComponentType;

declare const RiFileExcel2Fill: RemixiconComponentType;

declare const RiFileExcel2Line: RemixiconComponentType;

declare const RiFileExcelFill: RemixiconComponentType;

declare const RiFileExcelLine: RemixiconComponentType;

declare const RiFileFill: RemixiconComponentType;

declare const RiFileForbidFill: RemixiconComponentType;

declare const RiFileForbidLine: RemixiconComponentType;

declare const RiFileGifFill: RemixiconComponentType;

declare const RiFileGifLine: RemixiconComponentType;

declare const RiFileHistoryFill: RemixiconComponentType;

declare const RiFileHistoryLine: RemixiconComponentType;

declare const RiFileHwpFill: RemixiconComponentType;

declare const RiFileHwpLine: RemixiconComponentType;

declare const RiFileInfoFill: RemixiconComponentType;

declare const RiFileInfoLine: RemixiconComponentType;

declare const RiFileLine: RemixiconComponentType;

declare const RiFileList2Fill: RemixiconComponentType;

declare const RiFileList2Line: RemixiconComponentType;

declare const RiFileList3Fill: RemixiconComponentType;

declare const RiFileList3Line: RemixiconComponentType;

declare const RiFileListFill: RemixiconComponentType;

declare const RiFileListLine: RemixiconComponentType;

declare const RiFileLockFill: RemixiconComponentType;

declare const RiFileLockLine: RemixiconComponentType;

declare const RiFileMarkedFill: RemixiconComponentType;

declare const RiFileMarkedLine: RemixiconComponentType;

declare const RiFileMusicFill: RemixiconComponentType;

declare const RiFileMusicLine: RemixiconComponentType;

declare const RiFilePaper2Fill: RemixiconComponentType;

declare const RiFilePaper2Line: RemixiconComponentType;

declare const RiFilePaperFill: RemixiconComponentType;

declare const RiFilePaperLine: RemixiconComponentType;

declare const RiFilePdfFill: RemixiconComponentType;

declare const RiFilePdfLine: RemixiconComponentType;

declare const RiFilePpt2Fill: RemixiconComponentType;

declare const RiFilePpt2Line: RemixiconComponentType;

declare const RiFilePptFill: RemixiconComponentType;

declare const RiFilePptLine: RemixiconComponentType;

declare const RiFileReduceFill: RemixiconComponentType;

declare const RiFileReduceLine: RemixiconComponentType;

declare const RiFileSearchFill: RemixiconComponentType;

declare const RiFileSearchLine: RemixiconComponentType;

declare const RiFileSettingsFill: RemixiconComponentType;

declare const RiFileSettingsLine: RemixiconComponentType;

declare const RiFileShield2Fill: RemixiconComponentType;

declare const RiFileShield2Line: RemixiconComponentType;

declare const RiFileShieldFill: RemixiconComponentType;

declare const RiFileShieldLine: RemixiconComponentType;

declare const RiFileShredFill: RemixiconComponentType;

declare const RiFileShredLine: RemixiconComponentType;

declare const RiFileTextFill: RemixiconComponentType;

declare const RiFileTextLine: RemixiconComponentType;

declare const RiFileTransferFill: RemixiconComponentType;

declare const RiFileTransferLine: RemixiconComponentType;

declare const RiFileUnknowFill: RemixiconComponentType;

declare const RiFileUnknowLine: RemixiconComponentType;

declare const RiFileUploadFill: RemixiconComponentType;

declare const RiFileUploadLine: RemixiconComponentType;

declare const RiFileUserFill: RemixiconComponentType;

declare const RiFileUserLine: RemixiconComponentType;

declare const RiFileWarningFill: RemixiconComponentType;

declare const RiFileWarningLine: RemixiconComponentType;

declare const RiFileWord2Fill: RemixiconComponentType;

declare const RiFileWord2Line: RemixiconComponentType;

declare const RiFileWordFill: RemixiconComponentType;

declare const RiFileWordLine: RemixiconComponentType;

declare const RiFileZipFill: RemixiconComponentType;

declare const RiFileZipLine: RemixiconComponentType;

declare const RiFilmFill: RemixiconComponentType;

declare const RiFilmLine: RemixiconComponentType;

declare const RiFilter2Fill: RemixiconComponentType;

declare const RiFilter2Line: RemixiconComponentType;

declare const RiFilter3Fill: RemixiconComponentType;

declare const RiFilter3Line: RemixiconComponentType;

declare const RiFilterFill: RemixiconComponentType;

declare const RiFilterLine: RemixiconComponentType;

declare const RiFilterOffFill: RemixiconComponentType;

declare const RiFilterOffLine: RemixiconComponentType;

declare const RiFindReplaceFill: RemixiconComponentType;

declare const RiFindReplaceLine: RemixiconComponentType;

declare const RiFinderFill: RemixiconComponentType;

declare const RiFinderLine: RemixiconComponentType;

declare const RiFingerprint2Fill: RemixiconComponentType;

declare const RiFingerprint2Line: RemixiconComponentType;

declare const RiFingerprintFill: RemixiconComponentType;

declare const RiFingerprintLine: RemixiconComponentType;

declare const RiFireFill: RemixiconComponentType;

declare const RiFireLine: RemixiconComponentType;

declare const RiFirefoxFill: RemixiconComponentType;

declare const RiFirefoxLine: RemixiconComponentType;

declare const RiFirstAidKitFill: RemixiconComponentType;

declare const RiFirstAidKitLine: RemixiconComponentType;

declare const RiFlag2Fill: RemixiconComponentType;

declare const RiFlag2Line: RemixiconComponentType;

declare const RiFlagFill: RemixiconComponentType;

declare const RiFlagLine: RemixiconComponentType;

declare const RiFlashlightFill: RemixiconComponentType;

declare const RiFlashlightLine: RemixiconComponentType;

declare const RiFlaskFill: RemixiconComponentType;

declare const RiFlaskLine: RemixiconComponentType;

declare const RiFlightLandFill: RemixiconComponentType;

declare const RiFlightLandLine: RemixiconComponentType;

declare const RiFlightTakeoffFill: RemixiconComponentType;

declare const RiFlightTakeoffLine: RemixiconComponentType;

declare const RiFloodFill: RemixiconComponentType;

declare const RiFloodLine: RemixiconComponentType;

declare const RiFlowChart: RemixiconComponentType;

declare const RiFlutterFill: RemixiconComponentType;

declare const RiFlutterLine: RemixiconComponentType;

declare const RiFocus2Fill: RemixiconComponentType;

declare const RiFocus2Line: RemixiconComponentType;

declare const RiFocus3Fill: RemixiconComponentType;

declare const RiFocus3Line: RemixiconComponentType;

declare const RiFocusFill: RemixiconComponentType;

declare const RiFocusLine: RemixiconComponentType;

declare const RiFoggyFill: RemixiconComponentType;

declare const RiFoggyLine: RemixiconComponentType;

declare const RiFolder2Fill: RemixiconComponentType;

declare const RiFolder2Line: RemixiconComponentType;

declare const RiFolder3Fill: RemixiconComponentType;

declare const RiFolder3Line: RemixiconComponentType;

declare const RiFolder4Fill: RemixiconComponentType;

declare const RiFolder4Line: RemixiconComponentType;

declare const RiFolder5Fill: RemixiconComponentType;

declare const RiFolder5Line: RemixiconComponentType;

declare const RiFolderAddFill: RemixiconComponentType;

declare const RiFolderAddLine: RemixiconComponentType;

declare const RiFolderChart2Fill: RemixiconComponentType;

declare const RiFolderChart2Line: RemixiconComponentType;

declare const RiFolderChartFill: RemixiconComponentType;

declare const RiFolderChartLine: RemixiconComponentType;

declare const RiFolderDownloadFill: RemixiconComponentType;

declare const RiFolderDownloadLine: RemixiconComponentType;

declare const RiFolderFill: RemixiconComponentType;

declare const RiFolderForbidFill: RemixiconComponentType;

declare const RiFolderForbidLine: RemixiconComponentType;

declare const RiFolderHistoryFill: RemixiconComponentType;

declare const RiFolderHistoryLine: RemixiconComponentType;

declare const RiFolderInfoFill: RemixiconComponentType;

declare const RiFolderInfoLine: RemixiconComponentType;

declare const RiFolderKeyholeFill: RemixiconComponentType;

declare const RiFolderKeyholeLine: RemixiconComponentType;

declare const RiFolderLine: RemixiconComponentType;

declare const RiFolderLockFill: RemixiconComponentType;

declare const RiFolderLockLine: RemixiconComponentType;

declare const RiFolderMusicFill: RemixiconComponentType;

declare const RiFolderMusicLine: RemixiconComponentType;

declare const RiFolderOpenFill: RemixiconComponentType;

declare const RiFolderOpenLine: RemixiconComponentType;

declare const RiFolderReceivedFill: RemixiconComponentType;

declare const RiFolderReceivedLine: RemixiconComponentType;

declare const RiFolderReduceFill: RemixiconComponentType;

declare const RiFolderReduceLine: RemixiconComponentType;

declare const RiFolderSettingsFill: RemixiconComponentType;

declare const RiFolderSettingsLine: RemixiconComponentType;

declare const RiFolderSharedFill: RemixiconComponentType;

declare const RiFolderSharedLine: RemixiconComponentType;

declare const RiFolderShield2Fill: RemixiconComponentType;

declare const RiFolderShield2Line: RemixiconComponentType;

declare const RiFolderShieldFill: RemixiconComponentType;

declare const RiFolderShieldLine: RemixiconComponentType;

declare const RiFolderTransferFill: RemixiconComponentType;

declare const RiFolderTransferLine: RemixiconComponentType;

declare const RiFolderUnknowFill: RemixiconComponentType;

declare const RiFolderUnknowLine: RemixiconComponentType;

declare const RiFolderUploadFill: RemixiconComponentType;

declare const RiFolderUploadLine: RemixiconComponentType;

declare const RiFolderUserFill: RemixiconComponentType;

declare const RiFolderUserLine: RemixiconComponentType;

declare const RiFolderWarningFill: RemixiconComponentType;

declare const RiFolderWarningLine: RemixiconComponentType;

declare const RiFolderZipFill: RemixiconComponentType;

declare const RiFolderZipLine: RemixiconComponentType;

declare const RiFoldersFill: RemixiconComponentType;

declare const RiFoldersLine: RemixiconComponentType;

declare const RiFontColor: RemixiconComponentType;

declare const RiFontSize2: RemixiconComponentType;

declare const RiFontSize: RemixiconComponentType;

declare const RiFootballFill: RemixiconComponentType;

declare const RiFootballLine: RemixiconComponentType;

declare const RiFootprintFill: RemixiconComponentType;

declare const RiFootprintLine: RemixiconComponentType;

declare const RiForbid2Fill: RemixiconComponentType;

declare const RiForbid2Line: RemixiconComponentType;

declare const RiForbidFill: RemixiconComponentType;

declare const RiForbidLine: RemixiconComponentType;

declare const RiFormatClear: RemixiconComponentType;

declare const RiFridgeFill: RemixiconComponentType;

declare const RiFridgeLine: RemixiconComponentType;

declare const RiFullscreenExitFill: RemixiconComponentType;

declare const RiFullscreenExitLine: RemixiconComponentType;

declare const RiFullscreenFill: RemixiconComponentType;

declare const RiFullscreenLine: RemixiconComponentType;

declare const RiFunctionFill: RemixiconComponentType;

declare const RiFunctionLine: RemixiconComponentType;

declare const RiFunctions: RemixiconComponentType;

declare const RiFundsBoxFill: RemixiconComponentType;

declare const RiFundsBoxLine: RemixiconComponentType;

declare const RiFundsFill: RemixiconComponentType;

declare const RiFundsLine: RemixiconComponentType;

declare const RiGalleryFill: RemixiconComponentType;

declare const RiGalleryLine: RemixiconComponentType;

declare const RiGalleryUploadFill: RemixiconComponentType;

declare const RiGalleryUploadLine: RemixiconComponentType;

declare const RiGameFill: RemixiconComponentType;

declare const RiGameLine: RemixiconComponentType;

declare const RiGamepadFill: RemixiconComponentType;

declare const RiGamepadLine: RemixiconComponentType;

declare const RiGasStationFill: RemixiconComponentType;

declare const RiGasStationLine: RemixiconComponentType;

declare const RiGatsbyFill: RemixiconComponentType;

declare const RiGatsbyLine: RemixiconComponentType;

declare const RiGenderlessFill: RemixiconComponentType;

declare const RiGenderlessLine: RemixiconComponentType;

declare const RiGhost2Fill: RemixiconComponentType;

declare const RiGhost2Line: RemixiconComponentType;

declare const RiGhostFill: RemixiconComponentType;

declare const RiGhostLine: RemixiconComponentType;

declare const RiGhostSmileFill: RemixiconComponentType;

declare const RiGhostSmileLine: RemixiconComponentType;

declare const RiGift2Fill: RemixiconComponentType;

declare const RiGift2Line: RemixiconComponentType;

declare const RiGiftFill: RemixiconComponentType;

declare const RiGiftLine: RemixiconComponentType;

declare const RiGitBranchFill: RemixiconComponentType;

declare const RiGitBranchLine: RemixiconComponentType;

declare const RiGitCommitFill: RemixiconComponentType;

declare const RiGitCommitLine: RemixiconComponentType;

declare const RiGitMergeFill: RemixiconComponentType;

declare const RiGitMergeLine: RemixiconComponentType;

declare const RiGitPullRequestFill: RemixiconComponentType;

declare const RiGitPullRequestLine: RemixiconComponentType;

declare const RiGitRepositoryCommitsFill: RemixiconComponentType;

declare const RiGitRepositoryCommitsLine: RemixiconComponentType;

declare const RiGitRepositoryFill: RemixiconComponentType;

declare const RiGitRepositoryLine: RemixiconComponentType;

declare const RiGitRepositoryPrivateFill: RemixiconComponentType;

declare const RiGitRepositoryPrivateLine: RemixiconComponentType;

declare const RiGithubFill: RemixiconComponentType;

declare const RiGithubLine: RemixiconComponentType;

declare const RiGitlabFill: RemixiconComponentType;

declare const RiGitlabLine: RemixiconComponentType;

declare const RiGlobalFill: RemixiconComponentType;

declare const RiGlobalLine: RemixiconComponentType;

declare const RiGlobeFill: RemixiconComponentType;

declare const RiGlobeLine: RemixiconComponentType;

declare const RiGobletFill: RemixiconComponentType;

declare const RiGobletLine: RemixiconComponentType;

declare const RiGoogleFill: RemixiconComponentType;

declare const RiGoogleLine: RemixiconComponentType;

declare const RiGooglePlayFill: RemixiconComponentType;

declare const RiGooglePlayLine: RemixiconComponentType;

declare const RiGovernmentFill: RemixiconComponentType;

declare const RiGovernmentLine: RemixiconComponentType;

declare const RiGpsFill: RemixiconComponentType;

declare const RiGpsLine: RemixiconComponentType;

declare const RiGradienterFill: RemixiconComponentType;

declare const RiGradienterLine: RemixiconComponentType;

declare const RiGridFill: RemixiconComponentType;

declare const RiGridLine: RemixiconComponentType;

declare const RiGroup2Fill: RemixiconComponentType;

declare const RiGroup2Line: RemixiconComponentType;

declare const RiGroupFill: RemixiconComponentType;

declare const RiGroupLine: RemixiconComponentType;

declare const RiGuideFill: RemixiconComponentType;

declare const RiGuideLine: RemixiconComponentType;

declare const RiH1: RemixiconComponentType;

declare const RiH2: RemixiconComponentType;

declare const RiH3: RemixiconComponentType;

declare const RiH4: RemixiconComponentType;

declare const RiH5: RemixiconComponentType;

declare const RiH6: RemixiconComponentType;

declare const RiHailFill: RemixiconComponentType;

declare const RiHailLine: RemixiconComponentType;

declare const RiHammerFill: RemixiconComponentType;

declare const RiHammerLine: RemixiconComponentType;

declare const RiHandCoinFill: RemixiconComponentType;

declare const RiHandCoinLine: RemixiconComponentType;

declare const RiHandHeartFill: RemixiconComponentType;

declare const RiHandHeartLine: RemixiconComponentType;

declare const RiHandSanitizerFill: RemixiconComponentType;

declare const RiHandSanitizerLine: RemixiconComponentType;

declare const RiHandbagFill: RemixiconComponentType;

declare const RiHandbagLine: RemixiconComponentType;

declare const RiHardDrive2Fill: RemixiconComponentType;

declare const RiHardDrive2Line: RemixiconComponentType;

declare const RiHardDriveFill: RemixiconComponentType;

declare const RiHardDriveLine: RemixiconComponentType;

declare const RiHashtag: RemixiconComponentType;

declare const RiHaze2Fill: RemixiconComponentType;

declare const RiHaze2Line: RemixiconComponentType;

declare const RiHazeFill: RemixiconComponentType;

declare const RiHazeLine: RemixiconComponentType;

declare const RiHdFill: RemixiconComponentType;

declare const RiHdLine: RemixiconComponentType;

declare const RiHeading: RemixiconComponentType;

declare const RiHeadphoneFill: RemixiconComponentType;

declare const RiHeadphoneLine: RemixiconComponentType;

declare const RiHealthBookFill: RemixiconComponentType;

declare const RiHealthBookLine: RemixiconComponentType;

declare const RiHeart2Fill: RemixiconComponentType;

declare const RiHeart2Line: RemixiconComponentType;

declare const RiHeart3Fill: RemixiconComponentType;

declare const RiHeart3Line: RemixiconComponentType;

declare const RiHeartAddFill: RemixiconComponentType;

declare const RiHeartAddLine: RemixiconComponentType;

declare const RiHeartFill: RemixiconComponentType;

declare const RiHeartLine: RemixiconComponentType;

declare const RiHeartPulseFill: RemixiconComponentType;

declare const RiHeartPulseLine: RemixiconComponentType;

declare const RiHeartsFill: RemixiconComponentType;

declare const RiHeartsLine: RemixiconComponentType;

declare const RiHeavyShowersFill: RemixiconComponentType;

declare const RiHeavyShowersLine: RemixiconComponentType;

declare const RiHistoryFill: RemixiconComponentType;

declare const RiHistoryLine: RemixiconComponentType;

declare const RiHome2Fill: RemixiconComponentType;

declare const RiHome2Line: RemixiconComponentType;

declare const RiHome3Fill: RemixiconComponentType;

declare const RiHome3Line: RemixiconComponentType;

declare const RiHome4Fill: RemixiconComponentType;

declare const RiHome4Line: RemixiconComponentType;

declare const RiHome5Fill: RemixiconComponentType;

declare const RiHome5Line: RemixiconComponentType;

declare const RiHome6Fill: RemixiconComponentType;

declare const RiHome6Line: RemixiconComponentType;

declare const RiHome7Fill: RemixiconComponentType;

declare const RiHome7Line: RemixiconComponentType;

declare const RiHome8Fill: RemixiconComponentType;

declare const RiHome8Line: RemixiconComponentType;

declare const RiHomeFill: RemixiconComponentType;

declare const RiHomeGearFill: RemixiconComponentType;

declare const RiHomeGearLine: RemixiconComponentType;

declare const RiHomeHeartFill: RemixiconComponentType;

declare const RiHomeHeartLine: RemixiconComponentType;

declare const RiHomeLine: RemixiconComponentType;

declare const RiHomeSmile2Fill: RemixiconComponentType;

declare const RiHomeSmile2Line: RemixiconComponentType;

declare const RiHomeSmileFill: RemixiconComponentType;

declare const RiHomeSmileLine: RemixiconComponentType;

declare const RiHomeWifiFill: RemixiconComponentType;

declare const RiHomeWifiLine: RemixiconComponentType;

declare const RiHonorOfKingsFill: RemixiconComponentType;

declare const RiHonorOfKingsLine: RemixiconComponentType;

declare const RiHonourFill: RemixiconComponentType;

declare const RiHonourLine: RemixiconComponentType;

declare const RiHospitalFill: RemixiconComponentType;

declare const RiHospitalLine: RemixiconComponentType;

declare const RiHotelBedFill: RemixiconComponentType;

declare const RiHotelBedLine: RemixiconComponentType;

declare const RiHotelFill: RemixiconComponentType;

declare const RiHotelLine: RemixiconComponentType;

declare const RiHotspotFill: RemixiconComponentType;

declare const RiHotspotLine: RemixiconComponentType;

declare const RiHqFill: RemixiconComponentType;

declare const RiHqLine: RemixiconComponentType;

declare const RiHtml5Fill: RemixiconComponentType;

declare const RiHtml5Line: RemixiconComponentType;

declare const RiIeFill: RemixiconComponentType;

declare const RiIeLine: RemixiconComponentType;

declare const RiImage2Fill: RemixiconComponentType;

declare const RiImage2Line: RemixiconComponentType;

declare const RiImageAddFill: RemixiconComponentType;

declare const RiImageAddLine: RemixiconComponentType;

declare const RiImageEditFill: RemixiconComponentType;

declare const RiImageEditLine: RemixiconComponentType;

declare const RiImageFill: RemixiconComponentType;

declare const RiImageLine: RemixiconComponentType;

declare const RiInboxArchiveFill: RemixiconComponentType;

declare const RiInboxArchiveLine: RemixiconComponentType;

declare const RiInboxFill: RemixiconComponentType;

declare const RiInboxLine: RemixiconComponentType;

declare const RiInboxUnarchiveFill: RemixiconComponentType;

declare const RiInboxUnarchiveLine: RemixiconComponentType;

declare const RiIncreaseDecreaseFill: RemixiconComponentType;

declare const RiIncreaseDecreaseLine: RemixiconComponentType;

declare const RiIndentDecrease: RemixiconComponentType;

declare const RiIndentIncrease: RemixiconComponentType;

declare const RiIndeterminateCircleFill: RemixiconComponentType;

declare const RiIndeterminateCircleLine: RemixiconComponentType;

declare const RiInformationFill: RemixiconComponentType;

declare const RiInformationLine: RemixiconComponentType;

declare const RiInfraredThermometerFill: RemixiconComponentType;

declare const RiInfraredThermometerLine: RemixiconComponentType;

declare const RiInkBottleFill: RemixiconComponentType;

declare const RiInkBottleLine: RemixiconComponentType;

declare const RiInputCursorMove: RemixiconComponentType;

declare const RiInputMethodFill: RemixiconComponentType;

declare const RiInputMethodLine: RemixiconComponentType;

declare const RiInsertColumnLeft: RemixiconComponentType;

declare const RiInsertColumnRight: RemixiconComponentType;

declare const RiInsertRowBottom: RemixiconComponentType;

declare const RiInsertRowTop: RemixiconComponentType;

declare const RiInstagramFill: RemixiconComponentType;

declare const RiInstagramLine: RemixiconComponentType;

declare const RiInstallFill: RemixiconComponentType;

declare const RiInstallLine: RemixiconComponentType;

declare const RiInvisionFill: RemixiconComponentType;

declare const RiInvisionLine: RemixiconComponentType;

declare const RiItalic: RemixiconComponentType;

declare const RiKakaoTalkFill: RemixiconComponentType;

declare const RiKakaoTalkLine: RemixiconComponentType;

declare const RiKey2Fill: RemixiconComponentType;

declare const RiKey2Line: RemixiconComponentType;

declare const RiKeyFill: RemixiconComponentType;

declare const RiKeyLine: RemixiconComponentType;

declare const RiKeyboardBoxFill: RemixiconComponentType;

declare const RiKeyboardBoxLine: RemixiconComponentType;

declare const RiKeyboardFill: RemixiconComponentType;

declare const RiKeyboardLine: RemixiconComponentType;

declare const RiKeynoteFill: RemixiconComponentType;

declare const RiKeynoteLine: RemixiconComponentType;

declare const RiKnifeBloodFill: RemixiconComponentType;

declare const RiKnifeBloodLine: RemixiconComponentType;

declare const RiKnifeFill: RemixiconComponentType;

declare const RiKnifeLine: RemixiconComponentType;

declare const RiLandscapeFill: RemixiconComponentType;

declare const RiLandscapeLine: RemixiconComponentType;

declare const RiLayout2Fill: RemixiconComponentType;

declare const RiLayout2Line: RemixiconComponentType;

declare const RiLayout3Fill: RemixiconComponentType;

declare const RiLayout3Line: RemixiconComponentType;

declare const RiLayout4Fill: RemixiconComponentType;

declare const RiLayout4Line: RemixiconComponentType;

declare const RiLayout5Fill: RemixiconComponentType;

declare const RiLayout5Line: RemixiconComponentType;

declare const RiLayout6Fill: RemixiconComponentType;

declare const RiLayout6Line: RemixiconComponentType;

declare const RiLayoutBottom2Fill: RemixiconComponentType;

declare const RiLayoutBottom2Line: RemixiconComponentType;

declare const RiLayoutBottomFill: RemixiconComponentType;

declare const RiLayoutBottomLine: RemixiconComponentType;

declare const RiLayoutColumnFill: RemixiconComponentType;

declare const RiLayoutColumnLine: RemixiconComponentType;

declare const RiLayoutFill: RemixiconComponentType;

declare const RiLayoutGridFill: RemixiconComponentType;

declare const RiLayoutGridLine: RemixiconComponentType;

declare const RiLayoutLeft2Fill: RemixiconComponentType;

declare const RiLayoutLeft2Line: RemixiconComponentType;

declare const RiLayoutLeftFill: RemixiconComponentType;

declare const RiLayoutLeftLine: RemixiconComponentType;

declare const RiLayoutLine: RemixiconComponentType;

declare const RiLayoutMasonryFill: RemixiconComponentType;

declare const RiLayoutMasonryLine: RemixiconComponentType;

declare const RiLayoutRight2Fill: RemixiconComponentType;

declare const RiLayoutRight2Line: RemixiconComponentType;

declare const RiLayoutRightFill: RemixiconComponentType;

declare const RiLayoutRightLine: RemixiconComponentType;

declare const RiLayoutRowFill: RemixiconComponentType;

declare const RiLayoutRowLine: RemixiconComponentType;

declare const RiLayoutTop2Fill: RemixiconComponentType;

declare const RiLayoutTop2Line: RemixiconComponentType;

declare const RiLayoutTopFill: RemixiconComponentType;

declare const RiLayoutTopLine: RemixiconComponentType;

declare const RiLeafFill: RemixiconComponentType;

declare const RiLeafLine: RemixiconComponentType;

declare const RiLifebuoyFill: RemixiconComponentType;

declare const RiLifebuoyLine: RemixiconComponentType;

declare const RiLightbulbFill: RemixiconComponentType;

declare const RiLightbulbFlashFill: RemixiconComponentType;

declare const RiLightbulbFlashLine: RemixiconComponentType;

declare const RiLightbulbLine: RemixiconComponentType;

declare const RiLineChartFill: RemixiconComponentType;

declare const RiLineChartLine: RemixiconComponentType;

declare const RiLineFill: RemixiconComponentType;

declare const RiLineHeight: RemixiconComponentType;

declare const RiLineLine: RemixiconComponentType;

declare const RiLinkM: RemixiconComponentType;

declare const RiLinkUnlinkM: RemixiconComponentType;

declare const RiLinkUnlink: RemixiconComponentType;

declare const RiLink: RemixiconComponentType;

declare const RiLinkedinBoxFill: RemixiconComponentType;

declare const RiLinkedinBoxLine: RemixiconComponentType;

declare const RiLinkedinFill: RemixiconComponentType;

declare const RiLinkedinLine: RemixiconComponentType;

declare const RiLinksFill: RemixiconComponentType;

declare const RiLinksLine: RemixiconComponentType;

declare const RiListCheck2: RemixiconComponentType;

declare const RiListCheck: RemixiconComponentType;

declare const RiListOrdered: RemixiconComponentType;

declare const RiListSettingsFill: RemixiconComponentType;

declare const RiListSettingsLine: RemixiconComponentType;

declare const RiListUnordered: RemixiconComponentType;

declare const RiLiveFill: RemixiconComponentType;

declare const RiLiveLine: RemixiconComponentType;

declare const RiLoader2Fill: RemixiconComponentType;

declare const RiLoader2Line: RemixiconComponentType;

declare const RiLoader3Fill: RemixiconComponentType;

declare const RiLoader3Line: RemixiconComponentType;

declare const RiLoader4Fill: RemixiconComponentType;

declare const RiLoader4Line: RemixiconComponentType;

declare const RiLoader5Fill: RemixiconComponentType;

declare const RiLoader5Line: RemixiconComponentType;

declare const RiLoaderFill: RemixiconComponentType;

declare const RiLoaderLine: RemixiconComponentType;

declare const RiLock2Fill: RemixiconComponentType;

declare const RiLock2Line: RemixiconComponentType;

declare const RiLockFill: RemixiconComponentType;

declare const RiLockLine: RemixiconComponentType;

declare const RiLockPasswordFill: RemixiconComponentType;

declare const RiLockPasswordLine: RemixiconComponentType;

declare const RiLockUnlockFill: RemixiconComponentType;

declare const RiLockUnlockLine: RemixiconComponentType;

declare const RiLoginBoxFill: RemixiconComponentType;

declare const RiLoginBoxLine: RemixiconComponentType;

declare const RiLoginCircleFill: RemixiconComponentType;

declare const RiLoginCircleLine: RemixiconComponentType;

declare const RiLogoutBoxFill: RemixiconComponentType;

declare const RiLogoutBoxLine: RemixiconComponentType;

declare const RiLogoutBoxRFill: RemixiconComponentType;

declare const RiLogoutBoxRLine: RemixiconComponentType;

declare const RiLogoutCircleFill: RemixiconComponentType;

declare const RiLogoutCircleLine: RemixiconComponentType;

declare const RiLogoutCircleRFill: RemixiconComponentType;

declare const RiLogoutCircleRLine: RemixiconComponentType;

declare const RiLuggageCartFill: RemixiconComponentType;

declare const RiLuggageCartLine: RemixiconComponentType;

declare const RiLuggageDepositFill: RemixiconComponentType;

declare const RiLuggageDepositLine: RemixiconComponentType;

declare const RiLungsFill: RemixiconComponentType;

declare const RiLungsLine: RemixiconComponentType;

declare const RiMacFill: RemixiconComponentType;

declare const RiMacLine: RemixiconComponentType;

declare const RiMacbookFill: RemixiconComponentType;

declare const RiMacbookLine: RemixiconComponentType;

declare const RiMagicFill: RemixiconComponentType;

declare const RiMagicLine: RemixiconComponentType;

declare const RiMailAddFill: RemixiconComponentType;

declare const RiMailAddLine: RemixiconComponentType;

declare const RiMailCheckFill: RemixiconComponentType;

declare const RiMailCheckLine: RemixiconComponentType;

declare const RiMailCloseFill: RemixiconComponentType;

declare const RiMailCloseLine: RemixiconComponentType;

declare const RiMailDownloadFill: RemixiconComponentType;

declare const RiMailDownloadLine: RemixiconComponentType;

declare const RiMailFill: RemixiconComponentType;

declare const RiMailForbidFill: RemixiconComponentType;

declare const RiMailForbidLine: RemixiconComponentType;

declare const RiMailLine: RemixiconComponentType;

declare const RiMailLockFill: RemixiconComponentType;

declare const RiMailLockLine: RemixiconComponentType;

declare const RiMailOpenFill: RemixiconComponentType;

declare const RiMailOpenLine: RemixiconComponentType;

declare const RiMailSendFill: RemixiconComponentType;

declare const RiMailSendLine: RemixiconComponentType;

declare const RiMailSettingsFill: RemixiconComponentType;

declare const RiMailSettingsLine: RemixiconComponentType;

declare const RiMailStarFill: RemixiconComponentType;

declare const RiMailStarLine: RemixiconComponentType;

declare const RiMailUnreadFill: RemixiconComponentType;

declare const RiMailUnreadLine: RemixiconComponentType;

declare const RiMailVolumeFill: RemixiconComponentType;

declare const RiMailVolumeLine: RemixiconComponentType;

declare const RiMap2Fill: RemixiconComponentType;

declare const RiMap2Line: RemixiconComponentType;

declare const RiMapFill: RemixiconComponentType;

declare const RiMapLine: RemixiconComponentType;

declare const RiMapPin2Fill: RemixiconComponentType;

declare const RiMapPin2Line: RemixiconComponentType;

declare const RiMapPin3Fill: RemixiconComponentType;

declare const RiMapPin3Line: RemixiconComponentType;

declare const RiMapPin4Fill: RemixiconComponentType;

declare const RiMapPin4Line: RemixiconComponentType;

declare const RiMapPin5Fill: RemixiconComponentType;

declare const RiMapPin5Line: RemixiconComponentType;

declare const RiMapPinAddFill: RemixiconComponentType;

declare const RiMapPinAddLine: RemixiconComponentType;

declare const RiMapPinFill: RemixiconComponentType;

declare const RiMapPinLine: RemixiconComponentType;

declare const RiMapPinRangeFill: RemixiconComponentType;

declare const RiMapPinRangeLine: RemixiconComponentType;

declare const RiMapPinTimeFill: RemixiconComponentType;

declare const RiMapPinTimeLine: RemixiconComponentType;

declare const RiMapPinUserFill: RemixiconComponentType;

declare const RiMapPinUserLine: RemixiconComponentType;

declare const RiMarkPenFill: RemixiconComponentType;

declare const RiMarkPenLine: RemixiconComponentType;

declare const RiMarkdownFill: RemixiconComponentType;

declare const RiMarkdownLine: RemixiconComponentType;

declare const RiMarkupFill: RemixiconComponentType;

declare const RiMarkupLine: RemixiconComponentType;

declare const RiMastercardFill: RemixiconComponentType;

declare const RiMastercardLine: RemixiconComponentType;

declare const RiMastodonFill: RemixiconComponentType;

declare const RiMastodonLine: RemixiconComponentType;

declare const RiMedal2Fill: RemixiconComponentType;

declare const RiMedal2Line: RemixiconComponentType;

declare const RiMedalFill: RemixiconComponentType;

declare const RiMedalLine: RemixiconComponentType;

declare const RiMedicineBottleFill: RemixiconComponentType;

declare const RiMedicineBottleLine: RemixiconComponentType;

declare const RiMediumFill: RemixiconComponentType;

declare const RiMediumLine: RemixiconComponentType;

declare const RiMenFill: RemixiconComponentType;

declare const RiMenLine: RemixiconComponentType;

declare const RiMentalHealthFill: RemixiconComponentType;

declare const RiMentalHealthLine: RemixiconComponentType;

declare const RiMenu2Fill: RemixiconComponentType;

declare const RiMenu2Line: RemixiconComponentType;

declare const RiMenu3Fill: RemixiconComponentType;

declare const RiMenu3Line: RemixiconComponentType;

declare const RiMenu4Fill: RemixiconComponentType;

declare const RiMenu4Line: RemixiconComponentType;

declare const RiMenu5Fill: RemixiconComponentType;

declare const RiMenu5Line: RemixiconComponentType;

declare const RiMenuAddFill: RemixiconComponentType;

declare const RiMenuAddLine: RemixiconComponentType;

declare const RiMenuFill: RemixiconComponentType;

declare const RiMenuFoldFill: RemixiconComponentType;

declare const RiMenuFoldLine: RemixiconComponentType;

declare const RiMenuLine: RemixiconComponentType;

declare const RiMenuUnfoldFill: RemixiconComponentType;

declare const RiMenuUnfoldLine: RemixiconComponentType;

declare const RiMergeCellsHorizontal: RemixiconComponentType;

declare const RiMergeCellsVertical: RemixiconComponentType;

declare const RiMessage2Fill: RemixiconComponentType;

declare const RiMessage2Line: RemixiconComponentType;

declare const RiMessage3Fill: RemixiconComponentType;

declare const RiMessage3Line: RemixiconComponentType;

declare const RiMessageFill: RemixiconComponentType;

declare const RiMessageLine: RemixiconComponentType;

declare const RiMessengerFill: RemixiconComponentType;

declare const RiMessengerLine: RemixiconComponentType;

declare const RiMeteorFill: RemixiconComponentType;

declare const RiMeteorLine: RemixiconComponentType;

declare const RiMic2Fill: RemixiconComponentType;

declare const RiMic2Line: RemixiconComponentType;

declare const RiMicFill: RemixiconComponentType;

declare const RiMicLine: RemixiconComponentType;

declare const RiMicOffFill: RemixiconComponentType;

declare const RiMicOffLine: RemixiconComponentType;

declare const RiMickeyFill: RemixiconComponentType;

declare const RiMickeyLine: RemixiconComponentType;

declare const RiMicroscopeFill: RemixiconComponentType;

declare const RiMicroscopeLine: RemixiconComponentType;

declare const RiMicrosoftFill: RemixiconComponentType;

declare const RiMicrosoftLine: RemixiconComponentType;

declare const RiMindMap: RemixiconComponentType;

declare const RiMiniProgramFill: RemixiconComponentType;

declare const RiMiniProgramLine: RemixiconComponentType;

declare const RiMistFill: RemixiconComponentType;

declare const RiMistLine: RemixiconComponentType;

declare const RiMoneyCnyBoxFill: RemixiconComponentType;

declare const RiMoneyCnyBoxLine: RemixiconComponentType;

declare const RiMoneyCnyCircleFill: RemixiconComponentType;

declare const RiMoneyCnyCircleLine: RemixiconComponentType;

declare const RiMoneyDollarBoxFill: RemixiconComponentType;

declare const RiMoneyDollarBoxLine: RemixiconComponentType;

declare const RiMoneyDollarCircleFill: RemixiconComponentType;

declare const RiMoneyDollarCircleLine: RemixiconComponentType;

declare const RiMoneyEuroBoxFill: RemixiconComponentType;

declare const RiMoneyEuroBoxLine: RemixiconComponentType;

declare const RiMoneyEuroCircleFill: RemixiconComponentType;

declare const RiMoneyEuroCircleLine: RemixiconComponentType;

declare const RiMoneyPoundBoxFill: RemixiconComponentType;

declare const RiMoneyPoundBoxLine: RemixiconComponentType;

declare const RiMoneyPoundCircleFill: RemixiconComponentType;

declare const RiMoneyPoundCircleLine: RemixiconComponentType;

declare const RiMoonClearFill: RemixiconComponentType;

declare const RiMoonClearLine: RemixiconComponentType;

declare const RiMoonCloudyFill: RemixiconComponentType;

declare const RiMoonCloudyLine: RemixiconComponentType;

declare const RiMoonFill: RemixiconComponentType;

declare const RiMoonFoggyFill: RemixiconComponentType;

declare const RiMoonFoggyLine: RemixiconComponentType;

declare const RiMoonLine: RemixiconComponentType;

declare const RiMore2Fill: RemixiconComponentType;

declare const RiMore2Line: RemixiconComponentType;

declare const RiMoreFill: RemixiconComponentType;

declare const RiMoreLine: RemixiconComponentType;

declare const RiMotorbikeFill: RemixiconComponentType;

declare const RiMotorbikeLine: RemixiconComponentType;

declare const RiMouseFill: RemixiconComponentType;

declare const RiMouseLine: RemixiconComponentType;

declare const RiMovie2Fill: RemixiconComponentType;

declare const RiMovie2Line: RemixiconComponentType;

declare const RiMovieFill: RemixiconComponentType;

declare const RiMovieLine: RemixiconComponentType;

declare const RiMusic2Fill: RemixiconComponentType;

declare const RiMusic2Line: RemixiconComponentType;

declare const RiMusicFill: RemixiconComponentType;

declare const RiMusicLine: RemixiconComponentType;

declare const RiMvFill: RemixiconComponentType;

declare const RiMvLine: RemixiconComponentType;

declare const RiNavigationFill: RemixiconComponentType;

declare const RiNavigationLine: RemixiconComponentType;

declare const RiNeteaseCloudMusicFill: RemixiconComponentType;

declare const RiNeteaseCloudMusicLine: RemixiconComponentType;

declare const RiNetflixFill: RemixiconComponentType;

declare const RiNetflixLine: RemixiconComponentType;

declare const RiNewspaperFill: RemixiconComponentType;

declare const RiNewspaperLine: RemixiconComponentType;

declare const RiNodeTree: RemixiconComponentType;

declare const RiNotification2Fill: RemixiconComponentType;

declare const RiNotification2Line: RemixiconComponentType;

declare const RiNotification3Fill: RemixiconComponentType;

declare const RiNotification3Line: RemixiconComponentType;

declare const RiNotification4Fill: RemixiconComponentType;

declare const RiNotification4Line: RemixiconComponentType;

declare const RiNotificationBadgeFill: RemixiconComponentType;

declare const RiNotificationBadgeLine: RemixiconComponentType;

declare const RiNotificationFill: RemixiconComponentType;

declare const RiNotificationLine: RemixiconComponentType;

declare const RiNotificationOffFill: RemixiconComponentType;

declare const RiNotificationOffLine: RemixiconComponentType;

declare const RiNpmjsFill: RemixiconComponentType;

declare const RiNpmjsLine: RemixiconComponentType;

declare const RiNumber0: RemixiconComponentType;

declare const RiNumber1: RemixiconComponentType;

declare const RiNumber2: RemixiconComponentType;

declare const RiNumber3: RemixiconComponentType;

declare const RiNumber4: RemixiconComponentType;

declare const RiNumber5: RemixiconComponentType;

declare const RiNumber6: RemixiconComponentType;

declare const RiNumber7: RemixiconComponentType;

declare const RiNumber8: RemixiconComponentType;

declare const RiNumber9: RemixiconComponentType;

declare const RiNumbersFill: RemixiconComponentType;

declare const RiNumbersLine: RemixiconComponentType;

declare const RiNurseFill: RemixiconComponentType;

declare const RiNurseLine: RemixiconComponentType;

declare const RiOilFill: RemixiconComponentType;

declare const RiOilLine: RemixiconComponentType;

declare const RiOmega: RemixiconComponentType;

declare const RiOpenArmFill: RemixiconComponentType;

declare const RiOpenArmLine: RemixiconComponentType;

declare const RiOpenSourceFill: RemixiconComponentType;

declare const RiOpenSourceLine: RemixiconComponentType;

declare const RiOperaFill: RemixiconComponentType;

declare const RiOperaLine: RemixiconComponentType;

declare const RiOrderPlayFill: RemixiconComponentType;

declare const RiOrderPlayLine: RemixiconComponentType;

declare const RiOrganizationChart: RemixiconComponentType;

declare const RiOutlet2Fill: RemixiconComponentType;

declare const RiOutlet2Line: RemixiconComponentType;

declare const RiOutletFill: RemixiconComponentType;

declare const RiOutletLine: RemixiconComponentType;

declare const RiPageSeparator: RemixiconComponentType;

declare const RiPagesFill: RemixiconComponentType;

declare const RiPagesLine: RemixiconComponentType;

declare const RiPaintBrushFill: RemixiconComponentType;

declare const RiPaintBrushLine: RemixiconComponentType;

declare const RiPaintFill: RemixiconComponentType;

declare const RiPaintLine: RemixiconComponentType;

declare const RiPaletteFill: RemixiconComponentType;

declare const RiPaletteLine: RemixiconComponentType;

declare const RiPantoneFill: RemixiconComponentType;

declare const RiPantoneLine: RemixiconComponentType;

declare const RiParagraph: RemixiconComponentType;

declare const RiParentFill: RemixiconComponentType;

declare const RiParentLine: RemixiconComponentType;

declare const RiParenthesesFill: RemixiconComponentType;

declare const RiParenthesesLine: RemixiconComponentType;

declare const RiParkingBoxFill: RemixiconComponentType;

declare const RiParkingBoxLine: RemixiconComponentType;

declare const RiParkingFill: RemixiconComponentType;

declare const RiParkingLine: RemixiconComponentType;

declare const RiPassportFill: RemixiconComponentType;

declare const RiPassportLine: RemixiconComponentType;

declare const RiPatreonFill: RemixiconComponentType;

declare const RiPatreonLine: RemixiconComponentType;

declare const RiPauseCircleFill: RemixiconComponentType;

declare const RiPauseCircleLine: RemixiconComponentType;

declare const RiPauseFill: RemixiconComponentType;

declare const RiPauseLine: RemixiconComponentType;

declare const RiPauseMiniFill: RemixiconComponentType;

declare const RiPauseMiniLine: RemixiconComponentType;

declare const RiPaypalFill: RemixiconComponentType;

declare const RiPaypalLine: RemixiconComponentType;

declare const RiPenNibFill: RemixiconComponentType;

declare const RiPenNibLine: RemixiconComponentType;

declare const RiPencilFill: RemixiconComponentType;

declare const RiPencilLine: RemixiconComponentType;

declare const RiPencilRuler2Fill: RemixiconComponentType;

declare const RiPencilRuler2Line: RemixiconComponentType;

declare const RiPencilRulerFill: RemixiconComponentType;

declare const RiPencilRulerLine: RemixiconComponentType;

declare const RiPercentFill: RemixiconComponentType;

declare const RiPercentLine: RemixiconComponentType;

declare const RiPhoneCameraFill: RemixiconComponentType;

declare const RiPhoneCameraLine: RemixiconComponentType;

declare const RiPhoneFill: RemixiconComponentType;

declare const RiPhoneFindFill: RemixiconComponentType;

declare const RiPhoneFindLine: RemixiconComponentType;

declare const RiPhoneLine: RemixiconComponentType;

declare const RiPhoneLockFill: RemixiconComponentType;

declare const RiPhoneLockLine: RemixiconComponentType;

declare const RiPictureInPicture2Fill: RemixiconComponentType;

declare const RiPictureInPicture2Line: RemixiconComponentType;

declare const RiPictureInPictureExitFill: RemixiconComponentType;

declare const RiPictureInPictureExitLine: RemixiconComponentType;

declare const RiPictureInPictureFill: RemixiconComponentType;

declare const RiPictureInPictureLine: RemixiconComponentType;

declare const RiPieChart2Fill: RemixiconComponentType;

declare const RiPieChart2Line: RemixiconComponentType;

declare const RiPieChartBoxFill: RemixiconComponentType;

declare const RiPieChartBoxLine: RemixiconComponentType;

declare const RiPieChartFill: RemixiconComponentType;

declare const RiPieChartLine: RemixiconComponentType;

declare const RiPinDistanceFill: RemixiconComponentType;

declare const RiPinDistanceLine: RemixiconComponentType;

declare const RiPingPongFill: RemixiconComponentType;

declare const RiPingPongLine: RemixiconComponentType;

declare const RiPinterestFill: RemixiconComponentType;

declare const RiPinterestLine: RemixiconComponentType;

declare const RiPinyinInput: RemixiconComponentType;

declare const RiPixelfedFill: RemixiconComponentType;

declare const RiPixelfedLine: RemixiconComponentType;

declare const RiPlaneFill: RemixiconComponentType;

declare const RiPlaneLine: RemixiconComponentType;

declare const RiPlantFill: RemixiconComponentType;

declare const RiPlantLine: RemixiconComponentType;

declare const RiPlayCircleFill: RemixiconComponentType;

declare const RiPlayCircleLine: RemixiconComponentType;

declare const RiPlayFill: RemixiconComponentType;

declare const RiPlayLine: RemixiconComponentType;

declare const RiPlayList2Fill: RemixiconComponentType;

declare const RiPlayList2Line: RemixiconComponentType;

declare const RiPlayListAddFill: RemixiconComponentType;

declare const RiPlayListAddLine: RemixiconComponentType;

declare const RiPlayListFill: RemixiconComponentType;

declare const RiPlayListLine: RemixiconComponentType;

declare const RiPlayMiniFill: RemixiconComponentType;

declare const RiPlayMiniLine: RemixiconComponentType;

declare const RiPlaystationFill: RemixiconComponentType;

declare const RiPlaystationLine: RemixiconComponentType;

declare const RiPlug2Fill: RemixiconComponentType;

declare const RiPlug2Line: RemixiconComponentType;

declare const RiPlugFill: RemixiconComponentType;

declare const RiPlugLine: RemixiconComponentType;

declare const RiPolaroid2Fill: RemixiconComponentType;

declare const RiPolaroid2Line: RemixiconComponentType;

declare const RiPolaroidFill: RemixiconComponentType;

declare const RiPolaroidLine: RemixiconComponentType;

declare const RiPoliceCarFill: RemixiconComponentType;

declare const RiPoliceCarLine: RemixiconComponentType;

declare const RiPriceTag2Fill: RemixiconComponentType;

declare const RiPriceTag2Line: RemixiconComponentType;

declare const RiPriceTag3Fill: RemixiconComponentType;

declare const RiPriceTag3Line: RemixiconComponentType;

declare const RiPriceTagFill: RemixiconComponentType;

declare const RiPriceTagLine: RemixiconComponentType;

declare const RiPrinterCloudFill: RemixiconComponentType;

declare const RiPrinterCloudLine: RemixiconComponentType;

declare const RiPrinterFill: RemixiconComponentType;

declare const RiPrinterLine: RemixiconComponentType;

declare const RiProductHuntFill: RemixiconComponentType;

declare const RiProductHuntLine: RemixiconComponentType;

declare const RiProfileFill: RemixiconComponentType;

declare const RiProfileLine: RemixiconComponentType;

declare const RiProjector2Fill: RemixiconComponentType;

declare const RiProjector2Line: RemixiconComponentType;

declare const RiProjectorFill: RemixiconComponentType;

declare const RiProjectorLine: RemixiconComponentType;

declare const RiPsychotherapyFill: RemixiconComponentType;

declare const RiPsychotherapyLine: RemixiconComponentType;

declare const RiPulseFill: RemixiconComponentType;

declare const RiPulseLine: RemixiconComponentType;

declare const RiPushpin2Fill: RemixiconComponentType;

declare const RiPushpin2Line: RemixiconComponentType;

declare const RiPushpinFill: RemixiconComponentType;

declare const RiPushpinLine: RemixiconComponentType;

declare const RiQqFill: RemixiconComponentType;

declare const RiQqLine: RemixiconComponentType;

declare const RiQrCodeFill: RemixiconComponentType;

declare const RiQrCodeLine: RemixiconComponentType;

declare const RiQrScan2Fill: RemixiconComponentType;

declare const RiQrScan2Line: RemixiconComponentType;

declare const RiQrScanFill: RemixiconComponentType;

declare const RiQrScanLine: RemixiconComponentType;

declare const RiQuestionAnswerFill: RemixiconComponentType;

declare const RiQuestionAnswerLine: RemixiconComponentType;

declare const RiQuestionFill: RemixiconComponentType;

declare const RiQuestionLine: RemixiconComponentType;

declare const RiQuestionMark: RemixiconComponentType;

declare const RiQuestionnaireFill: RemixiconComponentType;

declare const RiQuestionnaireLine: RemixiconComponentType;

declare const RiQuillPenFill: RemixiconComponentType;

declare const RiQuillPenLine: RemixiconComponentType;

declare const RiRadarFill: RemixiconComponentType;

declare const RiRadarLine: RemixiconComponentType;

declare const RiRadio2Fill: RemixiconComponentType;

declare const RiRadio2Line: RemixiconComponentType;

declare const RiRadioButtonFill: RemixiconComponentType;

declare const RiRadioButtonLine: RemixiconComponentType;

declare const RiRadioFill: RemixiconComponentType;

declare const RiRadioLine: RemixiconComponentType;

declare const RiRainbowFill: RemixiconComponentType;

declare const RiRainbowLine: RemixiconComponentType;

declare const RiRainyFill: RemixiconComponentType;

declare const RiRainyLine: RemixiconComponentType;

declare const RiReactjsFill: RemixiconComponentType;

declare const RiReactjsLine: RemixiconComponentType;

declare const RiRecordCircleFill: RemixiconComponentType;

declare const RiRecordCircleLine: RemixiconComponentType;

declare const RiRecordMailFill: RemixiconComponentType;

declare const RiRecordMailLine: RemixiconComponentType;

declare const RiRecycleFill: RemixiconComponentType;

declare const RiRecycleLine: RemixiconComponentType;

declare const RiRedPacketFill: RemixiconComponentType;

declare const RiRedPacketLine: RemixiconComponentType;

declare const RiRedditFill: RemixiconComponentType;

declare const RiRedditLine: RemixiconComponentType;

declare const RiRefreshFill: RemixiconComponentType;

declare const RiRefreshLine: RemixiconComponentType;

declare const RiRefund2Fill: RemixiconComponentType;

declare const RiRefund2Line: RemixiconComponentType;

declare const RiRefundFill: RemixiconComponentType;

declare const RiRefundLine: RemixiconComponentType;

declare const RiRegisteredFill: RemixiconComponentType;

declare const RiRegisteredLine: RemixiconComponentType;

declare const RiRemixiconFill: RemixiconComponentType;

declare const RiRemixiconLine: RemixiconComponentType;

declare const RiRemoteControl2Fill: RemixiconComponentType;

declare const RiRemoteControl2Line: RemixiconComponentType;

declare const RiRemoteControlFill: RemixiconComponentType;

declare const RiRemoteControlLine: RemixiconComponentType;

declare const RiRepeat2Fill: RemixiconComponentType;

declare const RiRepeat2Line: RemixiconComponentType;

declare const RiRepeatFill: RemixiconComponentType;

declare const RiRepeatLine: RemixiconComponentType;

declare const RiRepeatOneFill: RemixiconComponentType;

declare const RiRepeatOneLine: RemixiconComponentType;

declare const RiReplyAllFill: RemixiconComponentType;

declare const RiReplyAllLine: RemixiconComponentType;

declare const RiReplyFill: RemixiconComponentType;

declare const RiReplyLine: RemixiconComponentType;

declare const RiReservedFill: RemixiconComponentType;

declare const RiReservedLine: RemixiconComponentType;

declare const RiRestTimeFill: RemixiconComponentType;

declare const RiRestTimeLine: RemixiconComponentType;

declare const RiRestartFill: RemixiconComponentType;

declare const RiRestartLine: RemixiconComponentType;

declare const RiRestaurant2Fill: RemixiconComponentType;

declare const RiRestaurant2Line: RemixiconComponentType;

declare const RiRestaurantFill: RemixiconComponentType;

declare const RiRestaurantLine: RemixiconComponentType;

declare const RiRewindFill: RemixiconComponentType;

declare const RiRewindLine: RemixiconComponentType;

declare const RiRewindMiniFill: RemixiconComponentType;

declare const RiRewindMiniLine: RemixiconComponentType;

declare const RiRhythmFill: RemixiconComponentType;

declare const RiRhythmLine: RemixiconComponentType;

declare const RiRidingFill: RemixiconComponentType;

declare const RiRidingLine: RemixiconComponentType;

declare const RiRoadMapFill: RemixiconComponentType;

declare const RiRoadMapLine: RemixiconComponentType;

declare const RiRoadsterFill: RemixiconComponentType;

declare const RiRoadsterLine: RemixiconComponentType;

declare const RiRobotFill: RemixiconComponentType;

declare const RiRobotLine: RemixiconComponentType;

declare const RiRocket2Fill: RemixiconComponentType;

declare const RiRocket2Line: RemixiconComponentType;

declare const RiRocketFill: RemixiconComponentType;

declare const RiRocketLine: RemixiconComponentType;

declare const RiRotateLockFill: RemixiconComponentType;

declare const RiRotateLockLine: RemixiconComponentType;

declare const RiRoundedCorner: RemixiconComponentType;

declare const RiRouteFill: RemixiconComponentType;

declare const RiRouteLine: RemixiconComponentType;

declare const RiRouterFill: RemixiconComponentType;

declare const RiRouterLine: RemixiconComponentType;

declare const RiRssFill: RemixiconComponentType;

declare const RiRssLine: RemixiconComponentType;

declare const RiRuler2Fill: RemixiconComponentType;

declare const RiRuler2Line: RemixiconComponentType;

declare const RiRulerFill: RemixiconComponentType;

declare const RiRulerLine: RemixiconComponentType;

declare const RiRunFill: RemixiconComponentType;

declare const RiRunLine: RemixiconComponentType;

declare const RiSafariFill: RemixiconComponentType;

declare const RiSafariLine: RemixiconComponentType;

declare const RiSafe2Fill: RemixiconComponentType;

declare const RiSafe2Line: RemixiconComponentType;

declare const RiSafeFill: RemixiconComponentType;

declare const RiSafeLine: RemixiconComponentType;

declare const RiSailboatFill: RemixiconComponentType;

declare const RiSailboatLine: RemixiconComponentType;

declare const RiSave2Fill: RemixiconComponentType;

declare const RiSave2Line: RemixiconComponentType;

declare const RiSave3Fill: RemixiconComponentType;

declare const RiSave3Line: RemixiconComponentType;

declare const RiSaveFill: RemixiconComponentType;

declare const RiSaveLine: RemixiconComponentType;

declare const RiScales2Fill: RemixiconComponentType;

declare const RiScales2Line: RemixiconComponentType;

declare const RiScales3Fill: RemixiconComponentType;

declare const RiScales3Line: RemixiconComponentType;

declare const RiScalesFill: RemixiconComponentType;

declare const RiScalesLine: RemixiconComponentType;

declare const RiScan2Fill: RemixiconComponentType;

declare const RiScan2Line: RemixiconComponentType;

declare const RiScanFill: RemixiconComponentType;

declare const RiScanLine: RemixiconComponentType;

declare const RiScissors2Fill: RemixiconComponentType;

declare const RiScissors2Line: RemixiconComponentType;

declare const RiScissorsCutFill: RemixiconComponentType;

declare const RiScissorsCutLine: RemixiconComponentType;

declare const RiScissorsFill: RemixiconComponentType;

declare const RiScissorsLine: RemixiconComponentType;

declare const RiScreenshot2Fill: RemixiconComponentType;

declare const RiScreenshot2Line: RemixiconComponentType;

declare const RiScreenshotFill: RemixiconComponentType;

declare const RiScreenshotLine: RemixiconComponentType;

declare const RiSdCardFill: RemixiconComponentType;

declare const RiSdCardLine: RemixiconComponentType;

declare const RiSdCardMiniFill: RemixiconComponentType;

declare const RiSdCardMiniLine: RemixiconComponentType;

declare const RiSearch2Fill: RemixiconComponentType;

declare const RiSearch2Line: RemixiconComponentType;

declare const RiSearchEyeFill: RemixiconComponentType;

declare const RiSearchEyeLine: RemixiconComponentType;

declare const RiSearchFill: RemixiconComponentType;

declare const RiSearchLine: RemixiconComponentType;

declare const RiSecurePaymentFill: RemixiconComponentType;

declare const RiSecurePaymentLine: RemixiconComponentType;

declare const RiSeedlingFill: RemixiconComponentType;

declare const RiSeedlingLine: RemixiconComponentType;

declare const RiSendBackward: RemixiconComponentType;

declare const RiSendPlane2Fill: RemixiconComponentType;

declare const RiSendPlane2Line: RemixiconComponentType;

declare const RiSendPlaneFill: RemixiconComponentType;

declare const RiSendPlaneLine: RemixiconComponentType;

declare const RiSendToBack: RemixiconComponentType;

declare const RiSensorFill: RemixiconComponentType;

declare const RiSensorLine: RemixiconComponentType;

declare const RiSeparator: RemixiconComponentType;

declare const RiServerFill: RemixiconComponentType;

declare const RiServerLine: RemixiconComponentType;

declare const RiServiceFill: RemixiconComponentType;

declare const RiServiceLine: RemixiconComponentType;

declare const RiSettings2Fill: RemixiconComponentType;

declare const RiSettings2Line: RemixiconComponentType;

declare const RiSettings3Fill: RemixiconComponentType;

declare const RiSettings3Line: RemixiconComponentType;

declare const RiSettings4Fill: RemixiconComponentType;

declare const RiSettings4Line: RemixiconComponentType;

declare const RiSettings5Fill: RemixiconComponentType;

declare const RiSettings5Line: RemixiconComponentType;

declare const RiSettings6Fill: RemixiconComponentType;

declare const RiSettings6Line: RemixiconComponentType;

declare const RiSettingsFill: RemixiconComponentType;

declare const RiSettingsLine: RemixiconComponentType;

declare const RiShape2Fill: RemixiconComponentType;

declare const RiShape2Line: RemixiconComponentType;

declare const RiShapeFill: RemixiconComponentType;

declare const RiShapeLine: RemixiconComponentType;

declare const RiShareBoxFill: RemixiconComponentType;

declare const RiShareBoxLine: RemixiconComponentType;

declare const RiShareCircleFill: RemixiconComponentType;

declare const RiShareCircleLine: RemixiconComponentType;

declare const RiShareFill: RemixiconComponentType;

declare const RiShareForward2Fill: RemixiconComponentType;

declare const RiShareForward2Line: RemixiconComponentType;

declare const RiShareForwardBoxFill: RemixiconComponentType;

declare const RiShareForwardBoxLine: RemixiconComponentType;

declare const RiShareForwardFill: RemixiconComponentType;

declare const RiShareForwardLine: RemixiconComponentType;

declare const RiShareLine: RemixiconComponentType;

declare const RiShieldCheckFill: RemixiconComponentType;

declare const RiShieldCheckLine: RemixiconComponentType;

declare const RiShieldCrossFill: RemixiconComponentType;

declare const RiShieldCrossLine: RemixiconComponentType;

declare const RiShieldFill: RemixiconComponentType;

declare const RiShieldFlashFill: RemixiconComponentType;

declare const RiShieldFlashLine: RemixiconComponentType;

declare const RiShieldKeyholeFill: RemixiconComponentType;

declare const RiShieldKeyholeLine: RemixiconComponentType;

declare const RiShieldLine: RemixiconComponentType;

declare const RiShieldStarFill: RemixiconComponentType;

declare const RiShieldStarLine: RemixiconComponentType;

declare const RiShieldUserFill: RemixiconComponentType;

declare const RiShieldUserLine: RemixiconComponentType;

declare const RiShip2Fill: RemixiconComponentType;

declare const RiShip2Line: RemixiconComponentType;

declare const RiShipFill: RemixiconComponentType;

declare const RiShipLine: RemixiconComponentType;

declare const RiShirtFill: RemixiconComponentType;

declare const RiShirtLine: RemixiconComponentType;

declare const RiShoppingBag2Fill: RemixiconComponentType;

declare const RiShoppingBag2Line: RemixiconComponentType;

declare const RiShoppingBag3Fill: RemixiconComponentType;

declare const RiShoppingBag3Line: RemixiconComponentType;

declare const RiShoppingBagFill: RemixiconComponentType;

declare const RiShoppingBagLine: RemixiconComponentType;

declare const RiShoppingBasket2Fill: RemixiconComponentType;

declare const RiShoppingBasket2Line: RemixiconComponentType;

declare const RiShoppingBasketFill: RemixiconComponentType;

declare const RiShoppingBasketLine: RemixiconComponentType;

declare const RiShoppingCart2Fill: RemixiconComponentType;

declare const RiShoppingCart2Line: RemixiconComponentType;

declare const RiShoppingCartFill: RemixiconComponentType;

declare const RiShoppingCartLine: RemixiconComponentType;

declare const RiShowersFill: RemixiconComponentType;

declare const RiShowersLine: RemixiconComponentType;

declare const RiShuffleFill: RemixiconComponentType;

declare const RiShuffleLine: RemixiconComponentType;

declare const RiShutDownFill: RemixiconComponentType;

declare const RiShutDownLine: RemixiconComponentType;

declare const RiSideBarFill: RemixiconComponentType;

declare const RiSideBarLine: RemixiconComponentType;

declare const RiSignalTowerFill: RemixiconComponentType;

declare const RiSignalTowerLine: RemixiconComponentType;

declare const RiSignalWifi1Fill: RemixiconComponentType;

declare const RiSignalWifi1Line: RemixiconComponentType;

declare const RiSignalWifi2Fill: RemixiconComponentType;

declare const RiSignalWifi2Line: RemixiconComponentType;

declare const RiSignalWifi3Fill: RemixiconComponentType;

declare const RiSignalWifi3Line: RemixiconComponentType;

declare const RiSignalWifiErrorFill: RemixiconComponentType;

declare const RiSignalWifiErrorLine: RemixiconComponentType;

declare const RiSignalWifiFill: RemixiconComponentType;

declare const RiSignalWifiLine: RemixiconComponentType;

declare const RiSignalWifiOffFill: RemixiconComponentType;

declare const RiSignalWifiOffLine: RemixiconComponentType;

declare const RiSimCard2Fill: RemixiconComponentType;

declare const RiSimCard2Line: RemixiconComponentType;

declare const RiSimCardFill: RemixiconComponentType;

declare const RiSimCardLine: RemixiconComponentType;

declare const RiSingleQuotesL: RemixiconComponentType;

declare const RiSingleQuotesR: RemixiconComponentType;

declare const RiSipFill: RemixiconComponentType;

declare const RiSipLine: RemixiconComponentType;

declare const RiSkipBackFill: RemixiconComponentType;

declare const RiSkipBackLine: RemixiconComponentType;

declare const RiSkipBackMiniFill: RemixiconComponentType;

declare const RiSkipBackMiniLine: RemixiconComponentType;

declare const RiSkipForwardFill: RemixiconComponentType;

declare const RiSkipForwardLine: RemixiconComponentType;

declare const RiSkipForwardMiniFill: RemixiconComponentType;

declare const RiSkipForwardMiniLine: RemixiconComponentType;

declare const RiSkull2Fill: RemixiconComponentType;

declare const RiSkull2Line: RemixiconComponentType;

declare const RiSkullFill: RemixiconComponentType;

declare const RiSkullLine: RemixiconComponentType;

declare const RiSkypeFill: RemixiconComponentType;

declare const RiSkypeLine: RemixiconComponentType;

declare const RiSlackFill: RemixiconComponentType;

declare const RiSlackLine: RemixiconComponentType;

declare const RiSliceFill: RemixiconComponentType;

declare const RiSliceLine: RemixiconComponentType;

declare const RiSlideshow2Fill: RemixiconComponentType;

declare const RiSlideshow2Line: RemixiconComponentType;

declare const RiSlideshow3Fill: RemixiconComponentType;

declare const RiSlideshow3Line: RemixiconComponentType;

declare const RiSlideshow4Fill: RemixiconComponentType;

declare const RiSlideshow4Line: RemixiconComponentType;

declare const RiSlideshowFill: RemixiconComponentType;

declare const RiSlideshowLine: RemixiconComponentType;

declare const RiSmartphoneFill: RemixiconComponentType;

declare const RiSmartphoneLine: RemixiconComponentType;

declare const RiSnapchatFill: RemixiconComponentType;

declare const RiSnapchatLine: RemixiconComponentType;

declare const RiSnowyFill: RemixiconComponentType;

declare const RiSnowyLine: RemixiconComponentType;

declare const RiSortAsc: RemixiconComponentType;

declare const RiSortDesc: RemixiconComponentType;

declare const RiSoundModuleFill: RemixiconComponentType;

declare const RiSoundModuleLine: RemixiconComponentType;

declare const RiSoundcloudFill: RemixiconComponentType;

declare const RiSoundcloudLine: RemixiconComponentType;

declare const RiSpaceShipFill: RemixiconComponentType;

declare const RiSpaceShipLine: RemixiconComponentType;

declare const RiSpace: RemixiconComponentType;

declare const RiSpam2Fill: RemixiconComponentType;

declare const RiSpam2Line: RemixiconComponentType;

declare const RiSpam3Fill: RemixiconComponentType;

declare const RiSpam3Line: RemixiconComponentType;

declare const RiSpamFill: RemixiconComponentType;

declare const RiSpamLine: RemixiconComponentType;

declare const RiSpeaker2Fill: RemixiconComponentType;

declare const RiSpeaker2Line: RemixiconComponentType;

declare const RiSpeaker3Fill: RemixiconComponentType;

declare const RiSpeaker3Line: RemixiconComponentType;

declare const RiSpeakerFill: RemixiconComponentType;

declare const RiSpeakerLine: RemixiconComponentType;

declare const RiSpectrumFill: RemixiconComponentType;

declare const RiSpectrumLine: RemixiconComponentType;

declare const RiSpeedFill: RemixiconComponentType;

declare const RiSpeedLine: RemixiconComponentType;

declare const RiSpeedMiniFill: RemixiconComponentType;

declare const RiSpeedMiniLine: RemixiconComponentType;

declare const RiSplitCellsHorizontal: RemixiconComponentType;

declare const RiSplitCellsVertical: RemixiconComponentType;

declare const RiSpotifyFill: RemixiconComponentType;

declare const RiSpotifyLine: RemixiconComponentType;

declare const RiSpyFill: RemixiconComponentType;

declare const RiSpyLine: RemixiconComponentType;

declare const RiStackFill: RemixiconComponentType;

declare const RiStackLine: RemixiconComponentType;

declare const RiStackOverflowFill: RemixiconComponentType;

declare const RiStackOverflowLine: RemixiconComponentType;

declare const RiStackshareFill: RemixiconComponentType;

declare const RiStackshareLine: RemixiconComponentType;

declare const RiStarFill: RemixiconComponentType;

declare const RiStarHalfFill: RemixiconComponentType;

declare const RiStarHalfLine: RemixiconComponentType;

declare const RiStarHalfSFill: RemixiconComponentType;

declare const RiStarHalfSLine: RemixiconComponentType;

declare const RiStarLine: RemixiconComponentType;

declare const RiStarSFill: RemixiconComponentType;

declare const RiStarSLine: RemixiconComponentType;

declare const RiStarSmileFill: RemixiconComponentType;

declare const RiStarSmileLine: RemixiconComponentType;

declare const RiSteamFill: RemixiconComponentType;

declare const RiSteamLine: RemixiconComponentType;

declare const RiSteering2Fill: RemixiconComponentType;

declare const RiSteering2Line: RemixiconComponentType;

declare const RiSteeringFill: RemixiconComponentType;

declare const RiSteeringLine: RemixiconComponentType;

declare const RiStethoscopeFill: RemixiconComponentType;

declare const RiStethoscopeLine: RemixiconComponentType;

declare const RiStickyNote2Fill: RemixiconComponentType;

declare const RiStickyNote2Line: RemixiconComponentType;

declare const RiStickyNoteFill: RemixiconComponentType;

declare const RiStickyNoteLine: RemixiconComponentType;

declare const RiStockFill: RemixiconComponentType;

declare const RiStockLine: RemixiconComponentType;

declare const RiStopCircleFill: RemixiconComponentType;

declare const RiStopCircleLine: RemixiconComponentType;

declare const RiStopFill: RemixiconComponentType;

declare const RiStopLine: RemixiconComponentType;

declare const RiStopMiniFill: RemixiconComponentType;

declare const RiStopMiniLine: RemixiconComponentType;

declare const RiStore2Fill: RemixiconComponentType;

declare const RiStore2Line: RemixiconComponentType;

declare const RiStore3Fill: RemixiconComponentType;

declare const RiStore3Line: RemixiconComponentType;

declare const RiStoreFill: RemixiconComponentType;

declare const RiStoreLine: RemixiconComponentType;

declare const RiStrikethrough2: RemixiconComponentType;

declare const RiStrikethrough: RemixiconComponentType;

declare const RiSubscript2: RemixiconComponentType;

declare const RiSubscript: RemixiconComponentType;

declare const RiSubtractFill: RemixiconComponentType;

declare const RiSubtractLine: RemixiconComponentType;

declare const RiSubwayFill: RemixiconComponentType;

declare const RiSubwayLine: RemixiconComponentType;

declare const RiSubwayWifiFill: RemixiconComponentType;

declare const RiSubwayWifiLine: RemixiconComponentType;

declare const RiSuitcase2Fill: RemixiconComponentType;

declare const RiSuitcase2Line: RemixiconComponentType;

declare const RiSuitcase3Fill: RemixiconComponentType;

declare const RiSuitcase3Line: RemixiconComponentType;

declare const RiSuitcaseFill: RemixiconComponentType;

declare const RiSuitcaseLine: RemixiconComponentType;

declare const RiSunCloudyFill: RemixiconComponentType;

declare const RiSunCloudyLine: RemixiconComponentType;

declare const RiSunFill: RemixiconComponentType;

declare const RiSunFoggyFill: RemixiconComponentType;

declare const RiSunFoggyLine: RemixiconComponentType;

declare const RiSunLine: RemixiconComponentType;

declare const RiSuperscript2: RemixiconComponentType;

declare const RiSuperscript: RemixiconComponentType;

declare const RiSurgicalMaskFill: RemixiconComponentType;

declare const RiSurgicalMaskLine: RemixiconComponentType;

declare const RiSurroundSoundFill: RemixiconComponentType;

declare const RiSurroundSoundLine: RemixiconComponentType;

declare const RiSurveyFill: RemixiconComponentType;

declare const RiSurveyLine: RemixiconComponentType;

declare const RiSwapBoxFill: RemixiconComponentType;

declare const RiSwapBoxLine: RemixiconComponentType;

declare const RiSwapFill: RemixiconComponentType;

declare const RiSwapLine: RemixiconComponentType;

declare const RiSwitchFill: RemixiconComponentType;

declare const RiSwitchLine: RemixiconComponentType;

declare const RiSwordFill: RemixiconComponentType;

declare const RiSwordLine: RemixiconComponentType;

declare const RiSyringeFill: RemixiconComponentType;

declare const RiSyringeLine: RemixiconComponentType;

declare const RiTBoxFill: RemixiconComponentType;

declare const RiTBoxLine: RemixiconComponentType;

declare const RiTShirt2Fill: RemixiconComponentType;

declare const RiTShirt2Line: RemixiconComponentType;

declare const RiTShirtAirFill: RemixiconComponentType;

declare const RiTShirtAirLine: RemixiconComponentType;

declare const RiTShirtFill: RemixiconComponentType;

declare const RiTShirtLine: RemixiconComponentType;

declare const RiTable2: RemixiconComponentType;

declare const RiTableAltFill: RemixiconComponentType;

declare const RiTableAltLine: RemixiconComponentType;

declare const RiTableFill: RemixiconComponentType;

declare const RiTableLine: RemixiconComponentType;

declare const RiTabletFill: RemixiconComponentType;

declare const RiTabletLine: RemixiconComponentType;

declare const RiTakeawayFill: RemixiconComponentType;

declare const RiTakeawayLine: RemixiconComponentType;

declare const RiTaobaoFill: RemixiconComponentType;

declare const RiTaobaoLine: RemixiconComponentType;

declare const RiTapeFill: RemixiconComponentType;

declare const RiTapeLine: RemixiconComponentType;

declare const RiTaskFill: RemixiconComponentType;

declare const RiTaskLine: RemixiconComponentType;

declare const RiTaxiFill: RemixiconComponentType;

declare const RiTaxiLine: RemixiconComponentType;

declare const RiTaxiWifiFill: RemixiconComponentType;

declare const RiTaxiWifiLine: RemixiconComponentType;

declare const RiTeamFill: RemixiconComponentType;

declare const RiTeamLine: RemixiconComponentType;

declare const RiTelegramFill: RemixiconComponentType;

declare const RiTelegramLine: RemixiconComponentType;

declare const RiTempColdFill: RemixiconComponentType;

declare const RiTempColdLine: RemixiconComponentType;

declare const RiTempHotFill: RemixiconComponentType;

declare const RiTempHotLine: RemixiconComponentType;

declare const RiTerminalBoxFill: RemixiconComponentType;

declare const RiTerminalBoxLine: RemixiconComponentType;

declare const RiTerminalFill: RemixiconComponentType;

declare const RiTerminalLine: RemixiconComponentType;

declare const RiTerminalWindowFill: RemixiconComponentType;

declare const RiTerminalWindowLine: RemixiconComponentType;

declare const RiTestTubeFill: RemixiconComponentType;

declare const RiTestTubeLine: RemixiconComponentType;

declare const RiTextDirectionL: RemixiconComponentType;

declare const RiTextDirectionR: RemixiconComponentType;

declare const RiTextSpacing: RemixiconComponentType;

declare const RiTextWrap: RemixiconComponentType;

declare const RiText: RemixiconComponentType;

declare const RiThermometerFill: RemixiconComponentType;

declare const RiThermometerLine: RemixiconComponentType;

declare const RiThumbDownFill: RemixiconComponentType;

declare const RiThumbDownLine: RemixiconComponentType;

declare const RiThumbUpFill: RemixiconComponentType;

declare const RiThumbUpLine: RemixiconComponentType;

declare const RiThunderstormsFill: RemixiconComponentType;

declare const RiThunderstormsLine: RemixiconComponentType;

declare const RiTicket2Fill: RemixiconComponentType;

declare const RiTicket2Line: RemixiconComponentType;

declare const RiTicketFill: RemixiconComponentType;

declare const RiTicketLine: RemixiconComponentType;

declare const RiTimeFill: RemixiconComponentType;

declare const RiTimeLine: RemixiconComponentType;

declare const RiTimer2Fill: RemixiconComponentType;

declare const RiTimer2Line: RemixiconComponentType;

declare const RiTimerFill: RemixiconComponentType;

declare const RiTimerFlashFill: RemixiconComponentType;

declare const RiTimerFlashLine: RemixiconComponentType;

declare const RiTimerLine: RemixiconComponentType;

declare const RiTodoFill: RemixiconComponentType;

declare const RiTodoLine: RemixiconComponentType;

declare const RiToggleFill: RemixiconComponentType;

declare const RiToggleLine: RemixiconComponentType;

declare const RiToolsFill: RemixiconComponentType;

declare const RiToolsLine: RemixiconComponentType;

declare const RiTornadoFill: RemixiconComponentType;

declare const RiTornadoLine: RemixiconComponentType;

declare const RiTrademarkFill: RemixiconComponentType;

declare const RiTrademarkLine: RemixiconComponentType;

declare const RiTrafficLightFill: RemixiconComponentType;

declare const RiTrafficLightLine: RemixiconComponentType;

declare const RiTrainFill: RemixiconComponentType;

declare const RiTrainLine: RemixiconComponentType;

declare const RiTrainWifiFill: RemixiconComponentType;

declare const RiTrainWifiLine: RemixiconComponentType;

declare const RiTranslate2: RemixiconComponentType;

declare const RiTranslate: RemixiconComponentType;

declare const RiTravestiFill: RemixiconComponentType;

declare const RiTravestiLine: RemixiconComponentType;

declare const RiTreasureMapFill: RemixiconComponentType;

declare const RiTreasureMapLine: RemixiconComponentType;

declare const RiTrelloFill: RemixiconComponentType;

declare const RiTrelloLine: RemixiconComponentType;

declare const RiTrophyFill: RemixiconComponentType;

declare const RiTrophyLine: RemixiconComponentType;

declare const RiTruckFill: RemixiconComponentType;

declare const RiTruckLine: RemixiconComponentType;

declare const RiTumblrFill: RemixiconComponentType;

declare const RiTumblrLine: RemixiconComponentType;

declare const RiTv2Fill: RemixiconComponentType;

declare const RiTv2Line: RemixiconComponentType;

declare const RiTvFill: RemixiconComponentType;

declare const RiTvLine: RemixiconComponentType;

declare const RiTwitchFill: RemixiconComponentType;

declare const RiTwitchLine: RemixiconComponentType;

declare const RiTwitterFill: RemixiconComponentType;

declare const RiTwitterLine: RemixiconComponentType;

declare const RiTyphoonFill: RemixiconComponentType;

declare const RiTyphoonLine: RemixiconComponentType;

declare const RiUDiskFill: RemixiconComponentType;

declare const RiUDiskLine: RemixiconComponentType;

declare const RiUbuntuFill: RemixiconComponentType;

declare const RiUbuntuLine: RemixiconComponentType;

declare const RiUmbrellaFill: RemixiconComponentType;

declare const RiUmbrellaLine: RemixiconComponentType;

declare const RiUnderline: RemixiconComponentType;

declare const RiUninstallFill: RemixiconComponentType;

declare const RiUninstallLine: RemixiconComponentType;

declare const RiUnsplashFill: RemixiconComponentType;

declare const RiUnsplashLine: RemixiconComponentType;

declare const RiUpload2Fill: RemixiconComponentType;

declare const RiUpload2Line: RemixiconComponentType;

declare const RiUploadCloud2Fill: RemixiconComponentType;

declare const RiUploadCloud2Line: RemixiconComponentType;

declare const RiUploadCloudFill: RemixiconComponentType;

declare const RiUploadCloudLine: RemixiconComponentType;

declare const RiUploadFill: RemixiconComponentType;

declare const RiUploadLine: RemixiconComponentType;

declare const RiUsbFill: RemixiconComponentType;

declare const RiUsbLine: RemixiconComponentType;

declare const RiUser2Fill: RemixiconComponentType;

declare const RiUser2Line: RemixiconComponentType;

declare const RiUser3Fill: RemixiconComponentType;

declare const RiUser3Line: RemixiconComponentType;

declare const RiUser4Fill: RemixiconComponentType;

declare const RiUser4Line: RemixiconComponentType;

declare const RiUser5Fill: RemixiconComponentType;

declare const RiUser5Line: RemixiconComponentType;

declare const RiUser6Fill: RemixiconComponentType;

declare const RiUser6Line: RemixiconComponentType;

declare const RiUserAddFill: RemixiconComponentType;

declare const RiUserAddLine: RemixiconComponentType;

declare const RiUserFill: RemixiconComponentType;

declare const RiUserFollowFill: RemixiconComponentType;

declare const RiUserFollowLine: RemixiconComponentType;

declare const RiUserHeartFill: RemixiconComponentType;

declare const RiUserHeartLine: RemixiconComponentType;

declare const RiUserLine: RemixiconComponentType;

declare const RiUserLocationFill: RemixiconComponentType;

declare const RiUserLocationLine: RemixiconComponentType;

declare const RiUserReceived2Fill: RemixiconComponentType;

declare const RiUserReceived2Line: RemixiconComponentType;

declare const RiUserReceivedFill: RemixiconComponentType;

declare const RiUserReceivedLine: RemixiconComponentType;

declare const RiUserSearchFill: RemixiconComponentType;

declare const RiUserSearchLine: RemixiconComponentType;

declare const RiUserSettingsFill: RemixiconComponentType;

declare const RiUserSettingsLine: RemixiconComponentType;

declare const RiUserShared2Fill: RemixiconComponentType;

declare const RiUserShared2Line: RemixiconComponentType;

declare const RiUserSharedFill: RemixiconComponentType;

declare const RiUserSharedLine: RemixiconComponentType;

declare const RiUserSmileFill: RemixiconComponentType;

declare const RiUserSmileLine: RemixiconComponentType;

declare const RiUserStarFill: RemixiconComponentType;

declare const RiUserStarLine: RemixiconComponentType;

declare const RiUserUnfollowFill: RemixiconComponentType;

declare const RiUserUnfollowLine: RemixiconComponentType;

declare const RiUserVoiceFill: RemixiconComponentType;

declare const RiUserVoiceLine: RemixiconComponentType;

declare const RiVideoAddFill: RemixiconComponentType;

declare const RiVideoAddLine: RemixiconComponentType;

declare const RiVideoChatFill: RemixiconComponentType;

declare const RiVideoChatLine: RemixiconComponentType;

declare const RiVideoDownloadFill: RemixiconComponentType;

declare const RiVideoDownloadLine: RemixiconComponentType;

declare const RiVideoFill: RemixiconComponentType;

declare const RiVideoLine: RemixiconComponentType;

declare const RiVideoUploadFill: RemixiconComponentType;

declare const RiVideoUploadLine: RemixiconComponentType;

declare const RiVidicon2Fill: RemixiconComponentType;

declare const RiVidicon2Line: RemixiconComponentType;

declare const RiVidiconFill: RemixiconComponentType;

declare const RiVidiconLine: RemixiconComponentType;

declare const RiVimeoFill: RemixiconComponentType;

declare const RiVimeoLine: RemixiconComponentType;

declare const RiVipCrown2Fill: RemixiconComponentType;

declare const RiVipCrown2Line: RemixiconComponentType;

declare const RiVipCrownFill: RemixiconComponentType;

declare const RiVipCrownLine: RemixiconComponentType;

declare const RiVipDiamondFill: RemixiconComponentType;

declare const RiVipDiamondLine: RemixiconComponentType;

declare const RiVipFill: RemixiconComponentType;

declare const RiVipLine: RemixiconComponentType;

declare const RiVirusFill: RemixiconComponentType;

declare const RiVirusLine: RemixiconComponentType;

declare const RiVisaFill: RemixiconComponentType;

declare const RiVisaLine: RemixiconComponentType;

declare const RiVoiceRecognitionFill: RemixiconComponentType;

declare const RiVoiceRecognitionLine: RemixiconComponentType;

declare const RiVoiceprintFill: RemixiconComponentType;

declare const RiVoiceprintLine: RemixiconComponentType;

declare const RiVolumeDownFill: RemixiconComponentType;

declare const RiVolumeDownLine: RemixiconComponentType;

declare const RiVolumeMuteFill: RemixiconComponentType;

declare const RiVolumeMuteLine: RemixiconComponentType;

declare const RiVolumeOffVibrateFill: RemixiconComponentType;

declare const RiVolumeOffVibrateLine: RemixiconComponentType;

declare const RiVolumeUpFill: RemixiconComponentType;

declare const RiVolumeUpLine: RemixiconComponentType;

declare const RiVolumeVibrateFill: RemixiconComponentType;

declare const RiVolumeVibrateLine: RemixiconComponentType;

declare const RiVuejsFill: RemixiconComponentType;

declare const RiVuejsLine: RemixiconComponentType;

declare const RiWalkFill: RemixiconComponentType;

declare const RiWalkLine: RemixiconComponentType;

declare const RiWallet2Fill: RemixiconComponentType;

declare const RiWallet2Line: RemixiconComponentType;

declare const RiWallet3Fill: RemixiconComponentType;

declare const RiWallet3Line: RemixiconComponentType;

declare const RiWalletFill: RemixiconComponentType;

declare const RiWalletLine: RemixiconComponentType;

declare const RiWaterFlashFill: RemixiconComponentType;

declare const RiWaterFlashLine: RemixiconComponentType;

declare const RiWebcamFill: RemixiconComponentType;

declare const RiWebcamLine: RemixiconComponentType;

declare const RiWechat2Fill: RemixiconComponentType;

declare const RiWechat2Line: RemixiconComponentType;

declare const RiWechatFill: RemixiconComponentType;

declare const RiWechatLine: RemixiconComponentType;

declare const RiWechatPayFill: RemixiconComponentType;

declare const RiWechatPayLine: RemixiconComponentType;

declare const RiWeiboFill: RemixiconComponentType;

declare const RiWeiboLine: RemixiconComponentType;

declare const RiWhatsappFill: RemixiconComponentType;

declare const RiWhatsappLine: RemixiconComponentType;

declare const RiWheelchairFill: RemixiconComponentType;

declare const RiWheelchairLine: RemixiconComponentType;

declare const RiWifiFill: RemixiconComponentType;

declare const RiWifiLine: RemixiconComponentType;

declare const RiWifiOffFill: RemixiconComponentType;

declare const RiWifiOffLine: RemixiconComponentType;

declare const RiWindow2Fill: RemixiconComponentType;

declare const RiWindow2Line: RemixiconComponentType;

declare const RiWindowFill: RemixiconComponentType;

declare const RiWindowLine: RemixiconComponentType;

declare const RiWindowsFill: RemixiconComponentType;

declare const RiWindowsLine: RemixiconComponentType;

declare const RiWindyFill: RemixiconComponentType;

declare const RiWindyLine: RemixiconComponentType;

declare const RiWirelessChargingFill: RemixiconComponentType;

declare const RiWirelessChargingLine: RemixiconComponentType;

declare const RiWomenFill: RemixiconComponentType;

declare const RiWomenLine: RemixiconComponentType;

declare const RiWubiInput: RemixiconComponentType;

declare const RiXboxFill: RemixiconComponentType;

declare const RiXboxLine: RemixiconComponentType;

declare const RiXingFill: RemixiconComponentType;

declare const RiXingLine: RemixiconComponentType;

declare const RiYoutubeFill: RemixiconComponentType;

declare const RiYoutubeLine: RemixiconComponentType;

declare const RiZcoolFill: RemixiconComponentType;

declare const RiZcoolLine: RemixiconComponentType;

declare const RiZhihuFill: RemixiconComponentType;

declare const RiZhihuLine: RemixiconComponentType;

declare const RiZoomInFill: RemixiconComponentType;

declare const RiZoomInLine: RemixiconComponentType;

declare const RiZoomOutFill: RemixiconComponentType;

declare const RiZoomOutLine: RemixiconComponentType;

declare const RiZzzFill: RemixiconComponentType;

declare const RiZzzLine: RemixiconComponentType;

declare const RiArrowDownDoubleFill: RemixiconComponentType;

declare const RiArrowDownDoubleLine: RemixiconComponentType;

declare const RiArrowLeftDoubleFill: RemixiconComponentType;

declare const RiArrowLeftDoubleLine: RemixiconComponentType;

declare const RiArrowRightDoubleFill: RemixiconComponentType;

declare const RiArrowRightDoubleLine: RemixiconComponentType;

declare const RiArrowTurnBackFill: RemixiconComponentType;

declare const RiArrowTurnBackLine: RemixiconComponentType;

declare const RiArrowTurnForwardFill: RemixiconComponentType;

declare const RiArrowTurnForwardLine: RemixiconComponentType;

declare const RiArrowUpDoubleFill: RemixiconComponentType;

declare const RiArrowUpDoubleLine: RemixiconComponentType;

declare const RiBardFill: RemixiconComponentType;

declare const RiBardLine: RemixiconComponentType;

declare const RiBootstrapFill: RemixiconComponentType;

declare const RiBootstrapLine: RemixiconComponentType;

declare const RiBox1Fill: RemixiconComponentType;

declare const RiBox1Line: RemixiconComponentType;

declare const RiBox2Fill: RemixiconComponentType;

declare const RiBox2Line: RemixiconComponentType;

declare const RiBox3Fill: RemixiconComponentType;

declare const RiBox3Line: RemixiconComponentType;

declare const RiBrainFill: RemixiconComponentType;

declare const RiBrainLine: RemixiconComponentType;

declare const RiCandleFill: RemixiconComponentType;

declare const RiCandleLine: RemixiconComponentType;

declare const RiCashFill: RemixiconComponentType;

declare const RiCashLine: RemixiconComponentType;

declare const RiContractLeftFill: RemixiconComponentType;

declare const RiContractLeftLine: RemixiconComponentType;

declare const RiContractLeftRightFill: RemixiconComponentType;

declare const RiContractLeftRightLine: RemixiconComponentType;

declare const RiContractRightFill: RemixiconComponentType;

declare const RiContractRightLine: RemixiconComponentType;

declare const RiContractUpDownFill: RemixiconComponentType;

declare const RiContractUpDownLine: RemixiconComponentType;

declare const RiCopilotFill: RemixiconComponentType;

declare const RiCopilotLine: RemixiconComponentType;

declare const RiCornerDownLeftFill: RemixiconComponentType;

declare const RiCornerDownLeftLine: RemixiconComponentType;

declare const RiCornerDownRightFill: RemixiconComponentType;

declare const RiCornerDownRightLine: RemixiconComponentType;

declare const RiCornerLeftDownFill: RemixiconComponentType;

declare const RiCornerLeftDownLine: RemixiconComponentType;

declare const RiCornerLeftUpFill: RemixiconComponentType;

declare const RiCornerLeftUpLine: RemixiconComponentType;

declare const RiCornerRightDownFill: RemixiconComponentType;

declare const RiCornerRightDownLine: RemixiconComponentType;

declare const RiCornerRightUpFill: RemixiconComponentType;

declare const RiCornerRightUpLine: RemixiconComponentType;

declare const RiCornerUpLeftDoubleFill: RemixiconComponentType;

declare const RiCornerUpLeftDoubleLine: RemixiconComponentType;

declare const RiCornerUpLeftFill: RemixiconComponentType;

declare const RiCornerUpLeftLine: RemixiconComponentType;

declare const RiCornerUpRightDoubleFill: RemixiconComponentType;

declare const RiCornerUpRightDoubleLine: RemixiconComponentType;

declare const RiCornerUpRightFill: RemixiconComponentType;

declare const RiCornerUpRightLine: RemixiconComponentType;

declare const RiCrossFill: RemixiconComponentType;

declare const RiCrossLine: RemixiconComponentType;

declare const RiEdgeNewFill: RemixiconComponentType;

declare const RiEdgeNewLine: RemixiconComponentType;

declare const RiEqualFill: RemixiconComponentType;

declare const RiEqualLine: RemixiconComponentType;

declare const RiExpandLeftFill: RemixiconComponentType;

declare const RiExpandLeftLine: RemixiconComponentType;

declare const RiExpandLeftRightFill: RemixiconComponentType;

declare const RiExpandLeftRightLine: RemixiconComponentType;

declare const RiExpandRightFill: RemixiconComponentType;

declare const RiExpandRightLine: RemixiconComponentType;

declare const RiExpandUpDownFill: RemixiconComponentType;

declare const RiExpandUpDownLine: RemixiconComponentType;

declare const RiFlickrFill: RemixiconComponentType;

declare const RiFlickrLine: RemixiconComponentType;

declare const RiForward10Fill: RemixiconComponentType;

declare const RiForward10Line: RemixiconComponentType;

declare const RiForward15Fill: RemixiconComponentType;

declare const RiForward15Line: RemixiconComponentType;

declare const RiForward30Fill: RemixiconComponentType;

declare const RiForward30Line: RemixiconComponentType;

declare const RiForward5Fill: RemixiconComponentType;

declare const RiForward5Line: RemixiconComponentType;

declare const RiGraduationCapFill: RemixiconComponentType;

declare const RiGraduationCapLine: RemixiconComponentType;

declare const RiHomeOfficeFill: RemixiconComponentType;

declare const RiHomeOfficeLine: RemixiconComponentType;

declare const RiHourglass2Fill: RemixiconComponentType;

declare const RiHourglass2Line: RemixiconComponentType;

declare const RiHourglassFill: RemixiconComponentType;

declare const RiHourglassLine: RemixiconComponentType;

declare const RiJavascriptFill: RemixiconComponentType;

declare const RiJavascriptLine: RemixiconComponentType;

declare const RiLoopLeftFill: RemixiconComponentType;

declare const RiLoopLeftLine: RemixiconComponentType;

declare const RiLoopRightFill: RemixiconComponentType;

declare const RiLoopRightLine: RemixiconComponentType;

declare const RiMemoriesFill: RemixiconComponentType;

declare const RiMemoriesLine: RemixiconComponentType;

declare const RiMetaFill: RemixiconComponentType;

declare const RiMetaLine: RemixiconComponentType;

declare const RiMicrosoftLoopFill: RemixiconComponentType;

declare const RiMicrosoftLoopLine: RemixiconComponentType;

declare const RiNftFill: RemixiconComponentType;

declare const RiNftLine: RemixiconComponentType;

declare const RiNotionFill: RemixiconComponentType;

declare const RiNotionLine: RemixiconComponentType;

declare const RiOpenaiFill: RemixiconComponentType;

declare const RiOpenaiLine: RemixiconComponentType;

declare const RiOverline: RemixiconComponentType;

declare const RiP2pFill: RemixiconComponentType;

declare const RiP2pLine: RemixiconComponentType;

declare const RiPresentationFill: RemixiconComponentType;

declare const RiPresentationLine: RemixiconComponentType;

declare const RiReplay10Fill: RemixiconComponentType;

declare const RiReplay10Line: RemixiconComponentType;

declare const RiReplay15Fill: RemixiconComponentType;

declare const RiReplay15Line: RemixiconComponentType;

declare const RiReplay30Fill: RemixiconComponentType;

declare const RiReplay30Line: RemixiconComponentType;

declare const RiReplay5Fill: RemixiconComponentType;

declare const RiReplay5Line: RemixiconComponentType;

declare const RiSchoolFill: RemixiconComponentType;

declare const RiSchoolLine: RemixiconComponentType;

declare const RiShining2Fill: RemixiconComponentType;

declare const RiShining2Line: RemixiconComponentType;

declare const RiShiningFill: RemixiconComponentType;

declare const RiShiningLine: RemixiconComponentType;

declare const RiSketching: RemixiconComponentType;

declare const RiSkipDownFill: RemixiconComponentType;

declare const RiSkipDownLine: RemixiconComponentType;

declare const RiSkipLeftFill: RemixiconComponentType;

declare const RiSkipLeftLine: RemixiconComponentType;

declare const RiSkipRightFill: RemixiconComponentType;

declare const RiSkipRightLine: RemixiconComponentType;

declare const RiSkipUpFill: RemixiconComponentType;

declare const RiSkipUpLine: RemixiconComponentType;

declare const RiSlowDownFill: RemixiconComponentType;

declare const RiSlowDownLine: RemixiconComponentType;

declare const RiSparkling2Fill: RemixiconComponentType;

declare const RiSparkling2Line: RemixiconComponentType;

declare const RiSparklingFill: RemixiconComponentType;

declare const RiSparklingLine: RemixiconComponentType;

declare const RiSpeakFill: RemixiconComponentType;

declare const RiSpeakLine: RemixiconComponentType;

declare const RiSpeedUpFill: RemixiconComponentType;

declare const RiSpeedUpLine: RemixiconComponentType;

declare const RiTiktokFill: RemixiconComponentType;

declare const RiTiktokLine: RemixiconComponentType;

declare const RiTokenSwapFill: RemixiconComponentType;

declare const RiTokenSwapLine: RemixiconComponentType;

declare const RiUnpinFill: RemixiconComponentType;

declare const RiUnpinLine: RemixiconComponentType;

declare const RiWechatChannelsFill: RemixiconComponentType;

declare const RiWechatChannelsLine: RemixiconComponentType;

declare const RiWordpressFill: RemixiconComponentType;

declare const RiWordpressLine: RemixiconComponentType;

declare const RiBlenderFill: RemixiconComponentType;

declare const RiBlenderLine: RemixiconComponentType;

declare const RiEmojiStickerFill: RemixiconComponentType;

declare const RiEmojiStickerLine: RemixiconComponentType;

declare const RiGitClosePullRequestFill: RemixiconComponentType;

declare const RiGitClosePullRequestLine: RemixiconComponentType;

declare const RiInstanceFill: RemixiconComponentType;

declare const RiInstanceLine: RemixiconComponentType;

declare const RiMegaphoneFill: RemixiconComponentType;

declare const RiMegaphoneLine: RemixiconComponentType;

declare const RiPassExpiredFill: RemixiconComponentType;

declare const RiPassExpiredLine: RemixiconComponentType;

declare const RiPassPendingFill: RemixiconComponentType;

declare const RiPassPendingLine: RemixiconComponentType;

declare const RiPassValidFill: RemixiconComponentType;

declare const RiPassValidLine: RemixiconComponentType;

declare const RiAiGenerate: RemixiconComponentType;

declare const RiCalendarCloseFill: RemixiconComponentType;

declare const RiCalendarCloseLine: RemixiconComponentType;

declare const RiDraggable: RemixiconComponentType;

declare const RiFontFamily: RemixiconComponentType;

declare const RiFontMono: RemixiconComponentType;

declare const RiFontSansSerif: RemixiconComponentType;

declare const RiFontSans: RemixiconComponentType;

declare const RiHardDrive3Fill: RemixiconComponentType;

declare const RiHardDrive3Line: RemixiconComponentType;

declare const RiKickFill: RemixiconComponentType;

declare const RiKickLine: RemixiconComponentType;

declare const RiListCheck3: RemixiconComponentType;

declare const RiListIndefinite: RemixiconComponentType;

declare const RiListOrdered2: RemixiconComponentType;

declare const RiListRadio: RemixiconComponentType;

declare const RiOpenbaseFill: RemixiconComponentType;

declare const RiOpenbaseLine: RemixiconComponentType;

declare const RiPlanetFill: RemixiconComponentType;

declare const RiPlanetLine: RemixiconComponentType;

declare const RiProhibitedFill: RemixiconComponentType;

declare const RiProhibitedLine: RemixiconComponentType;

declare const RiQuoteText: RemixiconComponentType;

declare const RiSeoFill: RemixiconComponentType;

declare const RiSeoLine: RemixiconComponentType;

declare const RiSlashCommands: RemixiconComponentType;

declare const RiArchive2Fill: RemixiconComponentType;

declare const RiArchive2Line: RemixiconComponentType;

declare const RiInbox2Fill: RemixiconComponentType;

declare const RiInbox2Line: RemixiconComponentType;

declare const RiShakeHandsFill: RemixiconComponentType;

declare const RiShakeHandsLine: RemixiconComponentType;

declare const RiSupabaseFill: RemixiconComponentType;

declare const RiSupabaseLine: RemixiconComponentType;

declare const RiWaterPercentFill: RemixiconComponentType;

declare const RiWaterPercentLine: RemixiconComponentType;

declare const RiYuqueFill: RemixiconComponentType;

declare const RiYuqueLine: RemixiconComponentType;

declare const RiCrosshair2Fill: RemixiconComponentType;

declare const RiCrosshair2Line: RemixiconComponentType;

declare const RiCrosshairFill: RemixiconComponentType;

declare const RiCrosshairLine: RemixiconComponentType;

declare const RiFileCloseFill: RemixiconComponentType;

declare const RiFileCloseLine: RemixiconComponentType;

declare const RiInfinityFill: RemixiconComponentType;

declare const RiInfinityLine: RemixiconComponentType;

declare const RiRfidFill: RemixiconComponentType;

declare const RiRfidLine: RemixiconComponentType;

declare const RiSlashCommands2: RemixiconComponentType;

declare const RiUserForbidFill: RemixiconComponentType;

declare const RiUserForbidLine: RemixiconComponentType;

declare const RiBeerFill: RemixiconComponentType;

declare const RiBeerLine: RemixiconComponentType;

declare const RiCircleFill: RemixiconComponentType;

declare const RiCircleLine: RemixiconComponentType;

declare const RiDropdownList: RemixiconComponentType;

declare const RiFileImageFill: RemixiconComponentType;

declare const RiFileImageLine: RemixiconComponentType;

declare const RiFilePdf2Fill: RemixiconComponentType;

declare const RiFilePdf2Line: RemixiconComponentType;

declare const RiFileVideoFill: RemixiconComponentType;

declare const RiFileVideoLine: RemixiconComponentType;

declare const RiFolderImageFill: RemixiconComponentType;

declare const RiFolderImageLine: RemixiconComponentType;

declare const RiFolderVideoFill: RemixiconComponentType;

declare const RiFolderVideoLine: RemixiconComponentType;

declare const RiHexagonFill: RemixiconComponentType;

declare const RiHexagonLine: RemixiconComponentType;

declare const RiMenuSearchFill: RemixiconComponentType;

declare const RiMenuSearchLine: RemixiconComponentType;

declare const RiOctagonFill: RemixiconComponentType;

declare const RiOctagonLine: RemixiconComponentType;

declare const RiPentagonFill: RemixiconComponentType;

declare const RiPentagonLine: RemixiconComponentType;

declare const RiRectangleFill: RemixiconComponentType;

declare const RiRectangleLine: RemixiconComponentType;

declare const RiRobot2Fill: RemixiconComponentType;

declare const RiRobot2Line: RemixiconComponentType;

declare const RiShapesFill: RemixiconComponentType;

declare const RiShapesLine: RemixiconComponentType;

declare const RiSquareFill: RemixiconComponentType;

declare const RiSquareLine: RemixiconComponentType;

declare const RiTentFill: RemixiconComponentType;

declare const RiTentLine: RemixiconComponentType;

declare const RiThreadsFill: RemixiconComponentType;

declare const RiThreadsLine: RemixiconComponentType;

declare const RiTreeFill: RemixiconComponentType;

declare const RiTreeLine: RemixiconComponentType;

declare const RiTriangleFill: RemixiconComponentType;

declare const RiTriangleLine: RemixiconComponentType;

declare const RiTwitterXFill: RemixiconComponentType;

declare const RiTwitterXLine: RemixiconComponentType;

declare const RiVerifiedBadgeFill: RemixiconComponentType;

declare const RiVerifiedBadgeLine: RemixiconComponentType;

declare const RiArmchairFill: RemixiconComponentType;

declare const RiArmchairLine: RemixiconComponentType;

declare const RiBnbFill: RemixiconComponentType;

declare const RiBnbLine: RemixiconComponentType;

declare const RiBreadFill: RemixiconComponentType;

declare const RiBreadLine: RemixiconComponentType;

declare const RiBtcFill: RemixiconComponentType;

declare const RiBtcLine: RemixiconComponentType;

declare const RiCalendarScheduleFill: RemixiconComponentType;

declare const RiCalendarScheduleLine: RemixiconComponentType;

declare const RiDice1Fill: RemixiconComponentType;

declare const RiDice1Line: RemixiconComponentType;

declare const RiDice2Fill: RemixiconComponentType;

declare const RiDice2Line: RemixiconComponentType;

declare const RiDice3Fill: RemixiconComponentType;

declare const RiDice3Line: RemixiconComponentType;

declare const RiDice4Fill: RemixiconComponentType;

declare const RiDice4Line: RemixiconComponentType;

declare const RiDice5Fill: RemixiconComponentType;

declare const RiDice5Line: RemixiconComponentType;

declare const RiDice6Fill: RemixiconComponentType;

declare const RiDice6Line: RemixiconComponentType;

declare const RiDiceFill: RemixiconComponentType;

declare const RiDiceLine: RemixiconComponentType;

declare const RiDrinksFill: RemixiconComponentType;

declare const RiDrinksLine: RemixiconComponentType;

declare const RiEqualizer2Fill: RemixiconComponentType;

declare const RiEqualizer2Line: RemixiconComponentType;

declare const RiEqualizer3Fill: RemixiconComponentType;

declare const RiEqualizer3Line: RemixiconComponentType;

declare const RiEthFill: RemixiconComponentType;

declare const RiEthLine: RemixiconComponentType;

declare const RiFlowerFill: RemixiconComponentType;

declare const RiFlowerLine: RemixiconComponentType;

declare const RiGlasses2Fill: RemixiconComponentType;

declare const RiGlasses2Line: RemixiconComponentType;

declare const RiGlassesFill: RemixiconComponentType;

declare const RiGlassesLine: RemixiconComponentType;

declare const RiGogglesFill: RemixiconComponentType;

declare const RiGogglesLine: RemixiconComponentType;

declare const RiImageCircleFill: RemixiconComponentType;

declare const RiImageCircleLine: RemixiconComponentType;

declare const RiInfoI: RemixiconComponentType;

declare const RiMoneyRupeeCircleFill: RemixiconComponentType;

declare const RiMoneyRupeeCircleLine: RemixiconComponentType;

declare const RiNewsFill: RemixiconComponentType;

declare const RiNewsLine: RemixiconComponentType;

declare const RiRobot3Fill: RemixiconComponentType;

declare const RiRobot3Line: RemixiconComponentType;

declare const RiShare2Fill: RemixiconComponentType;

declare const RiShare2Line: RemixiconComponentType;

declare const RiSofaFill: RemixiconComponentType;

declare const RiSofaLine: RemixiconComponentType;

declare const RiSvelteFill: RemixiconComponentType;

declare const RiSvelteLine: RemixiconComponentType;

declare const RiVkFill: RemixiconComponentType;

declare const RiVkLine: RemixiconComponentType;

declare const RiXrpFill: RemixiconComponentType;

declare const RiXrpLine: RemixiconComponentType;

declare const RiXtzFill: RemixiconComponentType;

declare const RiXtzLine: RemixiconComponentType;

declare const RiArchiveStackFill: RemixiconComponentType;

declare const RiArchiveStackLine: RemixiconComponentType;

declare const RiBowlFill: RemixiconComponentType;

declare const RiBowlLine: RemixiconComponentType;

declare const RiCalendarView: RemixiconComponentType;

declare const RiCarouselView: RemixiconComponentType;

declare const RiCodeBlock: RemixiconComponentType;

declare const RiColorFilterFill: RemixiconComponentType;

declare const RiColorFilterLine: RemixiconComponentType;

declare const RiContactsBook3Fill: RemixiconComponentType;

declare const RiContactsBook3Line: RemixiconComponentType;

declare const RiContractFill: RemixiconComponentType;

declare const RiContractLine: RemixiconComponentType;

declare const RiDrinks2Fill: RemixiconComponentType;

declare const RiDrinks2Line: RemixiconComponentType;

declare const RiExportFill: RemixiconComponentType;

declare const RiExportLine: RemixiconComponentType;

declare const RiFileCheckFill: RemixiconComponentType;

declare const RiFileCheckLine: RemixiconComponentType;

declare const RiFocusMode: RemixiconComponentType;

declare const RiFolder6Fill: RemixiconComponentType;

declare const RiFolder6Line: RemixiconComponentType;

declare const RiFolderCheckFill: RemixiconComponentType;

declare const RiFolderCheckLine: RemixiconComponentType;

declare const RiFolderCloseFill: RemixiconComponentType;

declare const RiFolderCloseLine: RemixiconComponentType;

declare const RiFolderCloudFill: RemixiconComponentType;

declare const RiFolderCloudLine: RemixiconComponentType;

declare const RiGalleryView2: RemixiconComponentType;

declare const RiGalleryView: RemixiconComponentType;

declare const RiHand: RemixiconComponentType;

declare const RiImportFill: RemixiconComponentType;

declare const RiImportLine: RemixiconComponentType;

declare const RiInformation2Fill: RemixiconComponentType;

declare const RiInformation2Line: RemixiconComponentType;

declare const RiKanbanView2: RemixiconComponentType;

declare const RiKanbanView: RemixiconComponentType;

declare const RiListView: RemixiconComponentType;

declare const RiLockStarFill: RemixiconComponentType;

declare const RiLockStarLine: RemixiconComponentType;

declare const RiPuzzle2Fill: RemixiconComponentType;

declare const RiPuzzle2Line: RemixiconComponentType;

declare const RiPuzzleFill: RemixiconComponentType;

declare const RiPuzzleLine: RemixiconComponentType;

declare const RiRam2Fill: RemixiconComponentType;

declare const RiRam2Line: RemixiconComponentType;

declare const RiRamFill: RemixiconComponentType;

declare const RiRamLine: RemixiconComponentType;

declare const RiReceiptFill: RemixiconComponentType;

declare const RiReceiptLine: RemixiconComponentType;

declare const RiShadowFill: RemixiconComponentType;

declare const RiShadowLine: RemixiconComponentType;

declare const RiSidebarFoldFill: RemixiconComponentType;

declare const RiSidebarFoldLine: RemixiconComponentType;

declare const RiSidebarUnfoldFill: RemixiconComponentType;

declare const RiSidebarUnfoldLine: RemixiconComponentType;

declare const RiSlideshowView: RemixiconComponentType;

declare const RiSortAlphabetAsc: RemixiconComponentType;

declare const RiSortAlphabetDesc: RemixiconComponentType;

declare const RiSortNumberAsc: RemixiconComponentType;

declare const RiSortNumberDesc: RemixiconComponentType;

declare const RiStackedView: RemixiconComponentType;

declare const RiStickyNoteAddFill: RemixiconComponentType;

declare const RiStickyNoteAddLine: RemixiconComponentType;

declare const RiSwap2Fill: RemixiconComponentType;

declare const RiSwap2Line: RemixiconComponentType;

declare const RiSwap3Fill: RemixiconComponentType;

declare const RiSwap3Line: RemixiconComponentType;

declare const RiTable3: RemixiconComponentType;

declare const RiTableView: RemixiconComponentType;

declare const RiTextBlock: RemixiconComponentType;

declare const RiTextSnippet: RemixiconComponentType;

declare const RiTimelineView: RemixiconComponentType;

declare const RiBloggerFill: RemixiconComponentType;

declare const RiBloggerLine: RemixiconComponentType;

declare const RiChatThreadFill: RemixiconComponentType;

declare const RiChatThreadLine: RemixiconComponentType;

declare const RiDiscountPercentFill: RemixiconComponentType;

declare const RiDiscountPercentLine: RemixiconComponentType;

declare const RiExchange2Fill: RemixiconComponentType;

declare const RiExchange2Line: RemixiconComponentType;

declare const RiGitForkFill: RemixiconComponentType;

declare const RiGitForkLine: RemixiconComponentType;

declare const RiInputField: RemixiconComponentType;

declare const RiProgress1Fill: RemixiconComponentType;

declare const RiProgress1Line: RemixiconComponentType;

declare const RiProgress2Fill: RemixiconComponentType;

declare const RiProgress2Line: RemixiconComponentType;

declare const RiProgress3Fill: RemixiconComponentType;

declare const RiProgress3Line: RemixiconComponentType;

declare const RiProgress4Fill: RemixiconComponentType;

declare const RiProgress4Line: RemixiconComponentType;

declare const RiProgress5Fill: RemixiconComponentType;

declare const RiProgress5Line: RemixiconComponentType;

declare const RiProgress6Fill: RemixiconComponentType;

declare const RiProgress6Line: RemixiconComponentType;

declare const RiProgress7Fill: RemixiconComponentType;

declare const RiProgress7Line: RemixiconComponentType;

declare const RiProgress8Fill: RemixiconComponentType;

declare const RiProgress8Line: RemixiconComponentType;

declare const RiRemixRunFill: RemixiconComponentType;

declare const RiRemixRunLine: RemixiconComponentType;

declare const RiSignpostFill: RemixiconComponentType;

declare const RiSignpostLine: RemixiconComponentType;

declare const RiTimeZoneFill: RemixiconComponentType;

declare const RiTimeZoneLine: RemixiconComponentType;

declare const RiArrowDownWideFill: RemixiconComponentType;

declare const RiArrowDownWideLine: RemixiconComponentType;

declare const RiArrowLeftWideFill: RemixiconComponentType;

declare const RiArrowLeftWideLine: RemixiconComponentType;

declare const RiArrowRightWideFill: RemixiconComponentType;

declare const RiArrowRightWideLine: RemixiconComponentType;

declare const RiArrowUpWideFill: RemixiconComponentType;

declare const RiArrowUpWideLine: RemixiconComponentType;

declare const RiBlueskyFill: RemixiconComponentType;

declare const RiBlueskyLine: RemixiconComponentType;

declare const RiExpandHeightFill: RemixiconComponentType;

declare const RiExpandHeightLine: RemixiconComponentType;

declare const RiExpandWidthFill: RemixiconComponentType;

declare const RiExpandWidthLine: RemixiconComponentType;

declare const RiForwardEndFill: RemixiconComponentType;

declare const RiForwardEndLine: RemixiconComponentType;

declare const RiForwardEndMiniFill: RemixiconComponentType;

declare const RiForwardEndMiniLine: RemixiconComponentType;

declare const RiFriendicaFill: RemixiconComponentType;

declare const RiFriendicaLine: RemixiconComponentType;

declare const RiGitPrDraftFill: RemixiconComponentType;

declare const RiGitPrDraftLine: RemixiconComponentType;

declare const RiPlayReverseFill: RemixiconComponentType;

declare const RiPlayReverseLine: RemixiconComponentType;

declare const RiPlayReverseMiniFill: RemixiconComponentType;

declare const RiPlayReverseMiniLine: RemixiconComponentType;

declare const RiRewindStartFill: RemixiconComponentType;

declare const RiRewindStartLine: RemixiconComponentType;

declare const RiRewindStartMiniFill: RemixiconComponentType;

declare const RiRewindStartMiniLine: RemixiconComponentType;

declare const RiScrollToBottomFill: RemixiconComponentType;

declare const RiScrollToBottomLine: RemixiconComponentType;

declare const RiAddLargeFill: RemixiconComponentType;

declare const RiAddLargeLine: RemixiconComponentType;

declare const RiAedElectrodesFill: RemixiconComponentType;

declare const RiAedElectrodesLine: RemixiconComponentType;

declare const RiAedFill: RemixiconComponentType;

declare const RiAedLine: RemixiconComponentType;

declare const RiAlibabaCloudFill: RemixiconComponentType;

declare const RiAlibabaCloudLine: RemixiconComponentType;

declare const RiAlignItemBottomFill: RemixiconComponentType;

declare const RiAlignItemBottomLine: RemixiconComponentType;

declare const RiAlignItemHorizontalCenterFill: RemixiconComponentType;

declare const RiAlignItemHorizontalCenterLine: RemixiconComponentType;

declare const RiAlignItemLeftFill: RemixiconComponentType;

declare const RiAlignItemLeftLine: RemixiconComponentType;

declare const RiAlignItemRightFill: RemixiconComponentType;

declare const RiAlignItemRightLine: RemixiconComponentType;

declare const RiAlignItemTopFill: RemixiconComponentType;

declare const RiAlignItemTopLine: RemixiconComponentType;

declare const RiAlignItemVerticalCenterFill: RemixiconComponentType;

declare const RiAlignItemVerticalCenterLine: RemixiconComponentType;

declare const RiApps2AddFill: RemixiconComponentType;

declare const RiApps2AddLine: RemixiconComponentType;

declare const RiCloseLargeFill: RemixiconComponentType;

declare const RiCloseLargeLine: RemixiconComponentType;

declare const RiCollapseDiagonal2Fill: RemixiconComponentType;

declare const RiCollapseDiagonal2Line: RemixiconComponentType;

declare const RiCollapseDiagonalFill: RemixiconComponentType;

declare const RiCollapseDiagonalLine: RemixiconComponentType;

declare const RiDashboardHorizontalFill: RemixiconComponentType;

declare const RiDashboardHorizontalLine: RemixiconComponentType;

declare const RiExpandDiagonal2Fill: RemixiconComponentType;

declare const RiExpandDiagonal2Line: RemixiconComponentType;

declare const RiExpandDiagonalFill: RemixiconComponentType;

declare const RiExpandDiagonalLine: RemixiconComponentType;

declare const RiFirebaseFill: RemixiconComponentType;

declare const RiFirebaseLine: RemixiconComponentType;

declare const RiFlipHorizontal2Fill: RemixiconComponentType;

declare const RiFlipHorizontal2Line: RemixiconComponentType;

declare const RiFlipHorizontalFill: RemixiconComponentType;

declare const RiFlipHorizontalLine: RemixiconComponentType;

declare const RiFlipVertical2Fill: RemixiconComponentType;

declare const RiFlipVertical2Line: RemixiconComponentType;

declare const RiFlipVerticalFill: RemixiconComponentType;

declare const RiFlipVerticalLine: RemixiconComponentType;

declare const RiFormula: RemixiconComponentType;

declare const RiFunctionAddFill: RemixiconComponentType;

declare const RiFunctionAddLine: RemixiconComponentType;

declare const RiGoblet2Fill: RemixiconComponentType;

declare const RiGoblet2Line: RemixiconComponentType;

declare const RiGolfBallFill: RemixiconComponentType;

declare const RiGolfBallLine: RemixiconComponentType;

declare const RiGroup3Fill: RemixiconComponentType;

declare const RiGroup3Line: RemixiconComponentType;

declare const RiHeartAdd2Fill: RemixiconComponentType;

declare const RiHeartAdd2Line: RemixiconComponentType;

declare const RiIdCardFill: RemixiconComponentType;

declare const RiIdCardLine: RemixiconComponentType;

declare const RiInformationOffFill: RemixiconComponentType;

declare const RiInformationOffLine: RemixiconComponentType;

declare const RiJavaFill: RemixiconComponentType;

declare const RiJavaLine: RemixiconComponentType;

declare const RiLayoutGrid2Fill: RemixiconComponentType;

declare const RiLayoutGrid2Line: RemixiconComponentType;

declare const RiLayoutHorizontalFill: RemixiconComponentType;

declare const RiLayoutHorizontalLine: RemixiconComponentType;

declare const RiLayoutVerticalFill: RemixiconComponentType;

declare const RiLayoutVerticalLine: RemixiconComponentType;

declare const RiMenuFold2Fill: RemixiconComponentType;

declare const RiMenuFold2Line: RemixiconComponentType;

declare const RiMenuFold3Fill: RemixiconComponentType;

declare const RiMenuFold3Line: RemixiconComponentType;

declare const RiMenuFold4Fill: RemixiconComponentType;

declare const RiMenuFold4Line: RemixiconComponentType;

declare const RiMenuUnfold2Fill: RemixiconComponentType;

declare const RiMenuUnfold2Line: RemixiconComponentType;

declare const RiMenuUnfold3Fill: RemixiconComponentType;

declare const RiMenuUnfold3Line: RemixiconComponentType;

declare const RiMenuUnfold4Fill: RemixiconComponentType;

declare const RiMenuUnfold4Line: RemixiconComponentType;

declare const RiMobileDownloadFill: RemixiconComponentType;

declare const RiMobileDownloadLine: RemixiconComponentType;

declare const RiNextjsFill: RemixiconComponentType;

declare const RiNextjsLine: RemixiconComponentType;

declare const RiNodejsFill: RemixiconComponentType;

declare const RiNodejsLine: RemixiconComponentType;

declare const RiPauseLargeFill: RemixiconComponentType;

declare const RiPauseLargeLine: RemixiconComponentType;

declare const RiPlayLargeFill: RemixiconComponentType;

declare const RiPlayLargeLine: RemixiconComponentType;

declare const RiPlayReverseLargeFill: RemixiconComponentType;

declare const RiPlayReverseLargeLine: RemixiconComponentType;

declare const RiPoliceBadgeFill: RemixiconComponentType;

declare const RiPoliceBadgeLine: RemixiconComponentType;

declare const RiProhibited2Fill: RemixiconComponentType;

declare const RiProhibited2Line: RemixiconComponentType;

declare const RiShoppingBag4Fill: RemixiconComponentType;

declare const RiShoppingBag4Line: RemixiconComponentType;

declare const RiSnowflakeFill: RemixiconComponentType;

declare const RiSnowflakeLine: RemixiconComponentType;

declare const RiSquareRoot: RemixiconComponentType;

declare const RiStopLargeFill: RemixiconComponentType;

declare const RiStopLargeLine: RemixiconComponentType;

declare const RiTailwindCssFill: RemixiconComponentType;

declare const RiTailwindCssLine: RemixiconComponentType;

declare const RiToothFill: RemixiconComponentType;

declare const RiToothLine: RemixiconComponentType;

declare const RiVideoOffFill: RemixiconComponentType;

declare const RiVideoOffLine: RemixiconComponentType;

declare const RiVideoOnFill: RemixiconComponentType;

declare const RiVideoOnLine: RemixiconComponentType;

declare const RiWebhookFill: RemixiconComponentType;

declare const RiWebhookLine: RemixiconComponentType;

declare const RiWeightFill: RemixiconComponentType;

declare const RiWeightLine: RemixiconComponentType;

declare const RiBookShelfFill: RemixiconComponentType;

declare const RiBookShelfLine: RemixiconComponentType;

declare const RiBrain2Fill: RemixiconComponentType;

declare const RiBrain2Line: RemixiconComponentType;

declare const RiChatSearchFill: RemixiconComponentType;

declare const RiChatSearchLine: RemixiconComponentType;

declare const RiChatUnreadFill: RemixiconComponentType;

declare const RiChatUnreadLine: RemixiconComponentType;

declare const RiCollapseHorizontalFill: RemixiconComponentType;

declare const RiCollapseHorizontalLine: RemixiconComponentType;

declare const RiCollapseVerticalFill: RemixiconComponentType;

declare const RiCollapseVerticalLine: RemixiconComponentType;

declare const RiDnaFill: RemixiconComponentType;

declare const RiDnaLine: RemixiconComponentType;

declare const RiDropperFill: RemixiconComponentType;

declare const RiDropperLine: RemixiconComponentType;

declare const RiExpandDiagonalS2Fill: RemixiconComponentType;

declare const RiExpandDiagonalS2Line: RemixiconComponentType;

declare const RiExpandDiagonalSFill: RemixiconComponentType;

declare const RiExpandDiagonalSLine: RemixiconComponentType;

declare const RiExpandHorizontalFill: RemixiconComponentType;

declare const RiExpandHorizontalLine: RemixiconComponentType;

declare const RiExpandHorizontalSFill: RemixiconComponentType;

declare const RiExpandHorizontalSLine: RemixiconComponentType;

declare const RiExpandVerticalFill: RemixiconComponentType;

declare const RiExpandVerticalLine: RemixiconComponentType;

declare const RiExpandVerticalSFill: RemixiconComponentType;

declare const RiExpandVerticalSLine: RemixiconComponentType;

declare const RiGeminiFill: RemixiconComponentType;

declare const RiGeminiLine: RemixiconComponentType;

declare const RiResetLeftFill: RemixiconComponentType;

declare const RiResetLeftLine: RemixiconComponentType;

declare const RiResetRightFill: RemixiconComponentType;

declare const RiResetRightLine: RemixiconComponentType;

declare const RiStairsFill: RemixiconComponentType;

declare const RiStairsLine: RemixiconComponentType;

declare const RiTelegram2Fill: RemixiconComponentType;

declare const RiTelegram2Line: RemixiconComponentType;

declare const RiTriangularFlagFill: RemixiconComponentType;

declare const RiTriangularFlagLine: RemixiconComponentType;

declare const RiUserMinusFill: RemixiconComponentType;

declare const RiUserMinusLine: RemixiconComponentType;

declare const RiAccountBox2Fill: RemixiconComponentType;

declare const RiAccountBox2Line: RemixiconComponentType;

declare const RiAccountCircle2Fill: RemixiconComponentType;

declare const RiAccountCircle2Line: RemixiconComponentType;

declare const RiAlarmSnoozeFill: RemixiconComponentType;

declare const RiAlarmSnoozeLine: RemixiconComponentType;

declare const RiArrowDownBoxFill: RemixiconComponentType;

declare const RiArrowDownBoxLine: RemixiconComponentType;

declare const RiArrowLeftBoxFill: RemixiconComponentType;

declare const RiArrowLeftBoxLine: RemixiconComponentType;

declare const RiArrowLeftDownBoxFill: RemixiconComponentType;

declare const RiArrowLeftDownBoxLine: RemixiconComponentType;

declare const RiArrowLeftUpBoxFill: RemixiconComponentType;

declare const RiArrowLeftUpBoxLine: RemixiconComponentType;

declare const RiArrowRightBoxFill: RemixiconComponentType;

declare const RiArrowRightBoxLine: RemixiconComponentType;

declare const RiArrowRightDownBoxFill: RemixiconComponentType;

declare const RiArrowRightDownBoxLine: RemixiconComponentType;

declare const RiArrowRightUpBoxFill: RemixiconComponentType;

declare const RiArrowRightUpBoxLine: RemixiconComponentType;

declare const RiArrowUpBoxFill: RemixiconComponentType;

declare const RiArrowUpBoxLine: RemixiconComponentType;

declare const RiBarChartBoxAiFill: RemixiconComponentType;

declare const RiBarChartBoxAiLine: RemixiconComponentType;

declare const RiBrushAiFill: RemixiconComponentType;

declare const RiBrushAiLine: RemixiconComponentType;

declare const RiCameraAiFill: RemixiconComponentType;

declare const RiCameraAiLine: RemixiconComponentType;

declare const RiChatAiFill: RemixiconComponentType;

declare const RiChatAiLine: RemixiconComponentType;

declare const RiChatSmileAiFill: RemixiconComponentType;

declare const RiChatSmileAiLine: RemixiconComponentType;

declare const RiChatVoiceAiFill: RemixiconComponentType;

declare const RiChatVoiceAiLine: RemixiconComponentType;

declare const RiCodeAiFill: RemixiconComponentType;

declare const RiCodeAiLine: RemixiconComponentType;

declare const RiColorFilterAiFill: RemixiconComponentType;

declare const RiColorFilterAiLine: RemixiconComponentType;

declare const RiCustomSize: RemixiconComponentType;

declare const RiFediverseFill: RemixiconComponentType;

declare const RiFediverseLine: RemixiconComponentType;

declare const RiFlagOffFill: RemixiconComponentType;

declare const RiFlagOffLine: RemixiconComponentType;

declare const RiHome9Fill: RemixiconComponentType;

declare const RiHome9Line: RemixiconComponentType;

declare const RiImageAiFill: RemixiconComponentType;

declare const RiImageAiLine: RemixiconComponentType;

declare const RiImageCircleAiFill: RemixiconComponentType;

declare const RiImageCircleAiLine: RemixiconComponentType;

declare const RiInfoCardFill: RemixiconComponentType;

declare const RiInfoCardLine: RemixiconComponentType;

declare const RiLandscapeAiFill: RemixiconComponentType;

declare const RiLandscapeAiLine: RemixiconComponentType;

declare const RiLetterSpacing2: RemixiconComponentType;

declare const RiLineHeight2: RemixiconComponentType;

declare const RiMailAiFill: RemixiconComponentType;

declare const RiMailAiLine: RemixiconComponentType;

declare const RiMic2AiFill: RemixiconComponentType;

declare const RiMic2AiLine: RemixiconComponentType;

declare const RiMicAiFill: RemixiconComponentType;

declare const RiMicAiLine: RemixiconComponentType;

declare const RiMovieAiFill: RemixiconComponentType;

declare const RiMovieAiLine: RemixiconComponentType;

declare const RiMusicAiFill: RemixiconComponentType;

declare const RiMusicAiLine: RemixiconComponentType;

declare const RiNotificationSnoozeFill: RemixiconComponentType;

declare const RiNotificationSnoozeLine: RemixiconComponentType;

declare const RiPhpFill: RemixiconComponentType;

declare const RiPhpLine: RemixiconComponentType;

declare const RiPixFill: RemixiconComponentType;

declare const RiPixLine: RemixiconComponentType;

declare const RiPulseAiFill: RemixiconComponentType;

declare const RiPulseAiLine: RemixiconComponentType;

declare const RiQuillPenAiFill: RemixiconComponentType;

declare const RiQuillPenAiLine: RemixiconComponentType;

declare const RiSpeakAiFill: RemixiconComponentType;

declare const RiSpeakAiLine: RemixiconComponentType;

declare const RiStarOffFill: RemixiconComponentType;

declare const RiStarOffLine: RemixiconComponentType;

declare const RiTranslateAi2: RemixiconComponentType;

declare const RiTranslateAi: RemixiconComponentType;

declare const RiUserCommunityFill: RemixiconComponentType;

declare const RiUserCommunityLine: RemixiconComponentType;

declare const RiVercelFill: RemixiconComponentType;

declare const RiVercelLine: RemixiconComponentType;

declare const RiVideoAiFill: RemixiconComponentType;

declare const RiVideoAiLine: RemixiconComponentType;

declare const RiVideoOnAiFill: RemixiconComponentType;

declare const RiVideoOnAiLine: RemixiconComponentType;

declare const RiVoiceAiFill: RemixiconComponentType;

declare const RiVoiceAiLine: RemixiconComponentType;

declare const RiAiGenerate2: RemixiconComponentType;

declare const RiAiGenerateText: RemixiconComponentType;

declare const RiAnthropicFill: RemixiconComponentType;

declare const RiAnthropicLine: RemixiconComponentType;

declare const RiApps2AiFill: RemixiconComponentType;

declare const RiApps2AiLine: RemixiconComponentType;

declare const RiCameraLensAiFill: RemixiconComponentType;

declare const RiCameraLensAiLine: RemixiconComponentType;

declare const RiClapperboardAiFill: RemixiconComponentType;

declare const RiClapperboardAiLine: RemixiconComponentType;

declare const RiClaudeFill: RemixiconComponentType;

declare const RiClaudeLine: RemixiconComponentType;

declare const RiClosedCaptioningAiFill: RemixiconComponentType;

declare const RiClosedCaptioningAiLine: RemixiconComponentType;

declare const RiDvdAiFill: RemixiconComponentType;

declare const RiDvdAiLine: RemixiconComponentType;

declare const RiFilmAiFill: RemixiconComponentType;

declare const RiFilmAiLine: RemixiconComponentType;

declare const RiFontSizeAi: RemixiconComponentType;

declare const RiMixtralFill: RemixiconComponentType;

declare const RiMixtralLine: RemixiconComponentType;

declare const RiMovie2AiFill: RemixiconComponentType;

declare const RiMovie2AiLine: RemixiconComponentType;

declare const RiMvAiFill: RemixiconComponentType;

declare const RiMvAiLine: RemixiconComponentType;

declare const RiPerplexityFill: RemixiconComponentType;

declare const RiPerplexityLine: RemixiconComponentType;

declare const RiPokerClubsFill: RemixiconComponentType;

declare const RiPokerClubsLine: RemixiconComponentType;

declare const RiPokerDiamondsFill: RemixiconComponentType;

declare const RiPokerDiamondsLine: RemixiconComponentType;

declare const RiPokerHeartsFill: RemixiconComponentType;

declare const RiPokerHeartsLine: RemixiconComponentType;

declare const RiPokerSpadesFill: RemixiconComponentType;

declare const RiPokerSpadesLine: RemixiconComponentType;

declare const RiSafe3Fill: RemixiconComponentType;

declare const RiSafe3Line: RemixiconComponentType;

declare const RiAccessibilityFill: RemixiconComponentType;

declare const RiAccessibilityLine: RemixiconComponentType;

declare const RiAlarmAddFill: RemixiconComponentType;

declare const RiAlarmAddLine: RemixiconComponentType;

declare const RiArrowDownLongFill: RemixiconComponentType;

declare const RiArrowDownLongLine: RemixiconComponentType;

declare const RiArrowLeftDownLongFill: RemixiconComponentType;

declare const RiArrowLeftDownLongLine: RemixiconComponentType;

declare const RiArrowLeftLongFill: RemixiconComponentType;

declare const RiArrowLeftLongLine: RemixiconComponentType;

declare const RiArrowLeftUpLongFill: RemixiconComponentType;

declare const RiArrowLeftUpLongLine: RemixiconComponentType;

declare const RiArrowRightDownLongFill: RemixiconComponentType;

declare const RiArrowRightDownLongLine: RemixiconComponentType;

declare const RiArrowRightLongFill: RemixiconComponentType;

declare const RiArrowRightLongLine: RemixiconComponentType;

declare const RiArrowRightUpLongFill: RemixiconComponentType;

declare const RiArrowRightUpLongLine: RemixiconComponentType;

declare const RiArrowUpLongFill: RemixiconComponentType;

declare const RiArrowUpLongLine: RemixiconComponentType;

declare const RiChessFill: RemixiconComponentType;

declare const RiChessLine: RemixiconComponentType;

declare const RiDiamondFill: RemixiconComponentType;

declare const RiDiamondLine: RemixiconComponentType;

declare const RiDiamondRingFill: RemixiconComponentType;

declare const RiDiamondRingLine: RemixiconComponentType;

declare const RiFigmaFill: RemixiconComponentType;

declare const RiFigmaLine: RemixiconComponentType;

declare const RiFirefoxBrowserFill: RemixiconComponentType;

declare const RiFirefoxBrowserLine: RemixiconComponentType;

declare const RiJewelryFill: RemixiconComponentType;

declare const RiJewelryLine: RemixiconComponentType;

declare const RiMultiImageFill: RemixiconComponentType;

declare const RiMultiImageLine: RemixiconComponentType;

declare const RiNoCreditCardFill: RemixiconComponentType;

declare const RiNoCreditCardLine: RemixiconComponentType;

declare const RiServiceBellFill: RemixiconComponentType;

declare const RiServiceBellLine: RemixiconComponentType;

export { type RemixiconComponentType, Ri24HoursFill, Ri24HoursLine, Ri4kFill, Ri4kLine, RiAB, RiAccessibilityFill, RiAccessibilityLine, RiAccountBox2Fill, RiAccountBox2Line, RiAccountBoxFill, RiAccountBoxLine, RiAccountCircle2Fill, RiAccountCircle2Line, RiAccountCircleFill, RiAccountCircleLine, RiAccountPinBoxFill, RiAccountPinBoxLine, RiAccountPinCircleFill, RiAccountPinCircleLine, RiAddBoxFill, RiAddBoxLine, RiAddCircleFill, RiAddCircleLine, RiAddFill, RiAddLargeFill, RiAddLargeLine, RiAddLine, RiAdminFill, RiAdminLine, RiAdvertisementFill, RiAdvertisementLine, RiAedElectrodesFill, RiAedElectrodesLine, RiAedFill, RiAedLine, RiAiGenerate, RiAiGenerate2, RiAiGenerateText, RiAirplayFill, RiAirplayLine, RiAlarmAddFill, RiAlarmAddLine, RiAlarmFill, RiAlarmLine, RiAlarmSnoozeFill, RiAlarmSnoozeLine, RiAlarmWarningFill, RiAlarmWarningLine, RiAlbumFill, RiAlbumLine, RiAlertFill, RiAlertLine, RiAlibabaCloudFill, RiAlibabaCloudLine, RiAliensFill, RiAliensLine, RiAlignBottom, RiAlignCenter, RiAlignItemBottomFill, RiAlignItemBottomLine, RiAlignItemHorizontalCenterFill, RiAlignItemHorizontalCenterLine, RiAlignItemLeftFill, RiAlignItemLeftLine, RiAlignItemRightFill, RiAlignItemRightLine, RiAlignItemTopFill, RiAlignItemTopLine, RiAlignItemVerticalCenterFill, RiAlignItemVerticalCenterLine, RiAlignJustify, RiAlignLeft, RiAlignRight, RiAlignTop, RiAlignVertically, RiAlipayFill, RiAlipayLine, RiAmazonFill, RiAmazonLine, RiAnchorFill, RiAnchorLine, RiAncientGateFill, RiAncientGateLine, RiAncientPavilionFill, RiAncientPavilionLine, RiAndroidFill, RiAndroidLine, RiAngularjsFill, RiAngularjsLine, RiAnthropicFill, RiAnthropicLine, RiAnticlockwise2Fill, RiAnticlockwise2Line, RiAnticlockwiseFill, RiAnticlockwiseLine, RiAppStoreFill, RiAppStoreLine, RiAppleFill, RiAppleLine, RiApps2AddFill, RiApps2AddLine, RiApps2AiFill, RiApps2AiLine, RiApps2Fill, RiApps2Line, RiAppsFill, RiAppsLine, RiArchive2Fill, RiArchive2Line, RiArchiveDrawerFill, RiArchiveDrawerLine, RiArchiveFill, RiArchiveLine, RiArchiveStackFill, RiArchiveStackLine, RiArmchairFill, RiArmchairLine, RiArrowDownBoxFill, RiArrowDownBoxLine, RiArrowDownCircleFill, RiArrowDownCircleLine, RiArrowDownDoubleFill, RiArrowDownDoubleLine, RiArrowDownFill, RiArrowDownLine, RiArrowDownLongFill, RiArrowDownLongLine, RiArrowDownSFill, RiArrowDownSLine, RiArrowDownWideFill, RiArrowDownWideLine, RiArrowDropDownFill, RiArrowDropDownLine, RiArrowDropLeftFill, RiArrowDropLeftLine, RiArrowDropRightFill, RiArrowDropRightLine, RiArrowDropUpFill, RiArrowDropUpLine, RiArrowGoBackFill, RiArrowGoBackLine, RiArrowGoForwardFill, RiArrowGoForwardLine, RiArrowLeftBoxFill, RiArrowLeftBoxLine, RiArrowLeftCircleFill, RiArrowLeftCircleLine, RiArrowLeftDoubleFill, RiArrowLeftDoubleLine, RiArrowLeftDownBoxFill, RiArrowLeftDownBoxLine, RiArrowLeftDownFill, RiArrowLeftDownLine, RiArrowLeftDownLongFill, RiArrowLeftDownLongLine, RiArrowLeftFill, RiArrowLeftLine, RiArrowLeftLongFill, RiArrowLeftLongLine, RiArrowLeftRightFill, RiArrowLeftRightLine, RiArrowLeftSFill, RiArrowLeftSLine, RiArrowLeftUpBoxFill, RiArrowLeftUpBoxLine, RiArrowLeftUpFill, RiArrowLeftUpLine, RiArrowLeftUpLongFill, RiArrowLeftUpLongLine, RiArrowLeftWideFill, RiArrowLeftWideLine, RiArrowRightBoxFill, RiArrowRightBoxLine, RiArrowRightCircleFill, RiArrowRightCircleLine, RiArrowRightDoubleFill, RiArrowRightDoubleLine, RiArrowRightDownBoxFill, RiArrowRightDownBoxLine, RiArrowRightDownFill, RiArrowRightDownLine, RiArrowRightDownLongFill, RiArrowRightDownLongLine, RiArrowRightFill, RiArrowRightLine, RiArrowRightLongFill, RiArrowRightLongLine, RiArrowRightSFill, RiArrowRightSLine, RiArrowRightUpBoxFill, RiArrowRightUpBoxLine, RiArrowRightUpFill, RiArrowRightUpLine, RiArrowRightUpLongFill, RiArrowRightUpLongLine, RiArrowRightWideFill, RiArrowRightWideLine, RiArrowTurnBackFill, RiArrowTurnBackLine, RiArrowTurnForwardFill, RiArrowTurnForwardLine, RiArrowUpBoxFill, RiArrowUpBoxLine, RiArrowUpCircleFill, RiArrowUpCircleLine, RiArrowUpDoubleFill, RiArrowUpDoubleLine, RiArrowUpDownFill, RiArrowUpDownLine, RiArrowUpFill, RiArrowUpLine, RiArrowUpLongFill, RiArrowUpLongLine, RiArrowUpSFill, RiArrowUpSLine, RiArrowUpWideFill, RiArrowUpWideLine, RiArtboard2Fill, RiArtboard2Line, RiArtboardFill, RiArtboardLine, RiArticleFill, RiArticleLine, RiAspectRatioFill, RiAspectRatioLine, RiAsterisk, RiAtFill, RiAtLine, RiAttachment2, RiAttachmentFill, RiAttachmentLine, RiAuctionFill, RiAuctionLine, RiAwardFill, RiAwardLine, RiBaiduFill, RiBaiduLine, RiBallPenFill, RiBallPenLine, RiBankCard2Fill, RiBankCard2Line, RiBankCardFill, RiBankCardLine, RiBankFill, RiBankLine, RiBarChart2Fill, RiBarChart2Line, RiBarChartBoxAiFill, RiBarChartBoxAiLine, RiBarChartBoxFill, RiBarChartBoxLine, RiBarChartFill, RiBarChartGroupedFill, RiBarChartGroupedLine, RiBarChartHorizontalFill, RiBarChartHorizontalLine, RiBarChartLine, RiBarcodeBoxFill, RiBarcodeBoxLine, RiBarcodeFill, RiBarcodeLine, RiBardFill, RiBardLine, RiBarricadeFill, RiBarricadeLine, RiBaseStationFill, RiBaseStationLine, RiBasketballFill, RiBasketballLine, RiBattery2ChargeFill, RiBattery2ChargeLine, RiBattery2Fill, RiBattery2Line, RiBatteryChargeFill, RiBatteryChargeLine, RiBatteryFill, RiBatteryLine, RiBatteryLowFill, RiBatteryLowLine, RiBatterySaverFill, RiBatterySaverLine, RiBatteryShareFill, RiBatteryShareLine, RiBearSmileFill, RiBearSmileLine, RiBeerFill, RiBeerLine, RiBehanceFill, RiBehanceLine, RiBellFill, RiBellLine, RiBikeFill, RiBikeLine, RiBilibiliFill, RiBilibiliLine, RiBillFill, RiBillLine, RiBilliardsFill, RiBilliardsLine, RiBitCoinFill, RiBitCoinLine, RiBlazeFill, RiBlazeLine, RiBlenderFill, RiBlenderLine, RiBloggerFill, RiBloggerLine, RiBlueskyFill, RiBlueskyLine, RiBluetoothConnectFill, RiBluetoothConnectLine, RiBluetoothFill, RiBluetoothLine, RiBlurOffFill, RiBlurOffLine, RiBnbFill, RiBnbLine, RiBodyScanFill, RiBodyScanLine, RiBold, RiBook2Fill, RiBook2Line, RiBook3Fill, RiBook3Line, RiBookFill, RiBookLine, RiBookMarkedFill, RiBookMarkedLine, RiBookOpenFill, RiBookOpenLine, RiBookReadFill, RiBookReadLine, RiBookShelfFill, RiBookShelfLine, RiBookletFill, RiBookletLine, RiBookmark2Fill, RiBookmark2Line, RiBookmark3Fill, RiBookmark3Line, RiBookmarkFill, RiBookmarkLine, RiBootstrapFill, RiBootstrapLine, RiBowlFill, RiBowlLine, RiBox1Fill, RiBox1Line, RiBox2Fill, RiBox2Line, RiBox3Fill, RiBox3Line, RiBoxingFill, RiBoxingLine, RiBracesFill, RiBracesLine, RiBracketsFill, RiBracketsLine, RiBrain2Fill, RiBrain2Line, RiBrainFill, RiBrainLine, RiBreadFill, RiBreadLine, RiBriefcase2Fill, RiBriefcase2Line, RiBriefcase3Fill, RiBriefcase3Line, RiBriefcase4Fill, RiBriefcase4Line, RiBriefcase5Fill, RiBriefcase5Line, RiBriefcaseFill, RiBriefcaseLine, RiBringForward, RiBringToFront, RiBroadcastFill, RiBroadcastLine, RiBrush2Fill, RiBrush2Line, RiBrush3Fill, RiBrush3Line, RiBrush4Fill, RiBrush4Line, RiBrushAiFill, RiBrushAiLine, RiBrushFill, RiBrushLine, RiBtcFill, RiBtcLine, RiBubbleChartFill, RiBubbleChartLine, RiBug2Fill, RiBug2Line, RiBugFill, RiBugLine, RiBuilding2Fill, RiBuilding2Line, RiBuilding3Fill, RiBuilding3Line, RiBuilding4Fill, RiBuilding4Line, RiBuildingFill, RiBuildingLine, RiBus2Fill, RiBus2Line, RiBusFill, RiBusLine, RiBusWifiFill, RiBusWifiLine, RiCactusFill, RiCactusLine, RiCake2Fill, RiCake2Line, RiCake3Fill, RiCake3Line, RiCakeFill, RiCakeLine, RiCalculatorFill, RiCalculatorLine, RiCalendar2Fill, RiCalendar2Line, RiCalendarCheckFill, RiCalendarCheckLine, RiCalendarCloseFill, RiCalendarCloseLine, RiCalendarEventFill, RiCalendarEventLine, RiCalendarFill, RiCalendarLine, RiCalendarScheduleFill, RiCalendarScheduleLine, RiCalendarTodoFill, RiCalendarTodoLine, RiCalendarView, RiCamera2Fill, RiCamera2Line, RiCamera3Fill, RiCamera3Line, RiCameraAiFill, RiCameraAiLine, RiCameraFill, RiCameraLensAiFill, RiCameraLensAiLine, RiCameraLensFill, RiCameraLensLine, RiCameraLine, RiCameraOffFill, RiCameraOffLine, RiCameraSwitchFill, RiCameraSwitchLine, RiCandleFill, RiCandleLine, RiCapsuleFill, RiCapsuleLine, RiCarFill, RiCarLine, RiCarWashingFill, RiCarWashingLine, RiCaravanFill, RiCaravanLine, RiCarouselView, RiCashFill, RiCashLine, RiCastFill, RiCastLine, RiCellphoneFill, RiCellphoneLine, RiCelsiusFill, RiCelsiusLine, RiCentosFill, RiCentosLine, RiCharacterRecognitionFill, RiCharacterRecognitionLine, RiChargingPile2Fill, RiChargingPile2Line, RiChargingPileFill, RiChargingPileLine, RiChat1Fill, RiChat1Line, RiChat2Fill, RiChat2Line, RiChat3Fill, RiChat3Line, RiChat4Fill, RiChat4Line, RiChatAiFill, RiChatAiLine, RiChatCheckFill, RiChatCheckLine, RiChatDeleteFill, RiChatDeleteLine, RiChatDownloadFill, RiChatDownloadLine, RiChatFollowUpFill, RiChatFollowUpLine, RiChatForwardFill, RiChatForwardLine, RiChatHeartFill, RiChatHeartLine, RiChatHistoryFill, RiChatHistoryLine, RiChatNewFill, RiChatNewLine, RiChatOffFill, RiChatOffLine, RiChatPollFill, RiChatPollLine, RiChatPrivateFill, RiChatPrivateLine, RiChatQuoteFill, RiChatQuoteLine, RiChatSearchFill, RiChatSearchLine, RiChatSettingsFill, RiChatSettingsLine, RiChatSmile2Fill, RiChatSmile2Line, RiChatSmile3Fill, RiChatSmile3Line, RiChatSmileAiFill, RiChatSmileAiLine, RiChatSmileFill, RiChatSmileLine, RiChatThreadFill, RiChatThreadLine, RiChatUnreadFill, RiChatUnreadLine, RiChatUploadFill, RiChatUploadLine, RiChatVoiceAiFill, RiChatVoiceAiLine, RiChatVoiceFill, RiChatVoiceLine, RiCheckDoubleFill, RiCheckDoubleLine, RiCheckFill, RiCheckLine, RiCheckboxBlankCircleFill, RiCheckboxBlankCircleLine, RiCheckboxBlankFill, RiCheckboxBlankLine, RiCheckboxCircleFill, RiCheckboxCircleLine, RiCheckboxFill, RiCheckboxIndeterminateFill, RiCheckboxIndeterminateLine, RiCheckboxLine, RiCheckboxMultipleBlankFill, RiCheckboxMultipleBlankLine, RiCheckboxMultipleFill, RiCheckboxMultipleLine, RiChessFill, RiChessLine, RiChinaRailwayFill, RiChinaRailwayLine, RiChromeFill, RiChromeLine, RiCircleFill, RiCircleLine, RiClapperboardAiFill, RiClapperboardAiLine, RiClapperboardFill, RiClapperboardLine, RiClaudeFill, RiClaudeLine, RiClipboardFill, RiClipboardLine, RiClockwise2Fill, RiClockwise2Line, RiClockwiseFill, RiClockwiseLine, RiCloseCircleFill, RiCloseCircleLine, RiCloseFill, RiCloseLargeFill, RiCloseLargeLine, RiCloseLine, RiClosedCaptioningAiFill, RiClosedCaptioningAiLine, RiClosedCaptioningFill, RiClosedCaptioningLine, RiCloudFill, RiCloudLine, RiCloudOffFill, RiCloudOffLine, RiCloudWindyFill, RiCloudWindyLine, RiCloudy2Fill, RiCloudy2Line, RiCloudyFill, RiCloudyLine, RiCodeAiFill, RiCodeAiLine, RiCodeBlock, RiCodeBoxFill, RiCodeBoxLine, RiCodeFill, RiCodeLine, RiCodeSFill, RiCodeSLine, RiCodeSSlashFill, RiCodeSSlashLine, RiCodeView, RiCodepenFill, RiCodepenLine, RiCoinFill, RiCoinLine, RiCoinsFill, RiCoinsLine, RiCollageFill, RiCollageLine, RiCollapseDiagonal2Fill, RiCollapseDiagonal2Line, RiCollapseDiagonalFill, RiCollapseDiagonalLine, RiCollapseHorizontalFill, RiCollapseHorizontalLine, RiCollapseVerticalFill, RiCollapseVerticalLine, RiColorFilterAiFill, RiColorFilterAiLine, RiColorFilterFill, RiColorFilterLine, RiCommandFill, RiCommandLine, RiCommunityFill, RiCommunityLine, RiCompass2Fill, RiCompass2Line, RiCompass3Fill, RiCompass3Line, RiCompass4Fill, RiCompass4Line, RiCompassDiscoverFill, RiCompassDiscoverLine, RiCompassFill, RiCompassLine, RiCompasses2Fill, RiCompasses2Line, RiCompassesFill, RiCompassesLine, RiComputerFill, RiComputerLine, RiContactsBook2Fill, RiContactsBook2Line, RiContactsBook3Fill, RiContactsBook3Line, RiContactsBookFill, RiContactsBookLine, RiContactsBookUploadFill, RiContactsBookUploadLine, RiContactsFill, RiContactsLine, RiContractFill, RiContractLeftFill, RiContractLeftLine, RiContractLeftRightFill, RiContractLeftRightLine, RiContractLine, RiContractRightFill, RiContractRightLine, RiContractUpDownFill, RiContractUpDownLine, RiContrast2Fill, RiContrast2Line, RiContrastDrop2Fill, RiContrastDrop2Line, RiContrastDropFill, RiContrastDropLine, RiContrastFill, RiContrastLine, RiCopilotFill, RiCopilotLine, RiCopperCoinFill, RiCopperCoinLine, RiCopperDiamondFill, RiCopperDiamondLine, RiCopyleftFill, RiCopyleftLine, RiCopyrightFill, RiCopyrightLine, RiCoreosFill, RiCoreosLine, RiCornerDownLeftFill, RiCornerDownLeftLine, RiCornerDownRightFill, RiCornerDownRightLine, RiCornerLeftDownFill, RiCornerLeftDownLine, RiCornerLeftUpFill, RiCornerLeftUpLine, RiCornerRightDownFill, RiCornerRightDownLine, RiCornerRightUpFill, RiCornerRightUpLine, RiCornerUpLeftDoubleFill, RiCornerUpLeftDoubleLine, RiCornerUpLeftFill, RiCornerUpLeftLine, RiCornerUpRightDoubleFill, RiCornerUpRightDoubleLine, RiCornerUpRightFill, RiCornerUpRightLine, RiCoupon2Fill, RiCoupon2Line, RiCoupon3Fill, RiCoupon3Line, RiCoupon4Fill, RiCoupon4Line, RiCoupon5Fill, RiCoupon5Line, RiCouponFill, RiCouponLine, RiCpuFill, RiCpuLine, RiCreativeCommonsByFill, RiCreativeCommonsByLine, RiCreativeCommonsFill, RiCreativeCommonsLine, RiCreativeCommonsNcFill, RiCreativeCommonsNcLine, RiCreativeCommonsNdFill, RiCreativeCommonsNdLine, RiCreativeCommonsSaFill, RiCreativeCommonsSaLine, RiCreativeCommonsZeroFill, RiCreativeCommonsZeroLine, RiCriminalFill, RiCriminalLine, RiCrop2Fill, RiCrop2Line, RiCropFill, RiCropLine, RiCrossFill, RiCrossLine, RiCrosshair2Fill, RiCrosshair2Line, RiCrosshairFill, RiCrosshairLine, RiCss3Fill, RiCss3Line, RiCupFill, RiCupLine, RiCurrencyFill, RiCurrencyLine, RiCursorFill, RiCursorLine, RiCustomSize, RiCustomerService2Fill, RiCustomerService2Line, RiCustomerServiceFill, RiCustomerServiceLine, RiDashboard2Fill, RiDashboard2Line, RiDashboard3Fill, RiDashboard3Line, RiDashboardFill, RiDashboardHorizontalFill, RiDashboardHorizontalLine, RiDashboardLine, RiDatabase2Fill, RiDatabase2Line, RiDatabaseFill, RiDatabaseLine, RiDeleteBack2Fill, RiDeleteBack2Line, RiDeleteBackFill, RiDeleteBackLine, RiDeleteBin2Fill, RiDeleteBin2Line, RiDeleteBin3Fill, RiDeleteBin3Line, RiDeleteBin4Fill, RiDeleteBin4Line, RiDeleteBin5Fill, RiDeleteBin5Line, RiDeleteBin6Fill, RiDeleteBin6Line, RiDeleteBin7Fill, RiDeleteBin7Line, RiDeleteBinFill, RiDeleteBinLine, RiDeleteColumn, RiDeleteRow, RiDeviceFill, RiDeviceLine, RiDeviceRecoverFill, RiDeviceRecoverLine, RiDiamondFill, RiDiamondLine, RiDiamondRingFill, RiDiamondRingLine, RiDice1Fill, RiDice1Line, RiDice2Fill, RiDice2Line, RiDice3Fill, RiDice3Line, RiDice4Fill, RiDice4Line, RiDice5Fill, RiDice5Line, RiDice6Fill, RiDice6Line, RiDiceFill, RiDiceLine, RiDingdingFill, RiDingdingLine, RiDirectionFill, RiDirectionLine, RiDiscFill, RiDiscLine, RiDiscordFill, RiDiscordLine, RiDiscountPercentFill, RiDiscountPercentLine, RiDiscussFill, RiDiscussLine, RiDislikeFill, RiDislikeLine, RiDisqusFill, RiDisqusLine, RiDivideFill, RiDivideLine, RiDnaFill, RiDnaLine, RiDonutChartFill, RiDonutChartLine, RiDoorClosedFill, RiDoorClosedLine, RiDoorFill, RiDoorLine, RiDoorLockBoxFill, RiDoorLockBoxLine, RiDoorLockFill, RiDoorLockLine, RiDoorOpenFill, RiDoorOpenLine, RiDossierFill, RiDossierLine, RiDoubanFill, RiDoubanLine, RiDoubleQuotesL, RiDoubleQuotesR, RiDownload2Fill, RiDownload2Line, RiDownloadCloud2Fill, RiDownloadCloud2Line, RiDownloadCloudFill, RiDownloadCloudLine, RiDownloadFill, RiDownloadLine, RiDraftFill, RiDraftLine, RiDragDropFill, RiDragDropLine, RiDragMove2Fill, RiDragMove2Line, RiDragMoveFill, RiDragMoveLine, RiDraggable, RiDribbbleFill, RiDribbbleLine, RiDrinks2Fill, RiDrinks2Line, RiDrinksFill, RiDrinksLine, RiDriveFill, RiDriveLine, RiDrizzleFill, RiDrizzleLine, RiDropFill, RiDropLine, RiDropboxFill, RiDropboxLine, RiDropdownList, RiDropperFill, RiDropperLine, RiDualSim1Fill, RiDualSim1Line, RiDualSim2Fill, RiDualSim2Line, RiDvFill, RiDvLine, RiDvdAiFill, RiDvdAiLine, RiDvdFill, RiDvdLine, RiEBike2Fill, RiEBike2Line, RiEBikeFill, RiEBikeLine, RiEarthFill, RiEarthLine, RiEarthquakeFill, RiEarthquakeLine, RiEdgeFill, RiEdgeLine, RiEdgeNewFill, RiEdgeNewLine, RiEdit2Fill, RiEdit2Line, RiEditBoxFill, RiEditBoxLine, RiEditCircleFill, RiEditCircleLine, RiEditFill, RiEditLine, RiEjectFill, RiEjectLine, RiEmojiStickerFill, RiEmojiStickerLine, RiEmotion2Fill, RiEmotion2Line, RiEmotionFill, RiEmotionHappyFill, RiEmotionHappyLine, RiEmotionLaughFill, RiEmotionLaughLine, RiEmotionLine, RiEmotionNormalFill, RiEmotionNormalLine, RiEmotionSadFill, RiEmotionSadLine, RiEmotionUnhappyFill, RiEmotionUnhappyLine, RiEmpathizeFill, RiEmpathizeLine, RiEmphasis, RiEmphasisCn, RiEnglishInput, RiEqualFill, RiEqualLine, RiEqualizer2Fill, RiEqualizer2Line, RiEqualizer3Fill, RiEqualizer3Line, RiEqualizerFill, RiEqualizerLine, RiEraserFill, RiEraserLine, RiErrorWarningFill, RiErrorWarningLine, RiEthFill, RiEthLine, RiEvernoteFill, RiEvernoteLine, RiExchange2Fill, RiExchange2Line, RiExchangeBoxFill, RiExchangeBoxLine, RiExchangeCnyFill, RiExchangeCnyLine, RiExchangeDollarFill, RiExchangeDollarLine, RiExchangeFill, RiExchangeFundsFill, RiExchangeFundsLine, RiExchangeLine, RiExpandDiagonal2Fill, RiExpandDiagonal2Line, RiExpandDiagonalFill, RiExpandDiagonalLine, RiExpandDiagonalS2Fill, RiExpandDiagonalS2Line, RiExpandDiagonalSFill, RiExpandDiagonalSLine, RiExpandHeightFill, RiExpandHeightLine, RiExpandHorizontalFill, RiExpandHorizontalLine, RiExpandHorizontalSFill, RiExpandHorizontalSLine, RiExpandLeftFill, RiExpandLeftLine, RiExpandLeftRightFill, RiExpandLeftRightLine, RiExpandRightFill, RiExpandRightLine, RiExpandUpDownFill, RiExpandUpDownLine, RiExpandVerticalFill, RiExpandVerticalLine, RiExpandVerticalSFill, RiExpandVerticalSLine, RiExpandWidthFill, RiExpandWidthLine, RiExportFill, RiExportLine, RiExternalLinkFill, RiExternalLinkLine, RiEye2Fill, RiEye2Line, RiEyeCloseFill, RiEyeCloseLine, RiEyeFill, RiEyeLine, RiEyeOffFill, RiEyeOffLine, RiFacebookBoxFill, RiFacebookBoxLine, RiFacebookCircleFill, RiFacebookCircleLine, RiFacebookFill, RiFacebookLine, RiFahrenheitFill, RiFahrenheitLine, RiFediverseFill, RiFediverseLine, RiFeedbackFill, RiFeedbackLine, RiFigmaFill, RiFigmaLine, RiFile2Fill, RiFile2Line, RiFile3Fill, RiFile3Line, RiFile4Fill, RiFile4Line, RiFileAddFill, RiFileAddLine, RiFileChart2Fill, RiFileChart2Line, RiFileChartFill, RiFileChartLine, RiFileCheckFill, RiFileCheckLine, RiFileCloseFill, RiFileCloseLine, RiFileCloudFill, RiFileCloudLine, RiFileCodeFill, RiFileCodeLine, RiFileCopy2Fill, RiFileCopy2Line, RiFileCopyFill, RiFileCopyLine, RiFileDamageFill, RiFileDamageLine, RiFileDownloadFill, RiFileDownloadLine, RiFileEditFill, RiFileEditLine, RiFileExcel2Fill, RiFileExcel2Line, RiFileExcelFill, RiFileExcelLine, RiFileFill, RiFileForbidFill, RiFileForbidLine, RiFileGifFill, RiFileGifLine, RiFileHistoryFill, RiFileHistoryLine, RiFileHwpFill, RiFileHwpLine, RiFileImageFill, RiFileImageLine, RiFileInfoFill, RiFileInfoLine, RiFileLine, RiFileList2Fill, RiFileList2Line, RiFileList3Fill, RiFileList3Line, RiFileListFill, RiFileListLine, RiFileLockFill, RiFileLockLine, RiFileMarkedFill, RiFileMarkedLine, RiFileMusicFill, RiFileMusicLine, RiFilePaper2Fill, RiFilePaper2Line, RiFilePaperFill, RiFilePaperLine, RiFilePdf2Fill, RiFilePdf2Line, RiFilePdfFill, RiFilePdfLine, RiFilePpt2Fill, RiFilePpt2Line, RiFilePptFill, RiFilePptLine, RiFileReduceFill, RiFileReduceLine, RiFileSearchFill, RiFileSearchLine, RiFileSettingsFill, RiFileSettingsLine, RiFileShield2Fill, RiFileShield2Line, RiFileShieldFill, RiFileShieldLine, RiFileShredFill, RiFileShredLine, RiFileTextFill, RiFileTextLine, RiFileTransferFill, RiFileTransferLine, RiFileUnknowFill, RiFileUnknowLine, RiFileUploadFill, RiFileUploadLine, RiFileUserFill, RiFileUserLine, RiFileVideoFill, RiFileVideoLine, RiFileWarningFill, RiFileWarningLine, RiFileWord2Fill, RiFileWord2Line, RiFileWordFill, RiFileWordLine, RiFileZipFill, RiFileZipLine, RiFilmAiFill, RiFilmAiLine, RiFilmFill, RiFilmLine, RiFilter2Fill, RiFilter2Line, RiFilter3Fill, RiFilter3Line, RiFilterFill, RiFilterLine, RiFilterOffFill, RiFilterOffLine, RiFindReplaceFill, RiFindReplaceLine, RiFinderFill, RiFinderLine, RiFingerprint2Fill, RiFingerprint2Line, RiFingerprintFill, RiFingerprintLine, RiFireFill, RiFireLine, RiFirebaseFill, RiFirebaseLine, RiFirefoxBrowserFill, RiFirefoxBrowserLine, RiFirefoxFill, RiFirefoxLine, RiFirstAidKitFill, RiFirstAidKitLine, RiFlag2Fill, RiFlag2Line, RiFlagFill, RiFlagLine, RiFlagOffFill, RiFlagOffLine, RiFlashlightFill, RiFlashlightLine, RiFlaskFill, RiFlaskLine, RiFlickrFill, RiFlickrLine, RiFlightLandFill, RiFlightLandLine, RiFlightTakeoffFill, RiFlightTakeoffLine, RiFlipHorizontal2Fill, RiFlipHorizontal2Line, RiFlipHorizontalFill, RiFlipHorizontalLine, RiFlipVertical2Fill, RiFlipVertical2Line, RiFlipVerticalFill, RiFlipVerticalLine, RiFloodFill, RiFloodLine, RiFlowChart, RiFlowerFill, RiFlowerLine, RiFlutterFill, RiFlutterLine, RiFocus2Fill, RiFocus2Line, RiFocus3Fill, RiFocus3Line, RiFocusFill, RiFocusLine, RiFocusMode, RiFoggyFill, RiFoggyLine, RiFolder2Fill, RiFolder2Line, RiFolder3Fill, RiFolder3Line, RiFolder4Fill, RiFolder4Line, RiFolder5Fill, RiFolder5Line, RiFolder6Fill, RiFolder6Line, RiFolderAddFill, RiFolderAddLine, RiFolderChart2Fill, RiFolderChart2Line, RiFolderChartFill, RiFolderChartLine, RiFolderCheckFill, RiFolderCheckLine, RiFolderCloseFill, RiFolderCloseLine, RiFolderCloudFill, RiFolderCloudLine, RiFolderDownloadFill, RiFolderDownloadLine, RiFolderFill, RiFolderForbidFill, RiFolderForbidLine, RiFolderHistoryFill, RiFolderHistoryLine, RiFolderImageFill, RiFolderImageLine, RiFolderInfoFill, RiFolderInfoLine, RiFolderKeyholeFill, RiFolderKeyholeLine, RiFolderLine, RiFolderLockFill, RiFolderLockLine, RiFolderMusicFill, RiFolderMusicLine, RiFolderOpenFill, RiFolderOpenLine, RiFolderReceivedFill, RiFolderReceivedLine, RiFolderReduceFill, RiFolderReduceLine, RiFolderSettingsFill, RiFolderSettingsLine, RiFolderSharedFill, RiFolderSharedLine, RiFolderShield2Fill, RiFolderShield2Line, RiFolderShieldFill, RiFolderShieldLine, RiFolderTransferFill, RiFolderTransferLine, RiFolderUnknowFill, RiFolderUnknowLine, RiFolderUploadFill, RiFolderUploadLine, RiFolderUserFill, RiFolderUserLine, RiFolderVideoFill, RiFolderVideoLine, RiFolderWarningFill, RiFolderWarningLine, RiFolderZipFill, RiFolderZipLine, RiFoldersFill, RiFoldersLine, RiFontColor, RiFontFamily, RiFontMono, RiFontSans, RiFontSansSerif, RiFontSize, RiFontSize2, RiFontSizeAi, RiFootballFill, RiFootballLine, RiFootprintFill, RiFootprintLine, RiForbid2Fill, RiForbid2Line, RiForbidFill, RiForbidLine, RiFormatClear, RiFormula, RiForward10Fill, RiForward10Line, RiForward15Fill, RiForward15Line, RiForward30Fill, RiForward30Line, RiForward5Fill, RiForward5Line, RiForwardEndFill, RiForwardEndLine, RiForwardEndMiniFill, RiForwardEndMiniLine, RiFridgeFill, RiFridgeLine, RiFriendicaFill, RiFriendicaLine, RiFullscreenExitFill, RiFullscreenExitLine, RiFullscreenFill, RiFullscreenLine, RiFunctionAddFill, RiFunctionAddLine, RiFunctionFill, RiFunctionLine, RiFunctions, RiFundsBoxFill, RiFundsBoxLine, RiFundsFill, RiFundsLine, RiGalleryFill, RiGalleryLine, RiGalleryUploadFill, RiGalleryUploadLine, RiGalleryView, RiGalleryView2, RiGameFill, RiGameLine, RiGamepadFill, RiGamepadLine, RiGasStationFill, RiGasStationLine, RiGatsbyFill, RiGatsbyLine, RiGeminiFill, RiGeminiLine, RiGenderlessFill, RiGenderlessLine, RiGhost2Fill, RiGhost2Line, RiGhostFill, RiGhostLine, RiGhostSmileFill, RiGhostSmileLine, RiGift2Fill, RiGift2Line, RiGiftFill, RiGiftLine, RiGitBranchFill, RiGitBranchLine, RiGitClosePullRequestFill, RiGitClosePullRequestLine, RiGitCommitFill, RiGitCommitLine, RiGitForkFill, RiGitForkLine, RiGitMergeFill, RiGitMergeLine, RiGitPrDraftFill, RiGitPrDraftLine, RiGitPullRequestFill, RiGitPullRequestLine, RiGitRepositoryCommitsFill, RiGitRepositoryCommitsLine, RiGitRepositoryFill, RiGitRepositoryLine, RiGitRepositoryPrivateFill, RiGitRepositoryPrivateLine, RiGithubFill, RiGithubLine, RiGitlabFill, RiGitlabLine, RiGlasses2Fill, RiGlasses2Line, RiGlassesFill, RiGlassesLine, RiGlobalFill, RiGlobalLine, RiGlobeFill, RiGlobeLine, RiGoblet2Fill, RiGoblet2Line, RiGobletFill, RiGobletLine, RiGogglesFill, RiGogglesLine, RiGolfBallFill, RiGolfBallLine, RiGoogleFill, RiGoogleLine, RiGooglePlayFill, RiGooglePlayLine, RiGovernmentFill, RiGovernmentLine, RiGpsFill, RiGpsLine, RiGradienterFill, RiGradienterLine, RiGraduationCapFill, RiGraduationCapLine, RiGridFill, RiGridLine, RiGroup2Fill, RiGroup2Line, RiGroup3Fill, RiGroup3Line, RiGroupFill, RiGroupLine, RiGuideFill, RiGuideLine, RiH1, RiH2, RiH3, RiH4, RiH5, RiH6, RiHailFill, RiHailLine, RiHammerFill, RiHammerLine, RiHand, RiHandCoinFill, RiHandCoinLine, RiHandHeartFill, RiHandHeartLine, RiHandSanitizerFill, RiHandSanitizerLine, RiHandbagFill, RiHandbagLine, RiHardDrive2Fill, RiHardDrive2Line, RiHardDrive3Fill, RiHardDrive3Line, RiHardDriveFill, RiHardDriveLine, RiHashtag, RiHaze2Fill, RiHaze2Line, RiHazeFill, RiHazeLine, RiHdFill, RiHdLine, RiHeading, RiHeadphoneFill, RiHeadphoneLine, RiHealthBookFill, RiHealthBookLine, RiHeart2Fill, RiHeart2Line, RiHeart3Fill, RiHeart3Line, RiHeartAdd2Fill, RiHeartAdd2Line, RiHeartAddFill, RiHeartAddLine, RiHeartFill, RiHeartLine, RiHeartPulseFill, RiHeartPulseLine, RiHeartsFill, RiHeartsLine, RiHeavyShowersFill, RiHeavyShowersLine, RiHexagonFill, RiHexagonLine, RiHistoryFill, RiHistoryLine, RiHome2Fill, RiHome2Line, RiHome3Fill, RiHome3Line, RiHome4Fill, RiHome4Line, RiHome5Fill, RiHome5Line, RiHome6Fill, RiHome6Line, RiHome7Fill, RiHome7Line, RiHome8Fill, RiHome8Line, RiHome9Fill, RiHome9Line, RiHomeFill, RiHomeGearFill, RiHomeGearLine, RiHomeHeartFill, RiHomeHeartLine, RiHomeLine, RiHomeOfficeFill, RiHomeOfficeLine, RiHomeSmile2Fill, RiHomeSmile2Line, RiHomeSmileFill, RiHomeSmileLine, RiHomeWifiFill, RiHomeWifiLine, RiHonorOfKingsFill, RiHonorOfKingsLine, RiHonourFill, RiHonourLine, RiHospitalFill, RiHospitalLine, RiHotelBedFill, RiHotelBedLine, RiHotelFill, RiHotelLine, RiHotspotFill, RiHotspotLine, RiHourglass2Fill, RiHourglass2Line, RiHourglassFill, RiHourglassLine, RiHqFill, RiHqLine, RiHtml5Fill, RiHtml5Line, RiIdCardFill, RiIdCardLine, RiIeFill, RiIeLine, RiImage2Fill, RiImage2Line, RiImageAddFill, RiImageAddLine, RiImageAiFill, RiImageAiLine, RiImageCircleAiFill, RiImageCircleAiLine, RiImageCircleFill, RiImageCircleLine, RiImageEditFill, RiImageEditLine, RiImageFill, RiImageLine, RiImportFill, RiImportLine, RiInbox2Fill, RiInbox2Line, RiInboxArchiveFill, RiInboxArchiveLine, RiInboxFill, RiInboxLine, RiInboxUnarchiveFill, RiInboxUnarchiveLine, RiIncreaseDecreaseFill, RiIncreaseDecreaseLine, RiIndentDecrease, RiIndentIncrease, RiIndeterminateCircleFill, RiIndeterminateCircleLine, RiInfinityFill, RiInfinityLine, RiInfoCardFill, RiInfoCardLine, RiInfoI, RiInformation2Fill, RiInformation2Line, RiInformationFill, RiInformationLine, RiInformationOffFill, RiInformationOffLine, RiInfraredThermometerFill, RiInfraredThermometerLine, RiInkBottleFill, RiInkBottleLine, RiInputCursorMove, RiInputField, RiInputMethodFill, RiInputMethodLine, RiInsertColumnLeft, RiInsertColumnRight, RiInsertRowBottom, RiInsertRowTop, RiInstagramFill, RiInstagramLine, RiInstallFill, RiInstallLine, RiInstanceFill, RiInstanceLine, RiInvisionFill, RiInvisionLine, RiItalic, RiJavaFill, RiJavaLine, RiJavascriptFill, RiJavascriptLine, RiJewelryFill, RiJewelryLine, RiKakaoTalkFill, RiKakaoTalkLine, RiKanbanView, RiKanbanView2, RiKey2Fill, RiKey2Line, RiKeyFill, RiKeyLine, RiKeyboardBoxFill, RiKeyboardBoxLine, RiKeyboardFill, RiKeyboardLine, RiKeynoteFill, RiKeynoteLine, RiKickFill, RiKickLine, RiKnifeBloodFill, RiKnifeBloodLine, RiKnifeFill, RiKnifeLine, RiLandscapeAiFill, RiLandscapeAiLine, RiLandscapeFill, RiLandscapeLine, RiLayout2Fill, RiLayout2Line, RiLayout3Fill, RiLayout3Line, RiLayout4Fill, RiLayout4Line, RiLayout5Fill, RiLayout5Line, RiLayout6Fill, RiLayout6Line, RiLayoutBottom2Fill, RiLayoutBottom2Line, RiLayoutBottomFill, RiLayoutBottomLine, RiLayoutColumnFill, RiLayoutColumnLine, RiLayoutFill, RiLayoutGrid2Fill, RiLayoutGrid2Line, RiLayoutGridFill, RiLayoutGridLine, RiLayoutHorizontalFill, RiLayoutHorizontalLine, RiLayoutLeft2Fill, RiLayoutLeft2Line, RiLayoutLeftFill, RiLayoutLeftLine, RiLayoutLine, RiLayoutMasonryFill, RiLayoutMasonryLine, RiLayoutRight2Fill, RiLayoutRight2Line, RiLayoutRightFill, RiLayoutRightLine, RiLayoutRowFill, RiLayoutRowLine, RiLayoutTop2Fill, RiLayoutTop2Line, RiLayoutTopFill, RiLayoutTopLine, RiLayoutVerticalFill, RiLayoutVerticalLine, RiLeafFill, RiLeafLine, RiLetterSpacing2, RiLifebuoyFill, RiLifebuoyLine, RiLightbulbFill, RiLightbulbFlashFill, RiLightbulbFlashLine, RiLightbulbLine, RiLineChartFill, RiLineChartLine, RiLineFill, RiLineHeight, RiLineHeight2, RiLineLine, RiLink, RiLinkM, RiLinkUnlink, RiLinkUnlinkM, RiLinkedinBoxFill, RiLinkedinBoxLine, RiLinkedinFill, RiLinkedinLine, RiLinksFill, RiLinksLine, RiListCheck, RiListCheck2, RiListCheck3, RiListIndefinite, RiListOrdered, RiListOrdered2, RiListRadio, RiListSettingsFill, RiListSettingsLine, RiListUnordered, RiListView, RiLiveFill, RiLiveLine, RiLoader2Fill, RiLoader2Line, RiLoader3Fill, RiLoader3Line, RiLoader4Fill, RiLoader4Line, RiLoader5Fill, RiLoader5Line, RiLoaderFill, RiLoaderLine, RiLock2Fill, RiLock2Line, RiLockFill, RiLockLine, RiLockPasswordFill, RiLockPasswordLine, RiLockStarFill, RiLockStarLine, RiLockUnlockFill, RiLockUnlockLine, RiLoginBoxFill, RiLoginBoxLine, RiLoginCircleFill, RiLoginCircleLine, RiLogoutBoxFill, RiLogoutBoxLine, RiLogoutBoxRFill, RiLogoutBoxRLine, RiLogoutCircleFill, RiLogoutCircleLine, RiLogoutCircleRFill, RiLogoutCircleRLine, RiLoopLeftFill, RiLoopLeftLine, RiLoopRightFill, RiLoopRightLine, RiLuggageCartFill, RiLuggageCartLine, RiLuggageDepositFill, RiLuggageDepositLine, RiLungsFill, RiLungsLine, RiMacFill, RiMacLine, RiMacbookFill, RiMacbookLine, RiMagicFill, RiMagicLine, RiMailAddFill, RiMailAddLine, RiMailAiFill, RiMailAiLine, RiMailCheckFill, RiMailCheckLine, RiMailCloseFill, RiMailCloseLine, RiMailDownloadFill, RiMailDownloadLine, RiMailFill, RiMailForbidFill, RiMailForbidLine, RiMailLine, RiMailLockFill, RiMailLockLine, RiMailOpenFill, RiMailOpenLine, RiMailSendFill, RiMailSendLine, RiMailSettingsFill, RiMailSettingsLine, RiMailStarFill, RiMailStarLine, RiMailUnreadFill, RiMailUnreadLine, RiMailVolumeFill, RiMailVolumeLine, RiMap2Fill, RiMap2Line, RiMapFill, RiMapLine, RiMapPin2Fill, RiMapPin2Line, RiMapPin3Fill, RiMapPin3Line, RiMapPin4Fill, RiMapPin4Line, RiMapPin5Fill, RiMapPin5Line, RiMapPinAddFill, RiMapPinAddLine, RiMapPinFill, RiMapPinLine, RiMapPinRangeFill, RiMapPinRangeLine, RiMapPinTimeFill, RiMapPinTimeLine, RiMapPinUserFill, RiMapPinUserLine, RiMarkPenFill, RiMarkPenLine, RiMarkdownFill, RiMarkdownLine, RiMarkupFill, RiMarkupLine, RiMastercardFill, RiMastercardLine, RiMastodonFill, RiMastodonLine, RiMedal2Fill, RiMedal2Line, RiMedalFill, RiMedalLine, RiMedicineBottleFill, RiMedicineBottleLine, RiMediumFill, RiMediumLine, RiMegaphoneFill, RiMegaphoneLine, RiMemoriesFill, RiMemoriesLine, RiMenFill, RiMenLine, RiMentalHealthFill, RiMentalHealthLine, RiMenu2Fill, RiMenu2Line, RiMenu3Fill, RiMenu3Line, RiMenu4Fill, RiMenu4Line, RiMenu5Fill, RiMenu5Line, RiMenuAddFill, RiMenuAddLine, RiMenuFill, RiMenuFold2Fill, RiMenuFold2Line, RiMenuFold3Fill, RiMenuFold3Line, RiMenuFold4Fill, RiMenuFold4Line, RiMenuFoldFill, RiMenuFoldLine, RiMenuLine, RiMenuSearchFill, RiMenuSearchLine, RiMenuUnfold2Fill, RiMenuUnfold2Line, RiMenuUnfold3Fill, RiMenuUnfold3Line, RiMenuUnfold4Fill, RiMenuUnfold4Line, RiMenuUnfoldFill, RiMenuUnfoldLine, RiMergeCellsHorizontal, RiMergeCellsVertical, RiMessage2Fill, RiMessage2Line, RiMessage3Fill, RiMessage3Line, RiMessageFill, RiMessageLine, RiMessengerFill, RiMessengerLine, RiMetaFill, RiMetaLine, RiMeteorFill, RiMeteorLine, RiMic2AiFill, RiMic2AiLine, RiMic2Fill, RiMic2Line, RiMicAiFill, RiMicAiLine, RiMicFill, RiMicLine, RiMicOffFill, RiMicOffLine, RiMickeyFill, RiMickeyLine, RiMicroscopeFill, RiMicroscopeLine, RiMicrosoftFill, RiMicrosoftLine, RiMicrosoftLoopFill, RiMicrosoftLoopLine, RiMindMap, RiMiniProgramFill, RiMiniProgramLine, RiMistFill, RiMistLine, RiMixtralFill, RiMixtralLine, RiMobileDownloadFill, RiMobileDownloadLine, RiMoneyCnyBoxFill, RiMoneyCnyBoxLine, RiMoneyCnyCircleFill, RiMoneyCnyCircleLine, RiMoneyDollarBoxFill, RiMoneyDollarBoxLine, RiMoneyDollarCircleFill, RiMoneyDollarCircleLine, RiMoneyEuroBoxFill, RiMoneyEuroBoxLine, RiMoneyEuroCircleFill, RiMoneyEuroCircleLine, RiMoneyPoundBoxFill, RiMoneyPoundBoxLine, RiMoneyPoundCircleFill, RiMoneyPoundCircleLine, RiMoneyRupeeCircleFill, RiMoneyRupeeCircleLine, RiMoonClearFill, RiMoonClearLine, RiMoonCloudyFill, RiMoonCloudyLine, RiMoonFill, RiMoonFoggyFill, RiMoonFoggyLine, RiMoonLine, RiMore2Fill, RiMore2Line, RiMoreFill, RiMoreLine, RiMotorbikeFill, RiMotorbikeLine, RiMouseFill, RiMouseLine, RiMovie2AiFill, RiMovie2AiLine, RiMovie2Fill, RiMovie2Line, RiMovieAiFill, RiMovieAiLine, RiMovieFill, RiMovieLine, RiMultiImageFill, RiMultiImageLine, RiMusic2Fill, RiMusic2Line, RiMusicAiFill, RiMusicAiLine, RiMusicFill, RiMusicLine, RiMvAiFill, RiMvAiLine, RiMvFill, RiMvLine, RiNavigationFill, RiNavigationLine, RiNeteaseCloudMusicFill, RiNeteaseCloudMusicLine, RiNetflixFill, RiNetflixLine, RiNewsFill, RiNewsLine, RiNewspaperFill, RiNewspaperLine, RiNextjsFill, RiNextjsLine, RiNftFill, RiNftLine, RiNoCreditCardFill, RiNoCreditCardLine, RiNodeTree, RiNodejsFill, RiNodejsLine, RiNotification2Fill, RiNotification2Line, RiNotification3Fill, RiNotification3Line, RiNotification4Fill, RiNotification4Line, RiNotificationBadgeFill, RiNotificationBadgeLine, RiNotificationFill, RiNotificationLine, RiNotificationOffFill, RiNotificationOffLine, RiNotificationSnoozeFill, RiNotificationSnoozeLine, RiNotionFill, RiNotionLine, RiNpmjsFill, RiNpmjsLine, RiNumber0, RiNumber1, RiNumber2, RiNumber3, RiNumber4, RiNumber5, RiNumber6, RiNumber7, RiNumber8, RiNumber9, RiNumbersFill, RiNumbersLine, RiNurseFill, RiNurseLine, RiOctagonFill, RiOctagonLine, RiOilFill, RiOilLine, RiOmega, RiOpenArmFill, RiOpenArmLine, RiOpenSourceFill, RiOpenSourceLine, RiOpenaiFill, RiOpenaiLine, RiOpenbaseFill, RiOpenbaseLine, RiOperaFill, RiOperaLine, RiOrderPlayFill, RiOrderPlayLine, RiOrganizationChart, RiOutlet2Fill, RiOutlet2Line, RiOutletFill, RiOutletLine, RiOverline, RiP2pFill, RiP2pLine, RiPageSeparator, RiPagesFill, RiPagesLine, RiPaintBrushFill, RiPaintBrushLine, RiPaintFill, RiPaintLine, RiPaletteFill, RiPaletteLine, RiPantoneFill, RiPantoneLine, RiParagraph, RiParentFill, RiParentLine, RiParenthesesFill, RiParenthesesLine, RiParkingBoxFill, RiParkingBoxLine, RiParkingFill, RiParkingLine, RiPassExpiredFill, RiPassExpiredLine, RiPassPendingFill, RiPassPendingLine, RiPassValidFill, RiPassValidLine, RiPassportFill, RiPassportLine, RiPatreonFill, RiPatreonLine, RiPauseCircleFill, RiPauseCircleLine, RiPauseFill, RiPauseLargeFill, RiPauseLargeLine, RiPauseLine, RiPauseMiniFill, RiPauseMiniLine, RiPaypalFill, RiPaypalLine, RiPenNibFill, RiPenNibLine, RiPencilFill, RiPencilLine, RiPencilRuler2Fill, RiPencilRuler2Line, RiPencilRulerFill, RiPencilRulerLine, RiPentagonFill, RiPentagonLine, RiPercentFill, RiPercentLine, RiPerplexityFill, RiPerplexityLine, RiPhoneCameraFill, RiPhoneCameraLine, RiPhoneFill, RiPhoneFindFill, RiPhoneFindLine, RiPhoneLine, RiPhoneLockFill, RiPhoneLockLine, RiPhpFill, RiPhpLine, RiPictureInPicture2Fill, RiPictureInPicture2Line, RiPictureInPictureExitFill, RiPictureInPictureExitLine, RiPictureInPictureFill, RiPictureInPictureLine, RiPieChart2Fill, RiPieChart2Line, RiPieChartBoxFill, RiPieChartBoxLine, RiPieChartFill, RiPieChartLine, RiPinDistanceFill, RiPinDistanceLine, RiPingPongFill, RiPingPongLine, RiPinterestFill, RiPinterestLine, RiPinyinInput, RiPixFill, RiPixLine, RiPixelfedFill, RiPixelfedLine, RiPlaneFill, RiPlaneLine, RiPlanetFill, RiPlanetLine, RiPlantFill, RiPlantLine, RiPlayCircleFill, RiPlayCircleLine, RiPlayFill, RiPlayLargeFill, RiPlayLargeLine, RiPlayLine, RiPlayList2Fill, RiPlayList2Line, RiPlayListAddFill, RiPlayListAddLine, RiPlayListFill, RiPlayListLine, RiPlayMiniFill, RiPlayMiniLine, RiPlayReverseFill, RiPlayReverseLargeFill, RiPlayReverseLargeLine, RiPlayReverseLine, RiPlayReverseMiniFill, RiPlayReverseMiniLine, RiPlaystationFill, RiPlaystationLine, RiPlug2Fill, RiPlug2Line, RiPlugFill, RiPlugLine, RiPokerClubsFill, RiPokerClubsLine, RiPokerDiamondsFill, RiPokerDiamondsLine, RiPokerHeartsFill, RiPokerHeartsLine, RiPokerSpadesFill, RiPokerSpadesLine, RiPolaroid2Fill, RiPolaroid2Line, RiPolaroidFill, RiPolaroidLine, RiPoliceBadgeFill, RiPoliceBadgeLine, RiPoliceCarFill, RiPoliceCarLine, RiPresentationFill, RiPresentationLine, RiPriceTag2Fill, RiPriceTag2Line, RiPriceTag3Fill, RiPriceTag3Line, RiPriceTagFill, RiPriceTagLine, RiPrinterCloudFill, RiPrinterCloudLine, RiPrinterFill, RiPrinterLine, RiProductHuntFill, RiProductHuntLine, RiProfileFill, RiProfileLine, RiProgress1Fill, RiProgress1Line, RiProgress2Fill, RiProgress2Line, RiProgress3Fill, RiProgress3Line, RiProgress4Fill, RiProgress4Line, RiProgress5Fill, RiProgress5Line, RiProgress6Fill, RiProgress6Line, RiProgress7Fill, RiProgress7Line, RiProgress8Fill, RiProgress8Line, RiProhibited2Fill, RiProhibited2Line, RiProhibitedFill, RiProhibitedLine, RiProjector2Fill, RiProjector2Line, RiProjectorFill, RiProjectorLine, RiPsychotherapyFill, RiPsychotherapyLine, RiPulseAiFill, RiPulseAiLine, RiPulseFill, RiPulseLine, RiPushpin2Fill, RiPushpin2Line, RiPushpinFill, RiPushpinLine, RiPuzzle2Fill, RiPuzzle2Line, RiPuzzleFill, RiPuzzleLine, RiQqFill, RiQqLine, RiQrCodeFill, RiQrCodeLine, RiQrScan2Fill, RiQrScan2Line, RiQrScanFill, RiQrScanLine, RiQuestionAnswerFill, RiQuestionAnswerLine, RiQuestionFill, RiQuestionLine, RiQuestionMark, RiQuestionnaireFill, RiQuestionnaireLine, RiQuillPenAiFill, RiQuillPenAiLine, RiQuillPenFill, RiQuillPenLine, RiQuoteText, RiRadarFill, RiRadarLine, RiRadio2Fill, RiRadio2Line, RiRadioButtonFill, RiRadioButtonLine, RiRadioFill, RiRadioLine, RiRainbowFill, RiRainbowLine, RiRainyFill, RiRainyLine, RiRam2Fill, RiRam2Line, RiRamFill, RiRamLine, RiReactjsFill, RiReactjsLine, RiReceiptFill, RiReceiptLine, RiRecordCircleFill, RiRecordCircleLine, RiRecordMailFill, RiRecordMailLine, RiRectangleFill, RiRectangleLine, RiRecycleFill, RiRecycleLine, RiRedPacketFill, RiRedPacketLine, RiRedditFill, RiRedditLine, RiRefreshFill, RiRefreshLine, RiRefund2Fill, RiRefund2Line, RiRefundFill, RiRefundLine, RiRegisteredFill, RiRegisteredLine, RiRemixRunFill, RiRemixRunLine, RiRemixiconFill, RiRemixiconLine, RiRemoteControl2Fill, RiRemoteControl2Line, RiRemoteControlFill, RiRemoteControlLine, RiRepeat2Fill, RiRepeat2Line, RiRepeatFill, RiRepeatLine, RiRepeatOneFill, RiRepeatOneLine, RiReplay10Fill, RiReplay10Line, RiReplay15Fill, RiReplay15Line, RiReplay30Fill, RiReplay30Line, RiReplay5Fill, RiReplay5Line, RiReplyAllFill, RiReplyAllLine, RiReplyFill, RiReplyLine, RiReservedFill, RiReservedLine, RiResetLeftFill, RiResetLeftLine, RiResetRightFill, RiResetRightLine, RiRestTimeFill, RiRestTimeLine, RiRestartFill, RiRestartLine, RiRestaurant2Fill, RiRestaurant2Line, RiRestaurantFill, RiRestaurantLine, RiRewindFill, RiRewindLine, RiRewindMiniFill, RiRewindMiniLine, RiRewindStartFill, RiRewindStartLine, RiRewindStartMiniFill, RiRewindStartMiniLine, RiRfidFill, RiRfidLine, RiRhythmFill, RiRhythmLine, RiRidingFill, RiRidingLine, RiRoadMapFill, RiRoadMapLine, RiRoadsterFill, RiRoadsterLine, RiRobot2Fill, RiRobot2Line, RiRobot3Fill, RiRobot3Line, RiRobotFill, RiRobotLine, RiRocket2Fill, RiRocket2Line, RiRocketFill, RiRocketLine, RiRotateLockFill, RiRotateLockLine, RiRoundedCorner, RiRouteFill, RiRouteLine, RiRouterFill, RiRouterLine, RiRssFill, RiRssLine, RiRuler2Fill, RiRuler2Line, RiRulerFill, RiRulerLine, RiRunFill, RiRunLine, RiSafariFill, RiSafariLine, RiSafe2Fill, RiSafe2Line, RiSafe3Fill, RiSafe3Line, RiSafeFill, RiSafeLine, RiSailboatFill, RiSailboatLine, RiSave2Fill, RiSave2Line, RiSave3Fill, RiSave3Line, RiSaveFill, RiSaveLine, RiScales2Fill, RiScales2Line, RiScales3Fill, RiScales3Line, RiScalesFill, RiScalesLine, RiScan2Fill, RiScan2Line, RiScanFill, RiScanLine, RiSchoolFill, RiSchoolLine, RiScissors2Fill, RiScissors2Line, RiScissorsCutFill, RiScissorsCutLine, RiScissorsFill, RiScissorsLine, RiScreenshot2Fill, RiScreenshot2Line, RiScreenshotFill, RiScreenshotLine, RiScrollToBottomFill, RiScrollToBottomLine, RiSdCardFill, RiSdCardLine, RiSdCardMiniFill, RiSdCardMiniLine, RiSearch2Fill, RiSearch2Line, RiSearchEyeFill, RiSearchEyeLine, RiSearchFill, RiSearchLine, RiSecurePaymentFill, RiSecurePaymentLine, RiSeedlingFill, RiSeedlingLine, RiSendBackward, RiSendPlane2Fill, RiSendPlane2Line, RiSendPlaneFill, RiSendPlaneLine, RiSendToBack, RiSensorFill, RiSensorLine, RiSeoFill, RiSeoLine, RiSeparator, RiServerFill, RiServerLine, RiServiceBellFill, RiServiceBellLine, RiServiceFill, RiServiceLine, RiSettings2Fill, RiSettings2Line, RiSettings3Fill, RiSettings3Line, RiSettings4Fill, RiSettings4Line, RiSettings5Fill, RiSettings5Line, RiSettings6Fill, RiSettings6Line, RiSettingsFill, RiSettingsLine, RiShadowFill, RiShadowLine, RiShakeHandsFill, RiShakeHandsLine, RiShape2Fill, RiShape2Line, RiShapeFill, RiShapeLine, RiShapesFill, RiShapesLine, RiShare2Fill, RiShare2Line, RiShareBoxFill, RiShareBoxLine, RiShareCircleFill, RiShareCircleLine, RiShareFill, RiShareForward2Fill, RiShareForward2Line, RiShareForwardBoxFill, RiShareForwardBoxLine, RiShareForwardFill, RiShareForwardLine, RiShareLine, RiShieldCheckFill, RiShieldCheckLine, RiShieldCrossFill, RiShieldCrossLine, RiShieldFill, RiShieldFlashFill, RiShieldFlashLine, RiShieldKeyholeFill, RiShieldKeyholeLine, RiShieldLine, RiShieldStarFill, RiShieldStarLine, RiShieldUserFill, RiShieldUserLine, RiShining2Fill, RiShining2Line, RiShiningFill, RiShiningLine, RiShip2Fill, RiShip2Line, RiShipFill, RiShipLine, RiShirtFill, RiShirtLine, RiShoppingBag2Fill, RiShoppingBag2Line, RiShoppingBag3Fill, RiShoppingBag3Line, RiShoppingBag4Fill, RiShoppingBag4Line, RiShoppingBagFill, RiShoppingBagLine, RiShoppingBasket2Fill, RiShoppingBasket2Line, RiShoppingBasketFill, RiShoppingBasketLine, RiShoppingCart2Fill, RiShoppingCart2Line, RiShoppingCartFill, RiShoppingCartLine, RiShowersFill, RiShowersLine, RiShuffleFill, RiShuffleLine, RiShutDownFill, RiShutDownLine, RiSideBarFill, RiSideBarLine, RiSidebarFoldFill, RiSidebarFoldLine, RiSidebarUnfoldFill, RiSidebarUnfoldLine, RiSignalTowerFill, RiSignalTowerLine, RiSignalWifi1Fill, RiSignalWifi1Line, RiSignalWifi2Fill, RiSignalWifi2Line, RiSignalWifi3Fill, RiSignalWifi3Line, RiSignalWifiErrorFill, RiSignalWifiErrorLine, RiSignalWifiFill, RiSignalWifiLine, RiSignalWifiOffFill, RiSignalWifiOffLine, RiSignpostFill, RiSignpostLine, RiSimCard2Fill, RiSimCard2Line, RiSimCardFill, RiSimCardLine, RiSingleQuotesL, RiSingleQuotesR, RiSipFill, RiSipLine, RiSketching, RiSkipBackFill, RiSkipBackLine, RiSkipBackMiniFill, RiSkipBackMiniLine, RiSkipDownFill, RiSkipDownLine, RiSkipForwardFill, RiSkipForwardLine, RiSkipForwardMiniFill, RiSkipForwardMiniLine, RiSkipLeftFill, RiSkipLeftLine, RiSkipRightFill, RiSkipRightLine, RiSkipUpFill, RiSkipUpLine, RiSkull2Fill, RiSkull2Line, RiSkullFill, RiSkullLine, RiSkypeFill, RiSkypeLine, RiSlackFill, RiSlackLine, RiSlashCommands, RiSlashCommands2, RiSliceFill, RiSliceLine, RiSlideshow2Fill, RiSlideshow2Line, RiSlideshow3Fill, RiSlideshow3Line, RiSlideshow4Fill, RiSlideshow4Line, RiSlideshowFill, RiSlideshowLine, RiSlideshowView, RiSlowDownFill, RiSlowDownLine, RiSmartphoneFill, RiSmartphoneLine, RiSnapchatFill, RiSnapchatLine, RiSnowflakeFill, RiSnowflakeLine, RiSnowyFill, RiSnowyLine, RiSofaFill, RiSofaLine, RiSortAlphabetAsc, RiSortAlphabetDesc, RiSortAsc, RiSortDesc, RiSortNumberAsc, RiSortNumberDesc, RiSoundModuleFill, RiSoundModuleLine, RiSoundcloudFill, RiSoundcloudLine, RiSpace, RiSpaceShipFill, RiSpaceShipLine, RiSpam2Fill, RiSpam2Line, RiSpam3Fill, RiSpam3Line, RiSpamFill, RiSpamLine, RiSparkling2Fill, RiSparkling2Line, RiSparklingFill, RiSparklingLine, RiSpeakAiFill, RiSpeakAiLine, RiSpeakFill, RiSpeakLine, RiSpeaker2Fill, RiSpeaker2Line, RiSpeaker3Fill, RiSpeaker3Line, RiSpeakerFill, RiSpeakerLine, RiSpectrumFill, RiSpectrumLine, RiSpeedFill, RiSpeedLine, RiSpeedMiniFill, RiSpeedMiniLine, RiSpeedUpFill, RiSpeedUpLine, RiSplitCellsHorizontal, RiSplitCellsVertical, RiSpotifyFill, RiSpotifyLine, RiSpyFill, RiSpyLine, RiSquareFill, RiSquareLine, RiSquareRoot, RiStackFill, RiStackLine, RiStackOverflowFill, RiStackOverflowLine, RiStackedView, RiStackshareFill, RiStackshareLine, RiStairsFill, RiStairsLine, RiStarFill, RiStarHalfFill, RiStarHalfLine, RiStarHalfSFill, RiStarHalfSLine, RiStarLine, RiStarOffFill, RiStarOffLine, RiStarSFill, RiStarSLine, RiStarSmileFill, RiStarSmileLine, RiSteamFill, RiSteamLine, RiSteering2Fill, RiSteering2Line, RiSteeringFill, RiSteeringLine, RiStethoscopeFill, RiStethoscopeLine, RiStickyNote2Fill, RiStickyNote2Line, RiStickyNoteAddFill, RiStickyNoteAddLine, RiStickyNoteFill, RiStickyNoteLine, RiStockFill, RiStockLine, RiStopCircleFill, RiStopCircleLine, RiStopFill, RiStopLargeFill, RiStopLargeLine, RiStopLine, RiStopMiniFill, RiStopMiniLine, RiStore2Fill, RiStore2Line, RiStore3Fill, RiStore3Line, RiStoreFill, RiStoreLine, RiStrikethrough, RiStrikethrough2, RiSubscript, RiSubscript2, RiSubtractFill, RiSubtractLine, RiSubwayFill, RiSubwayLine, RiSubwayWifiFill, RiSubwayWifiLine, RiSuitcase2Fill, RiSuitcase2Line, RiSuitcase3Fill, RiSuitcase3Line, RiSuitcaseFill, RiSuitcaseLine, RiSunCloudyFill, RiSunCloudyLine, RiSunFill, RiSunFoggyFill, RiSunFoggyLine, RiSunLine, RiSupabaseFill, RiSupabaseLine, RiSuperscript, RiSuperscript2, RiSurgicalMaskFill, RiSurgicalMaskLine, RiSurroundSoundFill, RiSurroundSoundLine, RiSurveyFill, RiSurveyLine, RiSvelteFill, RiSvelteLine, RiSwap2Fill, RiSwap2Line, RiSwap3Fill, RiSwap3Line, RiSwapBoxFill, RiSwapBoxLine, RiSwapFill, RiSwapLine, RiSwitchFill, RiSwitchLine, RiSwordFill, RiSwordLine, RiSyringeFill, RiSyringeLine, RiTBoxFill, RiTBoxLine, RiTShirt2Fill, RiTShirt2Line, RiTShirtAirFill, RiTShirtAirLine, RiTShirtFill, RiTShirtLine, RiTable2, RiTable3, RiTableAltFill, RiTableAltLine, RiTableFill, RiTableLine, RiTableView, RiTabletFill, RiTabletLine, RiTailwindCssFill, RiTailwindCssLine, RiTakeawayFill, RiTakeawayLine, RiTaobaoFill, RiTaobaoLine, RiTapeFill, RiTapeLine, RiTaskFill, RiTaskLine, RiTaxiFill, RiTaxiLine, RiTaxiWifiFill, RiTaxiWifiLine, RiTeamFill, RiTeamLine, RiTelegram2Fill, RiTelegram2Line, RiTelegramFill, RiTelegramLine, RiTempColdFill, RiTempColdLine, RiTempHotFill, RiTempHotLine, RiTentFill, RiTentLine, RiTerminalBoxFill, RiTerminalBoxLine, RiTerminalFill, RiTerminalLine, RiTerminalWindowFill, RiTerminalWindowLine, RiTestTubeFill, RiTestTubeLine, RiText, RiTextBlock, RiTextDirectionL, RiTextDirectionR, RiTextSnippet, RiTextSpacing, RiTextWrap, RiThermometerFill, RiThermometerLine, RiThreadsFill, RiThreadsLine, RiThumbDownFill, RiThumbDownLine, RiThumbUpFill, RiThumbUpLine, RiThunderstormsFill, RiThunderstormsLine, RiTicket2Fill, RiTicket2Line, RiTicketFill, RiTicketLine, RiTiktokFill, RiTiktokLine, RiTimeFill, RiTimeLine, RiTimeZoneFill, RiTimeZoneLine, RiTimelineView, RiTimer2Fill, RiTimer2Line, RiTimerFill, RiTimerFlashFill, RiTimerFlashLine, RiTimerLine, RiTodoFill, RiTodoLine, RiToggleFill, RiToggleLine, RiTokenSwapFill, RiTokenSwapLine, RiToolsFill, RiToolsLine, RiToothFill, RiToothLine, RiTornadoFill, RiTornadoLine, RiTrademarkFill, RiTrademarkLine, RiTrafficLightFill, RiTrafficLightLine, RiTrainFill, RiTrainLine, RiTrainWifiFill, RiTrainWifiLine, RiTranslate, RiTranslate2, RiTranslateAi, RiTranslateAi2, RiTravestiFill, RiTravestiLine, RiTreasureMapFill, RiTreasureMapLine, RiTreeFill, RiTreeLine, RiTrelloFill, RiTrelloLine, RiTriangleFill, RiTriangleLine, RiTriangularFlagFill, RiTriangularFlagLine, RiTrophyFill, RiTrophyLine, RiTruckFill, RiTruckLine, RiTumblrFill, RiTumblrLine, RiTv2Fill, RiTv2Line, RiTvFill, RiTvLine, RiTwitchFill, RiTwitchLine, RiTwitterFill, RiTwitterLine, RiTwitterXFill, RiTwitterXLine, RiTyphoonFill, RiTyphoonLine, RiUDiskFill, RiUDiskLine, RiUbuntuFill, RiUbuntuLine, RiUmbrellaFill, RiUmbrellaLine, RiUnderline, RiUninstallFill, RiUninstallLine, RiUnpinFill, RiUnpinLine, RiUnsplashFill, RiUnsplashLine, RiUpload2Fill, RiUpload2Line, RiUploadCloud2Fill, RiUploadCloud2Line, RiUploadCloudFill, RiUploadCloudLine, RiUploadFill, RiUploadLine, RiUsbFill, RiUsbLine, RiUser2Fill, RiUser2Line, RiUser3Fill, RiUser3Line, RiUser4Fill, RiUser4Line, RiUser5Fill, RiUser5Line, RiUser6Fill, RiUser6Line, RiUserAddFill, RiUserAddLine, RiUserCommunityFill, RiUserCommunityLine, RiUserFill, RiUserFollowFill, RiUserFollowLine, RiUserForbidFill, RiUserForbidLine, RiUserHeartFill, RiUserHeartLine, RiUserLine, RiUserLocationFill, RiUserLocationLine, RiUserMinusFill, RiUserMinusLine, RiUserReceived2Fill, RiUserReceived2Line, RiUserReceivedFill, RiUserReceivedLine, RiUserSearchFill, RiUserSearchLine, RiUserSettingsFill, RiUserSettingsLine, RiUserShared2Fill, RiUserShared2Line, RiUserSharedFill, RiUserSharedLine, RiUserSmileFill, RiUserSmileLine, RiUserStarFill, RiUserStarLine, RiUserUnfollowFill, RiUserUnfollowLine, RiUserVoiceFill, RiUserVoiceLine, RiVercelFill, RiVercelLine, RiVerifiedBadgeFill, RiVerifiedBadgeLine, RiVideoAddFill, RiVideoAddLine, RiVideoAiFill, RiVideoAiLine, RiVideoChatFill, RiVideoChatLine, RiVideoDownloadFill, RiVideoDownloadLine, RiVideoFill, RiVideoLine, RiVideoOffFill, RiVideoOffLine, RiVideoOnAiFill, RiVideoOnAiLine, RiVideoOnFill, RiVideoOnLine, RiVideoUploadFill, RiVideoUploadLine, RiVidicon2Fill, RiVidicon2Line, RiVidiconFill, RiVidiconLine, RiVimeoFill, RiVimeoLine, RiVipCrown2Fill, RiVipCrown2Line, RiVipCrownFill, RiVipCrownLine, RiVipDiamondFill, RiVipDiamondLine, RiVipFill, RiVipLine, RiVirusFill, RiVirusLine, RiVisaFill, RiVisaLine, RiVkFill, RiVkLine, RiVoiceAiFill, RiVoiceAiLine, RiVoiceRecognitionFill, RiVoiceRecognitionLine, RiVoiceprintFill, RiVoiceprintLine, RiVolumeDownFill, RiVolumeDownLine, RiVolumeMuteFill, RiVolumeMuteLine, RiVolumeOffVibrateFill, RiVolumeOffVibrateLine, RiVolumeUpFill, RiVolumeUpLine, RiVolumeVibrateFill, RiVolumeVibrateLine, RiVuejsFill, RiVuejsLine, RiWalkFill, RiWalkLine, RiWallet2Fill, RiWallet2Line, RiWallet3Fill, RiWallet3Line, RiWalletFill, RiWalletLine, RiWaterFlashFill, RiWaterFlashLine, RiWaterPercentFill, RiWaterPercentLine, RiWebcamFill, RiWebcamLine, RiWebhookFill, RiWebhookLine, RiWechat2Fill, RiWechat2Line, RiWechatChannelsFill, RiWechatChannelsLine, RiWechatFill, RiWechatLine, RiWechatPayFill, RiWechatPayLine, RiWeiboFill, RiWeiboLine, RiWeightFill, RiWeightLine, RiWhatsappFill, RiWhatsappLine, RiWheelchairFill, RiWheelchairLine, RiWifiFill, RiWifiLine, RiWifiOffFill, RiWifiOffLine, RiWindow2Fill, RiWindow2Line, RiWindowFill, RiWindowLine, RiWindowsFill, RiWindowsLine, RiWindyFill, RiWindyLine, RiWirelessChargingFill, RiWirelessChargingLine, RiWomenFill, RiWomenLine, RiWordpressFill, RiWordpressLine, RiWubiInput, RiXboxFill, RiXboxLine, RiXingFill, RiXingLine, RiXrpFill, RiXrpLine, RiXtzFill, RiXtzLine, RiYoutubeFill, RiYoutubeLine, RiYuqueFill, RiYuqueLine, RiZcoolFill, RiZcoolLine, RiZhihuFill, RiZhihuLine, RiZoomInFill, RiZoomInLine, RiZoomOutFill, RiZoomOutLine, RiZzzFill, RiZzzLine };
